--
-- PostgreSQL database dump
--

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: masters; Type: DATABASE; Schema: -; Owner: nobody
--

CREATE DATABASE masters WITH = 'UTF8' LC_COLLATE = 'C' LC_CTYPE = 'C';


ALTER DATABASE masters OWNER TO nobody;

\connect masters

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- Name: plpgsql; Type: EXTENSION; Schema: -; Owner: 
--

CREATE EXTENSION IF NOT EXISTS plpgsql WITH SCHEMA pg_catalog;


--
-- Name: EXTENSION plpgsql; Type: COMMENT; Schema: -; Owner: 
--

COMMENT ON EXTENSION plpgsql IS 'PL/pgSQL procedural language';


SET search_path = public, pg_catalog;

--
-- Name: textint4cat(text, integer); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION textint4cat(text, integer) RETURNS text
    LANGUAGE sql IMMUTABLE STRICT
    AS $_$SELECT $1 || $2::pg_catalog.text$_$;


ALTER FUNCTION public.textint4cat(text, integer) OWNER TO postgres;

--
-- Name: textint8cat(text, bigint); Type: FUNCTION; Schema: public; Owner: postgres
--

CREATE FUNCTION textint8cat(text, bigint) RETURNS text
    LANGUAGE sql IMMUTABLE STRICT
    AS $_$SELECT $1 || $2::pg_catalog.text$_$;


ALTER FUNCTION public.textint8cat(text, bigint) OWNER TO postgres;

--
-- Name: ||; Type: OPERATOR; Schema: public; Owner: postgres
--

CREATE OPERATOR || (
    PROCEDURE = textint4cat,
    LEFTARG = text,
    RIGHTARG = integer
);


ALTER OPERATOR public.|| (text, integer) OWNER TO postgres;

--
-- Name: ||; Type: OPERATOR; Schema: public; Owner: postgres
--

CREATE OPERATOR || (
    PROCEDURE = textint8cat,
    LEFTARG = text,
    RIGHTARG = bigint
);


ALTER OPERATOR public.|| (text, bigint) OWNER TO postgres;

SET default_tablespace = '';

SET default_with_oids = false;

--
-- Name: administrators; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE administrators (
    emp_cd character varying(50) NOT NULL
);


ALTER TABLE public.administrators OWNER TO nobody;

--
-- Name: appconf; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE appconf (
    gwap character varying(10) NOT NULL,
    name character varying(40) NOT NULL,
    enable boolean DEFAULT false,
    link character varying(255),
    gazou character varying(50),
    cngok boolean DEFAULT false,
    sort_order integer,
    name_e character varying(100),
    menu_category_id integer
);


ALTER TABLE public.appconf OWNER TO nobody;

--
-- Name: casus; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE casus (
    petition_time timestamp without time zone NOT NULL,
    casus character varying,
    emp_cd character varying(50) NOT NULL
);


ALTER TABLE public.casus OWNER TO nobody;

--
-- Name: category; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE category (
    cat_cd character varying(10) NOT NULL,
    cat_name character varying(100) NOT NULL,
    enable boolean DEFAULT false
);


ALTER TABLE public.category OWNER TO nobody;

--
-- Name: chief; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE chief (
    emp_cd character varying(50) NOT NULL,
    title character varying
);


ALTER TABLE public.chief OWNER TO nobody;

--
-- Name: chiefemp; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE chiefemp (
    chief character varying(50) NOT NULL,
    emp_cd character varying(50) NOT NULL
);


ALTER TABLE public.chiefemp OWNER TO nobody;

--
-- Name: company; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE company (
    c_name character varying(200) NOT NULL,
    ck_name character varying(200),
    c_date date,
    capital integer,
    homepage character varying(300),
    email character varying(100),
    boss character varying(50)
);


ALTER TABLE public.company OWNER TO nobody;

--
-- Name: division; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE division (
    division character varying(10) NOT NULL,
    div_name character varying(50) NOT NULL
);


ALTER TABLE public.division OWNER TO nobody;

--
-- Name: employee; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE employee (
    emp_cd character varying(50) NOT NULL,
    emp_password character varying(50) NOT NULL,
    last_name_j character varying(10) NOT NULL,
    first_name_j character varying(10) NOT NULL,
    last_name_e character varying(20) NOT NULL,
    first_name_e character varying(20) NOT NULL,
    last_name_kana character varying(20) NOT NULL,
    first_name_kana character varying(20) NOT NULL,
    sex boolean,
    kind character varying(10),
    division character varying(10),
    birthday date,
    join_date date,
    retire_date date,
    extension_no character varying(10),
    home_postal character(7),
    home_addr1 character varying(100),
    home_addr2 character varying(100),
    home_addr3 character varying(100),
    home_phone character varying(20),
    handy_phone character varying(20),
    email character varying(50),
    contact character varying(100),
    sort_no character varying(10) NOT NULL,
    unify boolean DEFAULT false
);


ALTER TABLE public.employee OWNER TO nobody;

--
-- Name: facilities; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE facilities (
    fac_cd character varying(10) NOT NULL,
    fac_name character varying(100) NOT NULL,
    enable boolean DEFAULT false,
    fac_cat_cd character varying(10) DEFAULT '1'::character varying
);


ALTER TABLE public.facilities OWNER TO nobody;

--
-- Name: facility_category; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE facility_category (
    fac_cat_cd character varying(10) NOT NULL,
    fac_cat_name character varying(100) NOT NULL,
    enable boolean NOT NULL
);


ALTER TABLE public.facility_category OWNER TO nobody;

--
-- Name: forums; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE forums (
    id integer DEFAULT 0 NOT NULL,
    name character varying(50) DEFAULT ''::character varying NOT NULL,
    active smallint DEFAULT 0 NOT NULL,
    description character varying(255) DEFAULT ''::character varying NOT NULL,
    config_suffix character varying(50) DEFAULT ''::character varying NOT NULL,
    folder character(1) DEFAULT '0'::bpchar NOT NULL,
    parent integer DEFAULT 0 NOT NULL,
    display integer DEFAULT 0 NOT NULL,
    table_name character varying(50) DEFAULT ''::character varying NOT NULL,
    moderation character(1) DEFAULT 'n'::bpchar NOT NULL,
    email_list character varying(50) DEFAULT ''::character varying NOT NULL,
    email_return character varying(50) DEFAULT ''::character varying NOT NULL,
    email_tag character varying(50) DEFAULT ''::character varying NOT NULL,
    check_dup smallint DEFAULT 0 NOT NULL,
    multi_level smallint DEFAULT 0 NOT NULL,
    collapse smallint DEFAULT 0 NOT NULL,
    flat smallint DEFAULT 0 NOT NULL,
    lang character varying(50) DEFAULT ''::character varying NOT NULL,
    html character varying(40) DEFAULT 'N'::character varying NOT NULL,
    table_width character varying(4) DEFAULT ''::character varying NOT NULL,
    table_header_color character varying(7) DEFAULT ''::character varying NOT NULL,
    table_header_font_color character varying(7) DEFAULT ''::character varying NOT NULL,
    table_body_color_1 character varying(7) DEFAULT ''::character varying NOT NULL,
    table_body_color_2 character varying(7) DEFAULT ''::character varying NOT NULL,
    table_body_font_color_1 character varying(7) DEFAULT ''::character varying NOT NULL,
    table_body_font_color_2 character varying(7) DEFAULT ''::character varying NOT NULL,
    nav_color character varying(7) DEFAULT ''::character varying NOT NULL,
    nav_font_color character varying(7) DEFAULT ''::character varying NOT NULL,
    allow_uploads character(1) DEFAULT 'N'::bpchar NOT NULL,
    upload_types character varying(100) DEFAULT 'N'::character varying NOT NULL,
    upload_size integer DEFAULT 0 NOT NULL,
    max_uploads integer DEFAULT 0 NOT NULL,
    security integer DEFAULT 0 NOT NULL,
    showip smallint DEFAULT 1 NOT NULL,
    emailnotification smallint DEFAULT 1 NOT NULL,
    body_color character varying(7) DEFAULT ''::character varying NOT NULL,
    body_link_color character varying(7) DEFAULT ''::character varying NOT NULL,
    body_alink_color character varying(7) DEFAULT ''::character varying NOT NULL,
    body_vlink_color character varying(7) DEFAULT ''::character varying NOT NULL
);


ALTER TABLE public.forums OWNER TO nobody;

--
-- Name: group_access; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE group_access (
    cat_cd character varying(10) NOT NULL,
    subcat_cd character varying(10) NOT NULL,
    group_cd character varying(10) NOT NULL,
    writeable boolean NOT NULL
);


ALTER TABLE public.group_access OWNER TO nobody;

--
-- Name: group_master; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE group_master (
    group_cd integer NOT NULL,
    group_name character varying(50) NOT NULL,
    owner_emp_cd character varying(50) NOT NULL,
    public_flg boolean DEFAULT false
);


ALTER TABLE public.group_master OWNER TO nobody;

--
-- Name: group_relation; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE group_relation (
    group_cd integer NOT NULL,
    emp_cd character varying(50) NOT NULL
);


ALTER TABLE public.group_relation OWNER TO nobody;

--
-- Name: gwlog; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE gwlog (
    record_time timestamp without time zone NOT NULL,
    emp_cd character varying(50) NOT NULL,
    gwap character varying(10),
    access character varying(15)
);


ALTER TABLE public.gwlog OWNER TO nobody;

--
-- Name: holiday; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE holiday (
    hdate date NOT NULL,
    hname character varying(100) NOT NULL,
    flgorgin boolean DEFAULT false
);


ALTER TABLE public.holiday OWNER TO nobody;

--
-- Name: monsche; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE monsche (
    sche_date date NOT NULL,
    seq integer NOT NULL,
    tantou character varying(50),
    schedule character varying,
    division character varying(10)
);


ALTER TABLE public.monsche OWNER TO nobody;

--
-- Name: mst_menu_category; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE mst_menu_category (
    menu_category_id integer NOT NULL,
    menu_category_name character varying(50),
    menu_category_image character varying(50),
    menu_category_order integer
);


ALTER TABLE public.mst_menu_category OWNER TO nobody;

--
-- Name: mst_priority; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE mst_priority (
    priority_cd character varying(2) NOT NULL,
    priority_name character varying(50) NOT NULL,
    enable boolean NOT NULL
);


ALTER TABLE public.mst_priority OWNER TO postgres;

--
-- Name: mst_touban; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE mst_touban (
    touban_cd character varying(10) NOT NULL,
    touban_name character varying(100) NOT NULL,
    memo character varying(255)
);


ALTER TABLE public.mst_touban OWNER TO nobody;

--
-- Name: mst_type; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE mst_type (
    kind character varying(10) NOT NULL,
    t_name character varying(20) NOT NULL
);


ALTER TABLE public.mst_type OWNER TO nobody;

--
-- Name: mst_wflow; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE mst_wflow (
    petition_cd character varying(10) NOT NULL,
    petition_name character varying(200) NOT NULL,
    petition_type character varying(10) NOT NULL,
    send_end_mail boolean DEFAULT true,
    send_sanction_mail boolean DEFAULT true,
    send_remand_mail boolean DEFAULT true,
    send_withdrawal_mail boolean DEFAULT true
);


ALTER TABLE public.mst_wflow OWNER TO nobody;

--
-- Name: nextodd; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE nextodd (
    petition_time timestamp without time zone NOT NULL,
    emp_cd character varying(50) NOT NULL
);


ALTER TABLE public.nextodd OWNER TO nobody;

--
-- Name: notice; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE notice (
    sendtime timestamp without time zone NOT NULL,
    emp_cd character varying(50) NOT NULL,
    title character varying(50),
    body text,
    confirm character(1),
    schedule_cd integer,
    schedule_date_cd integer
);


ALTER TABLE public.notice OWNER TO nobody;

--
-- Name: oddmans; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE oddmans (
    petition_time timestamp without time zone NOT NULL,
    petition_cd character varying(10),
    emp_cd character varying(50) NOT NULL,
    seq smallint NOT NULL
);


ALTER TABLE public.oddmans OWNER TO nobody;

--
-- Name: onetime_password; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE onetime_password (
    emp_cd character varying(50) NOT NULL,
    pass character varying(10) NOT NULL,
    login_limit timestamp without time zone NOT NULL,
    delete_limit timestamp without time zone NOT NULL
);


ALTER TABLE public.onetime_password OWNER TO nobody;

--
-- Name: pnotice; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE pnotice (
    sendtime timestamp without time zone NOT NULL,
    emp_cd character varying(50) NOT NULL,
    seentime timestamp without time zone,
    reply boolean,
    remark character varying,
    print_flg character varying(1) DEFAULT '1'::character varying
);


ALTER TABLE public.pnotice OWNER TO nobody;

--
-- Name: record; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE record (
    filename character varying NOT NULL,
    cat_cd character varying(10) NOT NULL,
    subcat_cd character varying(10) NOT NULL,
    remark character varying,
    emp_cd character varying(50) NOT NULL,
    up_time timestamp without time zone NOT NULL,
    filesize integer
);


ALTER TABLE public.record OWNER TO nobody;

--
-- Name: record_access; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE record_access (
    up_time timestamp without time zone NOT NULL,
    group_cd integer NOT NULL,
    readable_status character varying(1) DEFAULT 'F'::character varying
);


ALTER TABLE public.record_access OWNER TO nobody;

--
-- Name: reservation; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE reservation (
    fac_cd character varying(10) NOT NULL,
    emp_cd character varying(50) NOT NULL,
    schedule_cd integer NOT NULL,
    schedule_date_cd integer NOT NULL,
    ac_date timestamp without time zone DEFAULT '2011-10-21 17:54:51.016472'::timestamp without time zone
);


ALTER TABLE public.reservation OWNER TO nobody;

--
-- Name: schedule2; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE schedule2 (
    schedule_cd integer NOT NULL,
    emp_cd character varying(50) NOT NULL,
    scdl_plan text NOT NULL,
    scdl_place character varying(128),
    scdl_remarks text,
    flg_del character(1) DEFAULT 'f'::bpchar,
    flg_pub character(1) DEFAULT 't'::bpchar,
    flg_out character(1) DEFAULT 'f'::bpchar
);


ALTER TABLE public.schedule2 OWNER TO nobody;

--
-- Name: schedule_date; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE schedule_date (
    schedule_cd integer NOT NULL,
    schedule_date_cd integer NOT NULL,
    scdl_date date NOT NULL,
    scdl_s_time time without time zone,
    scdl_e_time time without time zone,
    scdl_remarks text
);


ALTER TABLE public.schedule_date OWNER TO nobody;

--
-- Name: serialnumber; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE serialnumber (
    name text,
    code integer
);


ALTER TABLE public.serialnumber OWNER TO nobody;

--
-- Name: subcategory; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE subcategory (
    subcat_cd character varying(10) NOT NULL,
    subcat_name character varying(100) NOT NULL,
    enable boolean,
    cat_cd character varying(10) NOT NULL
);


ALTER TABLE public.subcategory OWNER TO nobody;

--
-- Name: tantou; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE tantou (
    seq character varying(10) NOT NULL,
    toricode character varying(10),
    last_name_j character varying(10),
    first_name_j character varying(10),
    last_name_e character varying(20),
    first_name_e character varying(20),
    sex boolean,
    busyo character varying(100),
    yaku character varying(100),
    phone character varying(20),
    fax character varying(20),
    handy character varying(20),
    email character varying(50),
    gyomu character varying,
    memo character varying,
    bashocode character varying(10),
    input_emp_cd character varying(50)
);


ALTER TABLE public.tantou OWNER TO nobody;

--
-- Name: task; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE task (
    category_cd character varying(10) NOT NULL,
    sub_category_cd character varying(10) NOT NULL,
    group_cd integer NOT NULL,
    task_cd character varying(10) NOT NULL,
    title character varying(100) NOT NULL,
    description text,
    plan_start_date date,
    plan_start_time time without time zone,
    plan_end_date date,
    plan_end_time time without time zone,
    result_start_date date,
    result_start_time time without time zone,
    result_end_date date,
    result_end_time time without time zone,
    priority_cd character varying(10) NOT NULL,
    owner_emp_cd character varying(50) NOT NULL,
    regist_emp_cd character varying(50) NOT NULL,
    status integer NOT NULL,
    schedule_flg boolean NOT NULL
);


ALTER TABLE public.task OWNER TO postgres;

--
-- Name: task_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE task_category (
    category_cd character varying(10) NOT NULL,
    category_name character varying(100) NOT NULL,
    group_cd integer NOT NULL,
    description text,
    readable boolean NOT NULL
);


ALTER TABLE public.task_category OWNER TO postgres;

--
-- Name: task_sub_category; Type: TABLE; Schema: public; Owner: postgres; Tablespace: 
--

CREATE TABLE task_sub_category (
    category_cd character varying(10) NOT NULL,
    sub_category_cd character varying(10) NOT NULL,
    sub_category_name character varying(100) NOT NULL,
    group_cd integer NOT NULL,
    description text,
    readable boolean NOT NULL
);


ALTER TABLE public.task_sub_category OWNER TO postgres;

--
-- Name: telmemo2; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE telmemo2 (
    regist_time timestamp without time zone NOT NULL,
    emp_cd character varying(50) NOT NULL,
    purpose smallint NOT NULL,
    memo character varying NOT NULL,
    writer character varying(50) NOT NULL,
    del boolean
);


ALTER TABLE public.telmemo2 OWNER TO nobody;

--
-- Name: tmp_event_member; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE tmp_event_member (
    owner_emp_cd character varying(50) NOT NULL,
    emp_cd character varying(50) NOT NULL,
    enable character varying(1)
);


ALTER TABLE public.tmp_event_member OWNER TO nobody;

--
-- Name: tmp_reservation; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE tmp_reservation (
    owner_emp_cd character varying(50) NOT NULL,
    fac_cd character varying(10) NOT NULL
);


ALTER TABLE public.tmp_reservation OWNER TO nobody;

--
-- Name: tori_place; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE tori_place (
    toricode character varying(10) NOT NULL,
    bashocode character varying(10) NOT NULL,
    input_emp_cd character varying(50),
    bashomei character varying(50),
    postal character varying(7),
    address text,
    tel character varying(20),
    fax character varying(20)
);


ALTER TABLE public.tori_place OWNER TO nobody;

--
-- Name: torihikisaki; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE torihikisaki (
    toricode character varying(10) NOT NULL,
    input_emp_cd character varying(50),
    syamei character varying(50),
    shihon integer,
    bank character varying,
    gyomu character varying,
    last_name_j character varying(10),
    first_name_j character varying(10),
    last_name_e character varying(20),
    first_name_e character varying(20),
    email character varying(50),
    web character varying(100)
);


ALTER TABLE public.torihikisaki OWNER TO nobody;

--
-- Name: touban; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE touban (
    touban_cd character varying(10) NOT NULL,
    touban_date date NOT NULL,
    emp_cd character varying[]
);


ALTER TABLE public.touban OWNER TO nobody;

--
-- Name: transactions; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE transactions (
    emp_cd character varying(50) NOT NULL,
    trans_id character varying NOT NULL
);


ALTER TABLE public.transactions OWNER TO nobody;

--
-- Name: whiteboard; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE whiteboard (
    emp_cd character varying(50) NOT NULL,
    place character varying(1) DEFAULT '0'::character varying,
    ins_time timestamp without time zone,
    destination character varying(256),
    back_time time without time zone,
    write_emp character varying(50)
);


ALTER TABLE public.whiteboard OWNER TO nobody;

--
-- Name: wiz_event_member; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE wiz_event_member (
    schedule_cd integer NOT NULL,
    schedule_date_cd integer NOT NULL,
    emp_cd character varying(50) NOT NULL,
    enable character varying(1) DEFAULT '1'::character varying NOT NULL
);


ALTER TABLE public.wiz_event_member OWNER TO nobody;

--
-- Name: workflow; Type: TABLE; Schema: public; Owner: nobody; Tablespace: 
--

CREATE TABLE workflow (
    petition_time timestamp without time zone NOT NULL,
    emp_cd character varying(50) NOT NULL,
    petition_cd character varying(6) NOT NULL,
    oddtime character varying[],
    oddall boolean DEFAULT false,
    time_begin timestamp without time zone,
    time_end timestamp without time zone,
    purpose character varying,
    detail character varying,
    etc character varying,
    ammount integer,
    ngflg boolean DEFAULT false,
    endflg boolean DEFAULT false,
    remark character varying[],
    filename character varying,
    delflg boolean DEFAULT false
);


ALTER TABLE public.workflow OWNER TO nobody;

--
-- Data for Name: administrators; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO administrators VALUES ('admin');


--
-- Data for Name: appconf; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO appconf VALUES ('mygroup', 'グループ設定', true, 'emp_group.php', 'maintenance_title.gif', false, 2, 'myGroup', 8);
INSERT INTO appconf VALUES ('home', 'HOME', true, 'index.php', 'index_title.gif', true, 0, 'HOME', 1);
INSERT INTO appconf VALUES ('conf', '設定', true, 'confmenu.php', 'maintenance_title.gif', true, 3, ' ', 8);
INSERT INTO appconf VALUES ('p_info', '個人情報閲覧', true, 'phonebook.php', 'personal_readtitle.gif', false, 5, 'Colleagues Information', 4);
INSERT INTO appconf VALUES ('com_event', '会社行事・予定', true, 'monsche.php', 'com_event_title.gif', false, 2, 'Schedules of Business', 1);
INSERT INTO appconf VALUES ('telmemo', '伝言メモ', true, 'telmemo.php', 'message_title.gif', false, 2, 'Message Notes', 2);
INSERT INTO appconf VALUES ('reserve', '施設予約', true, 'reserve.php', 'institution_title.gif', false, 1, 'Bookings of Facilities', 5);
INSERT INTO appconf VALUES ('clnt', '取引先・担当者情報', true, 'client.php', 'customer_title.gif', false, 4, 'Information of Clients', 4);
INSERT INTO appconf VALUES ('empedit', '個人情報編集', true, 'emp.php', 'maintenance_title.gif', false, 1, 'Self-information', 8);
INSERT INTO appconf VALUES ('passwd', 'パスワード変更', true, 'passwd.php', 'pass_title.gif', false, 2, 'Password Change', 6);
INSERT INTO appconf VALUES ('workflow', 'ワークフロー・申請', true, 'workflow.php', 'workflow_title.gif', false, 1, 'Applications', 3);
INSERT INTO appconf VALUES ('flowpetit', '決裁', true, 'flowpetit.php', 'settlement_title.gif', false, 2, 'Decisions', 3);
INSERT INTO appconf VALUES ('bbs', '掲示板', true, 'bbs/index.php', 'bbs_title.gif', false, 2, 'BBS', 4);
INSERT INTO appconf VALUES ('rota', '当番表', true, 'rota.php', 'duty_title.gif', false, 3, 'Turns of Duty', 1);
INSERT INTO appconf VALUES ('scdl', 'スケジュール帳', true, 'schedule2.php', 'schedule_title.gif', false, 1, 'Personal Schedule', 1);
INSERT INTO appconf VALUES ('notice', '回覧板', true, 'notice1.php', 'circulation_title.gif', false, 4, 'Circular Board', 1);
INSERT INTO appconf VALUES ('document', 'ファイル共有', true, 'record.php', 'document_title.gif', false, 1, 'Library', 4);
INSERT INTO appconf VALUES ('white', '行先ボード', true, 'whiteboard1.php', 'destination_title.gif', false, 1, 'Whiteboard System', 2);
INSERT INTO appconf VALUES ('task', 'タスク管理', true, 'task/TaskManage.php', '../task/images/task_title.gif', false, 3, 'TaskManagement', 1);


--
-- Data for Name: casus; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: category; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO category VALUES ('1', '議事録', true);


--
-- Data for Name: chief; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO chief VALUES ('admin', '');


--
-- Data for Name: chiefemp; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: company; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO company VALUES ('WIZ株式会社', 'WIZ株式会社', '1900-01-01', 1, 'http://localhost/', 'wiz@wiz', 'WIZ一郎');


--
-- Data for Name: division; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO division VALUES ('1', '総務部');


--
-- Data for Name: employee; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO employee VALUES ('admin', 'uit0tkg6JSA0s', '初期', '管理者', 'Initial', 'Administrator', 'しょき', 'かんりしゃ', true, '1', '1', NULL, NULL, NULL, '1', '       ', '', '', '', '', '', '', '', '1', false);


--
-- Data for Name: facilities; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO facilities VALUES ('1', '会議室', true, '1');


--
-- Data for Name: facility_category; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO facility_category VALUES ('1', 'Default', true);


--
-- Data for Name: forums; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: group_access; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: group_master; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO group_master VALUES (-1, '個人', 'admin', true);


--
-- Data for Name: group_relation; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: gwlog; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO gwlog VALUES ('2011-10-21 17:55:45', 'admin', 'task', '127.0.0.1');


--
-- Data for Name: holiday; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO holiday VALUES ('2004-01-01', '元日', false);
INSERT INTO holiday VALUES ('2004-01-12', '成人の日', false);
INSERT INTO holiday VALUES ('2004-02-11', '建国記念の日', false);
INSERT INTO holiday VALUES ('2004-03-20', '春分の日', false);
INSERT INTO holiday VALUES ('2004-04-29', 'みどりの日', false);
INSERT INTO holiday VALUES ('2004-05-03', '憲法記念日', false);
INSERT INTO holiday VALUES ('2004-05-04', '国民の祝日', false);
INSERT INTO holiday VALUES ('2004-05-05', 'こどもの日', false);
INSERT INTO holiday VALUES ('2004-07-19', '海の日', false);
INSERT INTO holiday VALUES ('2004-09-20', '敬老の日', false);
INSERT INTO holiday VALUES ('2004-09-23', '秋分の日', false);
INSERT INTO holiday VALUES ('2004-10-11', '体育の日', false);
INSERT INTO holiday VALUES ('2004-11-03', '文化の日', false);
INSERT INTO holiday VALUES ('2004-11-23', '勤労感謝の日', false);
INSERT INTO holiday VALUES ('2004-12-23', '天皇誕生日', false);


--
-- Data for Name: monsche; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: mst_menu_category; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO mst_menu_category VALUES (1, 'やることチェック', 'menu1.gif', 1);
INSERT INTO mst_menu_category VALUES (2, '出かける時・戻った時', 'menu2.gif', 2);
INSERT INTO mst_menu_category VALUES (3, '判断を仰ぐ時', 'menu3.gif', 3);
INSERT INTO mst_menu_category VALUES (4, 'みんなの情報', 'menu4.gif', 4);
INSERT INTO mst_menu_category VALUES (5, '資源を使おう', 'menu5.gif', 5);
INSERT INTO mst_menu_category VALUES (6, 'セキュリティは大切', 'menu6.gif', 6);
INSERT INTO mst_menu_category VALUES (7, 'その他', 'menu7.gif', 7);
INSERT INTO mst_menu_category VALUES (8, '設定', 'menu8.gif', 8);


--
-- Data for Name: mst_priority; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO mst_priority VALUES ('1', '緊急', true);
INSERT INTO mst_priority VALUES ('2', '重要', true);
INSERT INTO mst_priority VALUES ('3', '普通', true);


--
-- Data for Name: mst_touban; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO mst_touban VALUES ('1', 'ゴミ当番', '');


--
-- Data for Name: mst_type; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO mst_type VALUES ('1', '正社員');


--
-- Data for Name: mst_wflow; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: nextodd; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: notice; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: oddmans; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: onetime_password; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: pnotice; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: record; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: record_access; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: reservation; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: schedule2; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: schedule_date; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: serialnumber; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO serialnumber VALUES ('mst_type', 2);
INSERT INTO serialnumber VALUES ('division', 2);
INSERT INTO serialnumber VALUES ('mst_touban', 2);
INSERT INTO serialnumber VALUES ('facilities', 2);
INSERT INTO serialnumber VALUES ('subcategory', 2);
INSERT INTO serialnumber VALUES ('category', 2);
INSERT INTO serialnumber VALUES ('menu_category', 9);
INSERT INTO serialnumber VALUES ('task_category_cd', 1);
INSERT INTO serialnumber VALUES ('task_subcategory_cd', 1);
INSERT INTO serialnumber VALUES ('task_cd', 1);


--
-- Data for Name: subcategory; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO subcategory VALUES ('1', '人事', true, '1');


--
-- Data for Name: tantou; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: task; Type: TABLE DATA; Schema: public; Owner: postgres
--



--
-- Data for Name: task_category; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO task_category VALUES ('-1', '個人', -1, '', false);


--
-- Data for Name: task_sub_category; Type: TABLE DATA; Schema: public; Owner: postgres
--

INSERT INTO task_sub_category VALUES ('-1', '-1', '個人', -1, '', false);


--
-- Data for Name: telmemo2; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: tmp_event_member; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: tmp_reservation; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: tori_place; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: torihikisaki; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: touban; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: transactions; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: whiteboard; Type: TABLE DATA; Schema: public; Owner: nobody
--

INSERT INTO whiteboard VALUES ('admin', '0', '2001-06-27 09:01:29', 'いつもの場所', NULL, 'admin');


--
-- Data for Name: wiz_event_member; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Data for Name: workflow; Type: TABLE DATA; Schema: public; Owner: nobody
--



--
-- Name: appconf_gwap; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY appconf
    ADD CONSTRAINT appconf_gwap PRIMARY KEY (gwap);


--
-- Name: casus_petition_time; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY casus
    ADD CONSTRAINT casus_petition_time PRIMARY KEY (petition_time);


--
-- Name: category_cat_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY category
    ADD CONSTRAINT category_cat_cd PRIMARY KEY (cat_cd);


--
-- Name: chief_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY chief
    ADD CONSTRAINT chief_pkey PRIMARY KEY (emp_cd);


--
-- Name: chiefemp_chief_emp_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY chiefemp
    ADD CONSTRAINT chiefemp_chief_emp_cd PRIMARY KEY (chief, emp_cd);


--
-- Name: division_division; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY division
    ADD CONSTRAINT division_division PRIMARY KEY (division);


--
-- Name: employee_emp_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_emp_cd PRIMARY KEY (emp_cd);


--
-- Name: facilities_fac_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY facilities
    ADD CONSTRAINT facilities_fac_cd PRIMARY KEY (fac_cd);


--
-- Name: facility_category_fac_cat_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY facility_category
    ADD CONSTRAINT facility_category_fac_cat_cd PRIMARY KEY (fac_cat_cd);


--
-- Name: forums_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY forums
    ADD CONSTRAINT forums_pkey PRIMARY KEY (id);


--
-- Name: group_master_group_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY group_master
    ADD CONSTRAINT group_master_group_cd PRIMARY KEY (group_cd);


--
-- Name: mst_menu_category_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY mst_menu_category
    ADD CONSTRAINT mst_menu_category_pkey PRIMARY KEY (menu_category_id);


--
-- Name: mst_priority_priority_cd; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY mst_priority
    ADD CONSTRAINT mst_priority_priority_cd PRIMARY KEY (priority_cd);


--
-- Name: mst_touban_touban_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY mst_touban
    ADD CONSTRAINT mst_touban_touban_cd PRIMARY KEY (touban_cd);


--
-- Name: mst_type_type; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY mst_type
    ADD CONSTRAINT mst_type_type PRIMARY KEY (kind);


--
-- Name: mst_wflow_petition_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY mst_wflow
    ADD CONSTRAINT mst_wflow_petition_cd PRIMARY KEY (petition_cd);


--
-- Name: nextodd_petition_time; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY nextodd
    ADD CONSTRAINT nextodd_petition_time PRIMARY KEY (petition_time);


--
-- Name: notice_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY notice
    ADD CONSTRAINT notice_pkey PRIMARY KEY (sendtime, emp_cd);


--
-- Name: oddmans_petition_time_emp_cd; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY oddmans
    ADD CONSTRAINT oddmans_petition_time_emp_cd PRIMARY KEY (petition_time, emp_cd);


--
-- Name: reservation_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY reservation
    ADD CONSTRAINT reservation_pkey PRIMARY KEY (fac_cd, emp_cd, schedule_cd, schedule_date_cd);


--
-- Name: schedule2_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY schedule2
    ADD CONSTRAINT schedule2_pkey PRIMARY KEY (schedule_cd);


--
-- Name: schedule_date_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY schedule_date
    ADD CONSTRAINT schedule_date_pkey PRIMARY KEY (schedule_cd, schedule_date_cd);


--
-- Name: subcategory_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY subcategory
    ADD CONSTRAINT subcategory_pkey PRIMARY KEY (subcat_cd);


--
-- Name: task_category_category_cd; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY task_category
    ADD CONSTRAINT task_category_category_cd UNIQUE (category_cd);


--
-- Name: task_category_category_cd_group_cd; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY task_category
    ADD CONSTRAINT task_category_category_cd_group_cd PRIMARY KEY (category_cd, group_cd);


--
-- Name: task_category_cd_sub_category_cd_group_cd; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_category_cd_sub_category_cd_group_cd PRIMARY KEY (category_cd, sub_category_cd, group_cd, task_cd);


--
-- Name: task_sub_category_category_cd_sub_category_cd_group_cd; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY task_sub_category
    ADD CONSTRAINT task_sub_category_category_cd_sub_category_cd_group_cd PRIMARY KEY (category_cd, sub_category_cd, group_cd);


--
-- Name: task_sub_category_sub_category_cd; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY task_sub_category
    ADD CONSTRAINT task_sub_category_sub_category_cd UNIQUE (sub_category_cd);


--
-- Name: task_task_cd; Type: CONSTRAINT; Schema: public; Owner: postgres; Tablespace: 
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_task_cd UNIQUE (task_cd);


--
-- Name: tmp_event_member_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY tmp_event_member
    ADD CONSTRAINT tmp_event_member_pkey PRIMARY KEY (owner_emp_cd, emp_cd);


--
-- Name: tmp_reservation_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY tmp_reservation
    ADD CONSTRAINT tmp_reservation_pkey PRIMARY KEY (owner_emp_cd, fac_cd);


--
-- Name: torihikisaki_pkey; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY torihikisaki
    ADD CONSTRAINT torihikisaki_pkey PRIMARY KEY (toricode);


--
-- Name: workflow_petition_time; Type: CONSTRAINT; Schema: public; Owner: nobody; Tablespace: 
--

ALTER TABLE ONLY workflow
    ADD CONSTRAINT workflow_petition_time PRIMARY KEY (petition_time);


--
-- Name: forums_active; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX forums_active ON forums USING btree (active);


--
-- Name: forums_name; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX forums_name ON forums USING btree (name);


--
-- Name: forums_parent; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX forums_parent ON forums USING btree (parent);


--
-- Name: forums_security; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX forums_security ON forums USING btree (security);


--
-- Name: notice_emp_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX notice_emp_cd_fk ON notice USING btree (emp_cd);


--
-- Name: reservation_emp_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX reservation_emp_cd_fk ON reservation USING btree (emp_cd);


--
-- Name: reservation_fac_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX reservation_fac_cd_fk ON reservation USING btree (fac_cd);


--
-- Name: reservation_schedule_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX reservation_schedule_cd_fk ON reservation USING btree (schedule_cd);


--
-- Name: reservation_schedule_date_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX reservation_schedule_date_cd_fk ON reservation USING btree (schedule_date_cd);


--
-- Name: schedule2_emp_cd; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX schedule2_emp_cd ON schedule2 USING btree (emp_cd);


--
-- Name: schedule_date_schedule_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX schedule_date_schedule_cd_fk ON schedule_date USING btree (schedule_cd);


--
-- Name: wiz_event_member_emp_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX wiz_event_member_emp_cd_fk ON wiz_event_member USING btree (emp_cd);


--
-- Name: wiz_event_member_schedule_cd_schedule_date_cd_fk; Type: INDEX; Schema: public; Owner: nobody; Tablespace: 
--

CREATE INDEX wiz_event_member_schedule_cd_schedule_date_cd_fk ON wiz_event_member USING btree (schedule_cd, schedule_date_cd);


--
-- Name: administrators_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY administrators
    ADD CONSTRAINT administrators_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: casus_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY casus
    ADD CONSTRAINT casus_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: chief_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY chief
    ADD CONSTRAINT chief_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: chiefemp_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY chiefemp
    ADD CONSTRAINT chiefemp_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: employee_division; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_division FOREIGN KEY (division) REFERENCES division(division);


--
-- Name: employee_kind; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY employee
    ADD CONSTRAINT employee_kind FOREIGN KEY (kind) REFERENCES mst_type(kind);


--
-- Name: facilities_fac_cat_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY facilities
    ADD CONSTRAINT facilities_fac_cat_cd FOREIGN KEY (fac_cat_cd) REFERENCES facility_category(fac_cat_cd);


--
-- Name: gwlog_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY gwlog
    ADD CONSTRAINT gwlog_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: monsche_division; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY monsche
    ADD CONSTRAINT monsche_division FOREIGN KEY (division) REFERENCES division(division);


--
-- Name: nextodd_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY nextodd
    ADD CONSTRAINT nextodd_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: oddmans_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY oddmans
    ADD CONSTRAINT oddmans_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: oddmans_petition_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY oddmans
    ADD CONSTRAINT oddmans_petition_cd FOREIGN KEY (petition_cd) REFERENCES mst_wflow(petition_cd);


--
-- Name: pnotice_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY pnotice
    ADD CONSTRAINT pnotice_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: record_cat_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY record
    ADD CONSTRAINT record_cat_cd FOREIGN KEY (cat_cd) REFERENCES category(cat_cd);


--
-- Name: record_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY record
    ADD CONSTRAINT record_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: record_subcat_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY record
    ADD CONSTRAINT record_subcat_cd FOREIGN KEY (subcat_cd) REFERENCES subcategory(subcat_cd);


--
-- Name: reservation_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY reservation
    ADD CONSTRAINT reservation_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: reservation_fac_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY reservation
    ADD CONSTRAINT reservation_fac_cd FOREIGN KEY (fac_cd) REFERENCES facilities(fac_cd);


--
-- Name: schedule2_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY schedule2
    ADD CONSTRAINT schedule2_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: schedule_date_schedule_cd_index; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY schedule_date
    ADD CONSTRAINT schedule_date_schedule_cd_index FOREIGN KEY (schedule_cd) REFERENCES schedule2(schedule_cd);


--
-- Name: subcategory_cat_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY subcategory
    ADD CONSTRAINT subcategory_cat_cd FOREIGN KEY (cat_cd) REFERENCES category(cat_cd);


--
-- Name: task_category_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_category_cd FOREIGN KEY (category_cd) REFERENCES task_category(category_cd);


--
-- Name: task_category_group_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY task_category
    ADD CONSTRAINT task_category_group_cd FOREIGN KEY (group_cd) REFERENCES group_master(group_cd);


--
-- Name: task_group_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_group_cd FOREIGN KEY (group_cd) REFERENCES group_master(group_cd);


--
-- Name: task_priority_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_priority_cd FOREIGN KEY (priority_cd) REFERENCES mst_priority(priority_cd);


--
-- Name: task_sub_category_category_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY task_sub_category
    ADD CONSTRAINT task_sub_category_category_cd FOREIGN KEY (category_cd) REFERENCES task_category(category_cd);


--
-- Name: task_sub_category_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY task
    ADD CONSTRAINT task_sub_category_cd FOREIGN KEY (sub_category_cd) REFERENCES task_sub_category(sub_category_cd);


--
-- Name: task_sub_category_group_cd; Type: FK CONSTRAINT; Schema: public; Owner: postgres
--

ALTER TABLE ONLY task_sub_category
    ADD CONSTRAINT task_sub_category_group_cd FOREIGN KEY (group_cd) REFERENCES group_master(group_cd);


--
-- Name: telmemo2_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY telmemo2
    ADD CONSTRAINT telmemo2_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: telmemo2_writer; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY telmemo2
    ADD CONSTRAINT telmemo2_writer FOREIGN KEY (writer) REFERENCES employee(emp_cd);


--
-- Name: touban_touban_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY touban
    ADD CONSTRAINT touban_touban_cd FOREIGN KEY (touban_cd) REFERENCES mst_touban(touban_cd);


--
-- Name: transactions_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY transactions
    ADD CONSTRAINT transactions_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: whiteboard_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY whiteboard
    ADD CONSTRAINT whiteboard_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: whiteboard_write_emp; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY whiteboard
    ADD CONSTRAINT whiteboard_write_emp FOREIGN KEY (write_emp) REFERENCES employee(emp_cd);


--
-- Name: wiz_event_member_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY wiz_event_member
    ADD CONSTRAINT wiz_event_member_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: wiz_event_member_schedule_cd_schedule_date_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY wiz_event_member
    ADD CONSTRAINT wiz_event_member_schedule_cd_schedule_date_cd FOREIGN KEY (schedule_cd, schedule_date_cd) REFERENCES schedule_date(schedule_cd, schedule_date_cd);


--
-- Name: workflow_emp_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY workflow
    ADD CONSTRAINT workflow_emp_cd FOREIGN KEY (emp_cd) REFERENCES employee(emp_cd);


--
-- Name: workflow_petition_cd; Type: FK CONSTRAINT; Schema: public; Owner: nobody
--

ALTER TABLE ONLY workflow
    ADD CONSTRAINT workflow_petition_cd FOREIGN KEY (petition_cd) REFERENCES mst_wflow(petition_cd);


--
-- Name: public; Type: ACL; Schema: -; Owner: postgres
--

REVOKE ALL ON SCHEMA public FROM PUBLIC;
REVOKE ALL ON SCHEMA public FROM postgres;
GRANT ALL ON SCHEMA public TO postgres;
GRANT ALL ON SCHEMA public TO PUBLIC;


--
-- Name: administrators; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE administrators FROM PUBLIC;
REVOKE ALL ON TABLE administrators FROM nobody;
GRANT ALL ON TABLE administrators TO nobody;


--
-- Name: appconf; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE appconf FROM PUBLIC;
REVOKE ALL ON TABLE appconf FROM nobody;
GRANT ALL ON TABLE appconf TO nobody;


--
-- Name: casus; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE casus FROM PUBLIC;
REVOKE ALL ON TABLE casus FROM nobody;
GRANT ALL ON TABLE casus TO nobody;


--
-- Name: category; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE category FROM PUBLIC;
REVOKE ALL ON TABLE category FROM nobody;
GRANT ALL ON TABLE category TO nobody;


--
-- Name: chief; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE chief FROM PUBLIC;
REVOKE ALL ON TABLE chief FROM nobody;
GRANT ALL ON TABLE chief TO nobody;


--
-- Name: chiefemp; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE chiefemp FROM PUBLIC;
REVOKE ALL ON TABLE chiefemp FROM nobody;
GRANT ALL ON TABLE chiefemp TO nobody;


--
-- Name: company; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE company FROM PUBLIC;
REVOKE ALL ON TABLE company FROM nobody;
GRANT ALL ON TABLE company TO nobody;


--
-- Name: division; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE division FROM PUBLIC;
REVOKE ALL ON TABLE division FROM nobody;
GRANT ALL ON TABLE division TO nobody;


--
-- Name: employee; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE employee FROM PUBLIC;
REVOKE ALL ON TABLE employee FROM nobody;
GRANT ALL ON TABLE employee TO nobody;


--
-- Name: facilities; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE facilities FROM PUBLIC;
REVOKE ALL ON TABLE facilities FROM nobody;
GRANT ALL ON TABLE facilities TO nobody;


--
-- Name: facility_category; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE facility_category FROM PUBLIC;
REVOKE ALL ON TABLE facility_category FROM nobody;
GRANT ALL ON TABLE facility_category TO nobody;


--
-- Name: forums; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE forums FROM PUBLIC;
REVOKE ALL ON TABLE forums FROM nobody;
GRANT ALL ON TABLE forums TO nobody;


--
-- Name: group_access; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE group_access FROM PUBLIC;
REVOKE ALL ON TABLE group_access FROM nobody;
GRANT ALL ON TABLE group_access TO nobody;


--
-- Name: group_master; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE group_master FROM PUBLIC;
REVOKE ALL ON TABLE group_master FROM nobody;
GRANT ALL ON TABLE group_master TO nobody;


--
-- Name: group_relation; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE group_relation FROM PUBLIC;
REVOKE ALL ON TABLE group_relation FROM nobody;
GRANT ALL ON TABLE group_relation TO nobody;


--
-- Name: gwlog; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE gwlog FROM PUBLIC;
REVOKE ALL ON TABLE gwlog FROM nobody;
GRANT ALL ON TABLE gwlog TO nobody;


--
-- Name: holiday; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE holiday FROM PUBLIC;
REVOKE ALL ON TABLE holiday FROM nobody;
GRANT ALL ON TABLE holiday TO nobody;


--
-- Name: monsche; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE monsche FROM PUBLIC;
REVOKE ALL ON TABLE monsche FROM nobody;
GRANT ALL ON TABLE monsche TO nobody;


--
-- Name: mst_menu_category; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE mst_menu_category FROM PUBLIC;
REVOKE ALL ON TABLE mst_menu_category FROM nobody;
GRANT ALL ON TABLE mst_menu_category TO nobody;


--
-- Name: mst_priority; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE mst_priority FROM PUBLIC;
REVOKE ALL ON TABLE mst_priority FROM postgres;
GRANT ALL ON TABLE mst_priority TO postgres;
GRANT ALL ON TABLE mst_priority TO nobody;


--
-- Name: mst_touban; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE mst_touban FROM PUBLIC;
REVOKE ALL ON TABLE mst_touban FROM nobody;
GRANT ALL ON TABLE mst_touban TO nobody;


--
-- Name: mst_type; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE mst_type FROM PUBLIC;
REVOKE ALL ON TABLE mst_type FROM nobody;
GRANT ALL ON TABLE mst_type TO nobody;


--
-- Name: mst_wflow; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE mst_wflow FROM PUBLIC;
REVOKE ALL ON TABLE mst_wflow FROM nobody;
GRANT ALL ON TABLE mst_wflow TO nobody;


--
-- Name: nextodd; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE nextodd FROM PUBLIC;
REVOKE ALL ON TABLE nextodd FROM nobody;
GRANT ALL ON TABLE nextodd TO nobody;


--
-- Name: notice; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE notice FROM PUBLIC;
REVOKE ALL ON TABLE notice FROM nobody;
GRANT ALL ON TABLE notice TO nobody;


--
-- Name: oddmans; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE oddmans FROM PUBLIC;
REVOKE ALL ON TABLE oddmans FROM nobody;
GRANT ALL ON TABLE oddmans TO nobody;


--
-- Name: onetime_password; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE onetime_password FROM PUBLIC;
REVOKE ALL ON TABLE onetime_password FROM nobody;
GRANT ALL ON TABLE onetime_password TO nobody;


--
-- Name: pnotice; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE pnotice FROM PUBLIC;
REVOKE ALL ON TABLE pnotice FROM nobody;
GRANT ALL ON TABLE pnotice TO nobody;


--
-- Name: record; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE record FROM PUBLIC;
REVOKE ALL ON TABLE record FROM nobody;
GRANT ALL ON TABLE record TO nobody;


--
-- Name: record_access; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE record_access FROM PUBLIC;
REVOKE ALL ON TABLE record_access FROM nobody;
GRANT ALL ON TABLE record_access TO nobody;


--
-- Name: reservation; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE reservation FROM PUBLIC;
REVOKE ALL ON TABLE reservation FROM nobody;
GRANT ALL ON TABLE reservation TO nobody;


--
-- Name: schedule2; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE schedule2 FROM PUBLIC;
REVOKE ALL ON TABLE schedule2 FROM nobody;
GRANT ALL ON TABLE schedule2 TO nobody;


--
-- Name: schedule_date; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE schedule_date FROM PUBLIC;
REVOKE ALL ON TABLE schedule_date FROM nobody;
GRANT ALL ON TABLE schedule_date TO nobody;


--
-- Name: serialnumber; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE serialnumber FROM PUBLIC;
REVOKE ALL ON TABLE serialnumber FROM nobody;
GRANT ALL ON TABLE serialnumber TO nobody;


--
-- Name: subcategory; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE subcategory FROM PUBLIC;
REVOKE ALL ON TABLE subcategory FROM nobody;
GRANT ALL ON TABLE subcategory TO nobody;


--
-- Name: tantou; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE tantou FROM PUBLIC;
REVOKE ALL ON TABLE tantou FROM nobody;
GRANT ALL ON TABLE tantou TO nobody;


--
-- Name: task; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE task FROM PUBLIC;
REVOKE ALL ON TABLE task FROM postgres;
GRANT ALL ON TABLE task TO postgres;
GRANT ALL ON TABLE task TO nobody;


--
-- Name: task_category; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE task_category FROM PUBLIC;
REVOKE ALL ON TABLE task_category FROM postgres;
GRANT ALL ON TABLE task_category TO postgres;
GRANT ALL ON TABLE task_category TO nobody;


--
-- Name: task_sub_category; Type: ACL; Schema: public; Owner: postgres
--

REVOKE ALL ON TABLE task_sub_category FROM PUBLIC;
REVOKE ALL ON TABLE task_sub_category FROM postgres;
GRANT ALL ON TABLE task_sub_category TO postgres;
GRANT ALL ON TABLE task_sub_category TO nobody;


--
-- Name: telmemo2; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE telmemo2 FROM PUBLIC;
REVOKE ALL ON TABLE telmemo2 FROM nobody;
GRANT ALL ON TABLE telmemo2 TO nobody;


--
-- Name: tmp_event_member; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE tmp_event_member FROM PUBLIC;
REVOKE ALL ON TABLE tmp_event_member FROM nobody;
GRANT ALL ON TABLE tmp_event_member TO nobody;


--
-- Name: tmp_reservation; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE tmp_reservation FROM PUBLIC;
REVOKE ALL ON TABLE tmp_reservation FROM nobody;
GRANT ALL ON TABLE tmp_reservation TO nobody;


--
-- Name: tori_place; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE tori_place FROM PUBLIC;
REVOKE ALL ON TABLE tori_place FROM nobody;
GRANT ALL ON TABLE tori_place TO nobody;


--
-- Name: torihikisaki; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE torihikisaki FROM PUBLIC;
REVOKE ALL ON TABLE torihikisaki FROM nobody;
GRANT ALL ON TABLE torihikisaki TO nobody;


--
-- Name: touban; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE touban FROM PUBLIC;
REVOKE ALL ON TABLE touban FROM nobody;
GRANT ALL ON TABLE touban TO nobody;


--
-- Name: transactions; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE transactions FROM PUBLIC;
REVOKE ALL ON TABLE transactions FROM nobody;
GRANT ALL ON TABLE transactions TO nobody;


--
-- Name: whiteboard; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE whiteboard FROM PUBLIC;
REVOKE ALL ON TABLE whiteboard FROM nobody;
GRANT ALL ON TABLE whiteboard TO nobody;


--
-- Name: wiz_event_member; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE wiz_event_member FROM PUBLIC;
REVOKE ALL ON TABLE wiz_event_member FROM nobody;
GRANT ALL ON TABLE wiz_event_member TO nobody;


--
-- Name: workflow; Type: ACL; Schema: public; Owner: nobody
--

REVOKE ALL ON TABLE workflow FROM PUBLIC;
REVOKE ALL ON TABLE workflow FROM nobody;
GRANT ALL ON TABLE workflow TO nobody;


--
-- PostgreSQL database dump complete
--

