<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: database_employee.php 1226 2004-09-14 09:16:50Z hideki-h $
//

/**
 * データベースへの登録クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "admin/csvimport/class/database.php");


class DatabaseEmployee extends Database
{
	// コンストラクタ
	function DatabaseEmployee()
	{
		$this->Database();
	}


	// DBに登録
	function doInsert()
	{
		$isError = False;

		// BEGIN
		$sql = $this->dbSqlObj->sqlBeginTrans();
		$result = $this->dbExecObj->exeSql($this->conn, $sql);
		if (!$result)
		{
			$this->errorInfoOwner->add("データベースエラー:トランザクションが開始できませんでした。");
			return False;
		}

		// インポートするデータの配列
		$importCsvData = $this->importCsvDataOwner->getImportCsvData();

		$count = count($importCsvData);

		for ($i = 0; $i < $count; $i++)
		{
			$sql = $this->dbSqlObj->selectEmployeeCountOfEmpCdWithEmpCd($importCsvData[$i]->arrayValue[0]);
			$result = $this->dbExecObj->exeSql($this->conn, $sql);
			if (!$result)
			{
				$this->errorInfoOwner->add("データベースエラー:インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目のemp_cd存在確認処理でエラーが発生しました。実行したSQL:" . $sql);
				$isError = True;
			}

			if ($this->dbExecObj->getResult($result, 0, "count_of_records") != 0)
			{
				$this->errorInfoOwner->add("インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目のemp_cdはすでに登録されています。");
				$isError = True;
			}

			if ($importCsvData[$i]->arrayValue[24] == "t")
			{
				$sql = $this->dbSqlObj->selectUnifyCount();
				$result = $this->dbExecObj->exeSql($this->conn, $sql);
				if (!$result)
				{
					$this->errorInfoOwner->add("データベースエラー:インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目の統括ユーザー存在確認処理でエラーが発生しました。実行したSQL:" . $sql);
					$isError = True;
				}

				if ($this->dbExecObj->getResult($result, 0, "count_of_records") != 0)
				{
					$this->errorInfoOwner->add("インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目で、統括ユーザーはすでに存在しています。");
					$isError = True;
				}
			}

			if (!$isError)
			{
				// 登録
				$sql = $this->dbSqlObj->insertCsv2Employee($importCsvData[$i]->arrayValue[0],
															crypt($importCsvData[$i]->arrayValue[1], $this->createSalt()),
//															$importCsvData[$i]->arrayValue[1],
															$importCsvData[$i]->arrayValue[2],
															$importCsvData[$i]->arrayValue[3],
															$importCsvData[$i]->arrayValue[4],
															$importCsvData[$i]->arrayValue[5],
															$importCsvData[$i]->arrayValue[6],
															$importCsvData[$i]->arrayValue[7],
															$importCsvData[$i]->arrayValue[8],
															$importCsvData[$i]->arrayValue[9],
															$importCsvData[$i]->arrayValue[10],
															$importCsvData[$i]->arrayValue[11],
															$importCsvData[$i]->arrayValue[12],
															$importCsvData[$i]->arrayValue[13],
															$importCsvData[$i]->arrayValue[14],
															$importCsvData[$i]->arrayValue[15],
															$importCsvData[$i]->arrayValue[16],
															$importCsvData[$i]->arrayValue[17],
															$importCsvData[$i]->arrayValue[18],
															$importCsvData[$i]->arrayValue[19],
															$importCsvData[$i]->arrayValue[20],
															$importCsvData[$i]->arrayValue[21],
															$importCsvData[$i]->arrayValue[22],
															$importCsvData[$i]->arrayValue[23],
															$importCsvData[$i]->arrayValue[24]
															);

				$result = $this->dbExecObj->exeSql($this->conn, $sql);
				if ($result)
				{
					// .htpasswdへの追加
					system(escapeshellcmd("/home/nobody/mkhtpasswd.sh " . $emp_cd . " " . $passw));
				}
				else
				{
					$this->errorInfoOwner->add("データベースエラー:インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目の登録処理でエラーが発生しました。実行したSQL:" . $sql);
					$isError = True;
				}
			}
		}

		if ($isError)
		{
			// ROLLBACK
			$sql = $this->dbSqlObj->sqlRollBackTrans();
			$result = $this->dbExecObj->exeSql($this->conn, $sql);

			return False;
		}

		// COMMIT
		$sql = $this->dbSqlObj->sqlCommitTrans();
		$result = $this->dbExecObj->exeSql($this->conn, $sql);
		if (!$result)
		{
			$this->errorInfoOwner->add("データベースエラー:コミットできませんでした。");

			// ROLLBACK
			$sql = $this->dbSqlObj->sqlRollBackTrans();
			$result = $this->dbExecObj->exeSql($this->conn, $sql);

			return False;
		}

		return True;
	}


	function createSalt()
	{
		mt_srand((double)microtime() * 1000000);

		$possible = "abcdefghijklmnopqrstuvwxyz";
		$str = "";
		while (strlen($str) < $length)
		{
			$str .= substr($possible, mt_rand(0, strlen($possible) - 1), 1);
		}

		return $str;
	}


}
?>