<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: databasecsv_torihikisaki.php 1226 2004-09-14 09:16:50Z hideki-h $
//

/**
 * データベースへの登録クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "admin/csvimport/class/databasecsv.php");


class DatabaseCsvTorihikisaki extends DatabaseCsv
{
	// コンストラクタ
	function DatabaseCsvTorihikisaki()
	{
		$this->DatabaseCsv();
	}


	// DBに登録
	function doInsert($A_PHP_AUTH_USER)
	{
		$isError = False;

		// BEGIN
		$sql = $this->dbSqlObj->sqlBeginTrans();
		$result = $this->dbExecObj->exeSql($this->conn, $sql);
		if (!$result)
		{
			$this->errorInfoOwner->add("データベースエラー:トランザクションが開始できませんでした。");
			return False;
		}

		// インポートするデータの配列
		$importCsvData = $this->importCsvDataOwner->getImportCsvData();

		$count = count($importCsvData);

		for ($i = 0; $i < $count; $i++)
		{
			$sql = $this->dbSqlObj->selectTorihikisakiToriCode();
			$result = $this->dbExecObj->exeSql($this->conn, $sql);

			if (!$result)
			{
				$this->errorInfoOwner->add("データベースエラー:インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目のtoricode取得処理でエラーが発生しました。実行したSQL:" . $sql);
				$isError = True;
			}
			else
			{
				if ($this->dbExecObj->getNumRows($result) == 0)
				{
					$toricode = "1";
				}
				else
				{
					$sql = $this->dbSqlObj->selectTorihikisakiMaxOfToriCode();
					$result = $this->dbExecObj->exeSql($this->conn, $sql);

					if (!$result)
					{
						$this->errorInfoOwner->add("データベースエラー:インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目のtoricode取得処理でエラーが発生しました。実行したSQL:" . $sql);
						$isError = True;
					}
					else
					{
						$toricode = $this->dbExecObj->getResult($result, 0, "max_of_field") + 1;
					}
				}
			}

			if (!$isError)
			{
				// 登録
				$sql = $this->dbSqlObj->insertTorihikisaki($toricode,
															$importCsvData[$i]->arrayValue[0],
															$importCsvData[$i]->arrayValue[1],
															$importCsvData[$i]->arrayValue[2],
															$importCsvData[$i]->arrayValue[3],
															$importCsvData[$i]->arrayValue[4],
															$importCsvData[$i]->arrayValue[5],
															$importCsvData[$i]->arrayValue[6],
															$importCsvData[$i]->arrayValue[7],
															$importCsvData[$i]->arrayValue[8],
															$importCsvData[$i]->arrayValue[9],
															$importCsvData[$i]->arrayValue[10]
															);

				$result = $this->dbExecObj->exeSql($this->conn, $sql);

				if (!$result)
				{
					$this->errorInfoOwner->add("データベースエラー:インポートTSVファイルの" . $importCsvData[$i]->getLineNum() . "行目の登録処理でエラーが発生しました。実行したSQL:" . $sql);
					$isError = True;
				}
			}
		}

		if ($isError)
		{
			// ROLLBACK
			$sql = $this->dbSqlObj->sqlRollBackTrans();
			$result = $this->dbExecObj->exeSql($this->conn, $sql);

			return False;
		}

		// COMMIT
		$sql = $this->dbSqlObj->sqlCommitTrans();
		$result = $this->dbExecObj->exeSql($this->conn, $sql);
		if (!$result)
		{
			$this->errorInfoOwner->add("データベースエラー:コミットできませんでした。");

			// ROLLBACK
			$sql = $this->dbSqlObj->sqlRollBackTrans();
			$result = $this->dbExecObj->exeSql($this->conn, $sql);

			return False;
		}

		return True;
	}

}
?>