<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: table_definitionowner.php 920 2002-06-07 10:35:21Z hiboki $
//

/**
 * テーブル定義情報を取り仕切るクラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "admin/csvimport/class/table_definition.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/myfile.php");

include_once($_ROOT_DIR_ . "include/resultToStringFunction.php");


class TableDefinitionOwner
{
	var $tableName;					// テーブル名
	var $tableDefinition;			// テーブル定義情報の配列
	var $tableDefinitionFileName;	// テーブル定義ファイルのパス
	var $tableDefinitionFileObj;	// テーブル定義ファイルのファイルオブジェクト
	var $errorInfoOwner;			// エラー情報クラス
	var $delimiter;					// デリミタ

	var $conn;						// DBコネクション
	var $dbSqlObj;					// SQLオブジェクト
	var $dbExecObj;					// Execオブジェクト


	// コンストラクタ
	function TableDefinitionOwner()
	{
		$this->errorInfoOwner = new ErrorInfoOwner();
		$this->tableDefinitionFileObj = new MyFile();
	}


	// tableNameの取得
	function getTableName()
	{
		return $this->tableName;
	}

	// tableNameの設定
	function setTableName($tableName)
	{
		$this->tableName = $tableName;
	}

	// tableDefinitionの取得
	function getTableDefinition()
	{
		return $this->tableDefinition;
	}

	// tableDefinitionの設定
	function setTableDefinition($tableDefinition)
	{
		$this->tableDefinition = $tableDefinition;
	}

	// tableDefinitionFileNameの取得
	function getTableDefinitionFileName()
	{
		return $this->tableDefinitionFileName;
	}

	// tableDefinitionFileNameの設定
	function setTableDefinitionFileName($tableDefinitionFileName)
	{
		$this->tableDefinitionFileName = $tableDefinitionFileName;
	}

	// tableDefinitionFileObjの取得
	function getTableDefinitionFileObj()
	{
		return $this->tableDefinitionFileObj;
	}

	// tableDefinitionFileObjの設定
	function setTableDefinitionFileObj($tableDefinitionFileObj)
	{
		$this->tableDefinitionFileObj = $tableDefinitionFileObj;
	}

	// errorInfoOwnerの取得
	function getErrorInfoOwner()
	{
		return $this->errorInfo;
	}

	// errorInfoOwnerの設定
	function setErrorInfoOwner($errorInfoOwner)
	{
		$this->errorInfoOwner = $errorInfoOwner;
	}

	// delimiterの取得
	function getDelimiter()
	{
		// タブ区切りをデフォルトにする
		if ($this->delimiter == "")
		{
			$this->delimiter = "\t";
		}

		return $this->delimiter;
	}

	// delimiterの設定
	function setDelimiter($delimiter)
	{
		$this->delimiter = $delimiter;
	}

	// connの取得
	function getConn()
	{
		return $this->conn;
	}

	// connの設定
	function setConn($conn)
	{
		$this->conn = $conn;
	}

	// dbSqlObjの取得
	function getDbSqlObj()
	{
		return $this->dbSqlObj;
	}

	// dbSqlObjの設定
	function setDbSqlObj($dbSqlObj)
	{
		$this->dbSqlObj = $dbSqlObj;
	}

	// dbExecObjの取得
	function getDbExecObj()
	{
		return $this->dbExecObj;
	}

	// dbExecObjの設定
	function setDbExecObj($dbExecObj)
	{
		$this->dbExecObj = $dbExecObj;
	}


	// テーブル定義ファイルを開く
	function openTableDefinitionFile()
	{
		if (!$this->tableDefinitionFileObj->open($this->getTableDefinitionFileName()))
		{
			echo $this->tableDefinitionFileObj->errorInfoOwner->outputAllErrorInfo();

			return False;
		}

		return True;
	}


	// テーブル定義ファイルを閉じる
	function closeTableDefinitionFile()
	{
		if (!$this->tableDefinitionFileObj->close())
		{
			echo $this->tableDefinitionFileObj->errorInfoOwner->outputAllErrorInfo();

			return False;
		}

		return True;
	}


	// テーブル定義ファイルの解析
	function analyze()
	{
		if (!$this->openTableDefinitionFile())
		{
			exit;
		}

		$lineCount = 1;
		$isError = False;

		$delimiter = $this->getDelimiter();

		while ($csvArray = fgetcsv($this->tableDefinitionFileObj->getFilePointer(), 99999, $delimiter))
		{
			// 行頭に // がある行はコメントとして無視する
			// 空行は無視する
			if (!ereg("^\/\/", $csvArray[0]) && !ereg("^$", $csvArray[0]))
			{
				$csvDataTemp = array();
				for ($i = 0; $i < count($csvArray); $i++)
				{
					$csvDataTemp[] = $csvArray[$i];
				}

				if (!$this->checkCorrect($csvDataTemp, $lineCount))
				{
					$isError = True;
				}

				if (!$isError)
				{
					$this->add($csvDataTemp);
				}
			}

			$lineCount++;
		}

		if (!$this->closeTableDefinitionFile())
		{
			exit;
		}

		if ($isError)
		{
			$this->clear();

			return False;
		}

		return True;
	}


	// 配列に追加
	function add($csvDataArray)
	{
		$tableDefinition = new TableDefinition();
		$tableDefinition->setColumnName($csvDataArray[0]);
		$tableDefinition->setType($csvDataArray[1]);
		$tableDefinition->setLength($csvDataArray[2]);
		$tableDefinition->setNotNull($csvDataArray[3]);
		$tableDefinition->setDefaultValue($csvDataArray[4]);
		$tableDefinition->setRelationTableName($csvDataArray[5]);
		$tableDefinition->setRelationColumnCode($csvDataArray[6]);
		$tableDefinition->setRelationColumnName($csvDataArray[7]);

		$tableDefinitionTemp = $this->getTableDefinition();
		$tableDefinitionTemp[] = $tableDefinition;

		$this->setTableDefinition($tableDefinitionTemp);
	}


	// 配列のクリア
	function clear()
	{
		$this->setTableDefinition("");
	}


	// データが正しいかチェック
	function checkCorrect(&$csvDataArray, $lineCount)
	{
		// 存在しなかったら""で埋める
		for ($i = 0; $i < 8; $i++)
		{
			if (!isset($csvDataArray[$i]))
			{
				$csvDataArray[$i] = "";
			}
		}

		$isError = False;

		// 内容を書き換える場合がある為、参照を代入
		$columnName = &$csvDataArray[0];
		$type = &$csvDataArray[1];
		$length = &$csvDataArray[2];
		$notNull = &$csvDataArray[3];
		$defaultValue = &$csvDataArray[4];
		$relationTableName = &$csvDataArray[5];
		$relationColumnCode = &$csvDataArray[6];
		$relationColumnName = &$csvDataArray[7];

		$this->convert2Eucjp($columnName);
		$this->convert2Eucjp($type);
		$this->convert2Eucjp($length);
		$this->convert2Eucjp($notNull);
		$this->convert2Eucjp($defaultValue);
		$this->convert2Eucjp($relationTableName);
		$this->convert2Eucjp($relationColumnCode);
		$this->convert2Eucjp($relationColumnName);

		$this->convertKana($columnName);
		$this->convertKana($type);
		$this->convertKana($length);
		$this->convertKana($notNull);
		$this->convertKana($defaultValue);
		$this->convertKana($relationTableName);
		$this->convertKana($relationColumnCode);
		$this->convertKana($relationColumnName);

		if ($columnName == "")
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目のカラム名が空欄です。");
			$isError = True;
		}
		else if (!ereg("^[a-zA-Z\-_].[0-9a-zA-Z\-_]*$", $columnName))
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目のカラム名が不正です。");
			$isError = True;
		}

		if ($type == "")
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目の型名が空欄です。");
			$isError = True;
		}
		else if (!ereg("^[a-zA-Z].[0-9a-zA-Z \-_]*$", $type))
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目の型名が不正です。");
			$isError = True;
		}

		if (ereg("[^0-9]", $length))
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目の長さが不正です。");
			$isError = True;
		}

		if (eregi("^t$", $notNull) || eregi("^not null$", $notNull))
		{
			$notNull = "t";
		}
		else if (eregi("^f$", $notNull) || $notNull == "")
		{
			$notNull = "f";
		}
		else
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目のNotNullが不正です。");
			$isError = True;
		}

		if ($defaultValue != "")
		{
			if (eregi("^integer$", $type) || eregi("^smallint$", $type))
			{
				if (ereg("[^0-9]", $defaultValue))
				{
					$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目のデフォルト値は数値のみです。");
					$isError = True;
				}
			}

			if (ereg("^[0-9]+$", $length))
			{
				if ($length < strlen($defaultValue))
				{
					$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目のデフォルト値の長さが不正です。");
					$isError = True;
				}
			}

			if (eregi("bool", $type))
			{
				if (!eregi("^[t|f]$", $defaultValue))
				{
					$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目のデフォルト値はbooleanです。");
					$isError = True;
				}
			}
		}

		if ($relationTableName != "")
		{
			if (!$this->isTableExist($relationTableName, $lineCount))
			{
				$isError = True;
			}

			if ($relationColumnCode == "")
			{
				$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目の参照先カラムコード名が空欄です。");
				$isError = True;
			}

			if ($relationColumnName == "")
			{
				$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目の参照先カラム名が空欄です。");
				$isError = True;
			}
		}

		if ($isError)
		{
			return False;
		}

		return True;
	}


	// 参照先テーブルの存在チェック
	function isTableExist($relationTableName, $lineCount)
	{
		$sql = $this->dbSqlObj->selectTableList($relationTableName);
		$result = $this->dbExecObj->exeSql($this->conn, $sql);

		if (!$result)
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目の参照先テーブル" . $relationTableName . "の存在チェックの際、データベースエラーが発生しました。実行したSQL:" . $sql);
			return False;
		}

		$subStrings = resultToString($result, $this->dbSqlObj->getTableListColumnName(), $this->dbExecObj);

		if (!ereg("'" . $relationTableName . "'", $subStrings))
		{
			$this->errorInfoOwner->add($this->getTableName() . "テーブルの定義ファイルの" . $lineCount . "行目の参照先テーブル" . $relationTableName . "が存在しません。");
			return False;

		}
		return True;
	}


	// EUC-JPにコンバート
	function convert2Eucjp(&$str)
	{
		if (mb_detect_encoding($str, "auto") != "UTF-8")
		{
			$str = mb_convert_encoding($str, "UTF-8", "auto");
		}
	}


	// 半角カナ→全角カナ
	function convertKana(&$str)
	{
		$str = mb_convert_kana($str);
	}

}
?>