<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: verification_tantou.php 1226 2004-09-14 09:16:50Z hideki-h $
//

/**
 * テーブル定義とインポートCSVデータを比較検証するクラス(担当者)
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "admin/csvimport/class/verification.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/databasecsv_tantou.php");


class VerificationTantou extends Verification
{
	// コンストラクタ
	function VerificationTantou()
	{
		global $_ROOT_DIR_;

		$this->Verification();

		$this->tableDefinitionFileName = $_ROOT_DIR_ . "admin/csvimport/format/tantou_definication";
		$this->tableName = "tantou";

		$this->databaseCsv = new DatabaseCsvTantou();
	}


	// 参照先にデータが存在するかチェック
	function isRelationDataExist($lineNum, &$data, $definition, $dataNum)
	{
		if (eregi("^(integer|smallint)$", $definition->getType()))
		{
			$isNumeric = True;
		}
		else
		{
			$isNumeric = False;
		}


		if ($definition->getRelationTableName() == "employee")
		{
			$sql = $this->dbSqlObj->selectFromRelationTable($data, $definition->getRelationTableName(), $definition->getRelationColumnCode(), $definition->getRelationColumnName(), $isNumeric);

			$result = $this->dbExecObj->exeSql($this->conn, $sql);

			if (!$result)
			{
				$this->errorInfoOwner->add("インポートTSVファイルの" . $lineNum . "行目のカラム名" . $definition->getColumnName() . "の参照先のデータ存在チェックの際、データベースエラーが発生しました。実行したSQL:" . $sql);
				$isError = True;
			}
		}
		else
		{
			// 社名から取引先コードを検索
			$sql = $this->dbSqlObj->selectToricodeFromTorihikisakiWhereSyamei($this->importCsvDataOwner->importCsvData[$dataNum]->arrayValue[0]);
			$result = $this->dbExecObj->exeSql($this->conn, $sql);
			if (!$result)
			{
				$this->errorInfoOwner->add("インポートTSVファイルの" . $lineNum . "行目のカラム名" . $definition->getColumnName() . "の参照先のデータ存在チェックの際、データベースエラーが発生しました。実行したSQL:" . $sql);
				$isError = True;
			}

			if (0 < $this->dbExecObj->getNumRows($result))
			{
				$toricode = $this->dbExecObj->getResult($result, 0, "toricode");

				$sql = $this->dbSqlObj->selectFromRelationTableTantou($data, $definition->getRelationTableName(), $definition->getRelationColumnCode(), $definition->getRelationColumnName(), $isNumeric, $toricode);

				$result = $this->dbExecObj->exeSql($this->conn, $sql);

				if (!$result)
				{
					$this->errorInfoOwner->add("インポートTSVファイルの" . $lineNum . "行目のカラム名" . $definition->getColumnName() . "の参照先のデータ存在チェックの際、データベースエラーが発生しました。実行したSQL:" . $sql);
					$isError = True;
				}
			}
			// 取引先コードが無い
			else
			{
				$this->errorInfoOwner->add("インポートTSVファイルの" . $lineNum . "行目のカラム名" . $definition->getColumnName() . "の参照先データが存在しませんでした。");
				$isError = True;
			}
		}

		if (!$isError)
		{
			if ($this->dbExecObj->getNumRows($result) == 0)
			{
				$this->errorInfoOwner->add("インポートTSVファイルの" . $lineNum . "行目のカラム名" . $definition->getColumnName() . "の参照先データが存在しませんでした。");
				$isError = True;
			}
			else
			{
				$data = $this->dbExecObj->getResult($result, 0, $definition->getRelationColumnCode());
			}
		}

		if ($isError)
		{
			return False;
		}

		return True;
	}

}
?>