<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: csvimport.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * CSVインポートのController
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */

$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$trans_id = $_POST["trans_id"];
$dataclassify = $_POST["dataclassify"];
$userfile = $_POST["userfile"];
$classify = $_GET["classify"];

include("../../gw.php");
include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

require_once($_ROOT_DIR_ . "include/dbChange.php");
require_once($_ROOT_DIR_ . "class/appconfinfo.php");		// アプリケーション情報クラス
require_once($_ROOT_DIR_ . "class/appconfinfoowner.php");	// アプリケーション情報クラスの処理クラス
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス

include_once($_ROOT_DIR_ . "admin/csvimport/class/verification_employee.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/verification_torihikisaki.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/verification_tantou.php");
include_once($_ROOT_DIR_ . "admin/csvimport/class/verification_tori_place.php");

include_once($_ROOT_DIR_ . "include/file.func");
include_once($_ROOT_DIR_ . "include/transactions.func");

$conn = $dbConnectObj->openConnect();

// 認証
include($_ROOT_DIR_ . "include/accept.conf");

include($_ROOT_DIR_ . "include/constant.conf");

require_once($_ROOT_DIR_ . "class/execsql.php");			// クエリー処理クラス

$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();

// 管理者以外は利用不可
if ($isAdmin != True)
{
	// エラー処理
	$errorMessage = "管理者ではありません。";
	echo $errorMessage;
	exit;
}


header("Cache-Control: no-cache, must-revalidate");
header("Content-type: text/html;charset=Shift_JIS");



if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj))
{
	include("./csvimport_select_view.php");
	exit;
}


// インポート処理
if ($sub == "インポート")
{
	if (!is_uploaded_file($HTTP_POST_FILES['userfile']['tmp_name']))
	{
		print("<FONT color=\"red\">ファイルのアップロードに失敗しました。</FONT>\n");
		exit;
	}

	$verification = "";

	if ($dataclassify == "employee")
	{
		$verification = new VerificationEmployee();
	}
	else if ($dataclassify == "torihikisaki")
	{
		$verification = new VerificationTorihikisaki();
	}
	else if ($dataclassify == "tantou")
	{
		$verification = new VerificationTantou();
	}
	else if ($dataclassify == "tori_place")
	{
		$verification = new VerificationToriPlace();
	}
	else
	{
		include("./csvimport_select_view.php");
		exit;
	}

	$verification->setImportCsvFileName($HTTP_POST_FILES['userfile']['tmp_name']);

	$verification->setConn($conn);
	$verification->setDbSqlObj($dbSqlObj);
	$verification->setDbExecObj($dbExecObj);

	if (!$verification->verify())
	{
		exit;
	}

	if (!$verification->doInsert($_SERVER["PHP_AUTH_USER"]))
	{
		exit;
	}

	writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

	include("./csvimport_select_view.php");
}
else if ($sub == "download")
{
	$fromFileName = "";
	$fileName = "";

	if ($classify == "employee")
	{
		$fromFileName = "employee_format.xls";
		$fileName = "employee_format.xls";
	}
	else if ($classify == "torihikisaki")
	{
		$fromFileName = "torihikisaki_format.xls";
		$fileName = "torihikisaki_format.xls";
	}
	else if ($classify == "tori_place")
	{
		$fromFileName = "tori_place_format.xls";
		$fileName = "tori_place_format.xls";
	}
	else if ($classify == "tantou")
	{
		$fromFileName = "tantou_format.xls";
		$fileName = "tantou_format.xls";
	}
	else
	{
		include("./csvimport_select_view.php");
		exit;
	}

	fileDownload($_ROOT_DIR_ . "admin/csvimport/format/" . $fromFileName, $fileName);
}
else
{
	include("./csvimport_select_view.php");
}

// ユーザー入力内容の操作
function userInputOperate($str)
{
	// 前後の空白を削除
	$str = trim($str);
	$str = ereg_replace("^　*", "", $str);
	$str = ereg_replace("　*$", "", $str);

	if (1024 < strlen($str))
	{
		$str = substr($str, 1024);
	}

//	$str =$str;

	$str = mb_convert_kana($str);

	return $str;
}


// ユーザー出力内容の操作
function userOutputOperate($str)
{
//	$str = $str;

	return $str;
}
?>