<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: DBExecPgsql.php 1294 2005-07-27 06:22:33Z admin $
//

/**
 * SQL処理クラス PostgreSQL用
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include_once($_ROOT_DIR_ . "class/DBExec.php");

//PostgreSQL用クラス->DBExec
class DBExecPgsql extends DBExec {

	// 結果の取得
	function getResult($recordSet,$recordPointer,$columnName) {
		if (!$recordSet) {
			echo "<B>結果の取得：データを取得できませんでした。</b><br>\n";
			exit;
		}
		return pg_result($recordSet,$recordPointer,$columnName);
	}

	// 件数の取得
	function getNumRows($recordSet) {
		if(!$recordSet) {
			echo "<B>件数の取得：データを取得できませんでした。</b><br>\n";
			exit;
		}
		return pg_numrows($recordSet);
	}

	// リソースの開放
	function freeResult($recordSet) {
		if(!$recordSet) {
			echo "<B>リソースの開放：データを取得できませんでした。</b><br>\n";
			exit;
		}
		pg_freeresult($recordSet);
	}

	// SQL実行
	function exeSql($conn,$strSql) {
		if(!$conn) {
			echo "<B>SQL実行：データを取得できませんでした。</b><br>\n";
			exit;
		}
		if($strSql) {
			return pg_exec($conn,$strSql);
		} else {
			return 0;
		}
	}

	// コンストラクタ
	function DBExecPgsql(){
	}
}


?>