<?php
/**
 * 回覧板回答用クラス
 * 
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */

class NoticeAnser{
	var $conn;				//connectionHandller
	var $dbSqlObj;			//sqlObject
	var $dbExecObj;			//executeObject
	var $sendtime;			//回覧板登録日時
	var $emp_cd;			//回覧板閲覧者
	var $comment;			//コメント
	var $reply;				//
	
	
	function setConn($conn){
		$this->conn = $conn;
	}
	function getConn(){
		return $this->conn;
	}
	
	function setDbSqlObj($dbSqlObj){
		$this->dbSqlObj = $dbSqlObj;
	}
	function getDbSqlObj(){
		return $this->dbSqlObj;
	}
	
	function setDbExecObj($dbExecObj){
		$this->dbExecObj = $dbExecObj;
	}
	function getDbExecObj(){
		return $this->dbExecObj;
	}
	
	function setSendtime($sendtime){
		$this->sendtime = $sendtime;
	}
	function getSendTime(){
		return $this->sendtime;
	}
	
	function setEmp_cd($emp_cd){
		$this->emp_cd = $emp_cd;
	}
	function getEmp_cd(){
		return $this->emp_cd;
	}

	function setComment($comment){
		$this->comment = $comment;
	}
	function getComment(){
		return $this->comment;
	}

	function setReply($reply){
		$this->reply = $reply;
	}
	function getReply(){
		return $this->reply;
	}

	
	
	/**
	 * コンストラクタ
	 */
	function NoticeAnser($conn, $dbSqlObj, $dbExecObj) {
		$this->setConn($conn);
		$this->setDbSqlObj($dbSqlObj);	
		$this->setDbExecObj($dbExecObj);	
	}
	
	/**
	 * 回覧板閲覧者の更新
	 */
	function seenNotice(){
		$sqlstr = $this->dbSqlObj->updatePnoticeSeenTimeWithSendTimeEmpCd($this->getSendtime(),$this->getEmp_cd());
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
		if (!$result)
		{
			return false;
		}
		
		return true;
	}
	
	/**
	 * 回覧板返答
	 */
	function anserNotice($enable){
		$this->dbExecObj->exeSql($this->conn, $this->dbSqlObj->sqlBeginTrans());
		
		//回覧板情報取得
		$sqlstr = $this->dbSqlObj->selectNoticeEmployeeAllNoticeEmpNameWithSendTime($this->getSendtime());
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
		if (!$result)
		{
			$this->dbExecObj->exeSql($this->conn,$this->dbSqlObj->sqlRollBackTrans());
			return false;			
		}
		$i = 0;
		$schedule_cd = $this->dbExecObj->getResult($result,$i,"schedule_cd");
		$scdl_date = $this->dbExecObj->getResult($result,$i,"schedule_date_cd");
		
		//回覧板情報更新
		$ret = $this->updatePNotice();
		if($ret == false){
			$this->dbExecObj->exeSql($this->conn,$this->dbSqlObj->sqlRollBackTrans());
			return false;
		}
		
		if(isset($enable)){
			//イベント情報更新
			$ret = $this->updateWizEventMember($enable,$schedule_cd,$scdl_date);
			if($ret == false){
				$this->dbExecObj->exeSql($this->conn,$this->dbSqlObj->sqlRollBackTrans());
				return false;
			}
		}
		$this->dbExecObj->exeSql($this->conn, $this->dbSqlObj->sqlCommitTrans());
		
		return true;
		
	}
	
	/**
	 * 回覧板コメント情報更新
	 */
	function updatePNotice(){
		$sqlstr = $this->dbSqlObj->updatePNoticeWithSendTimeEmpCd($this->getComment(),$this->getReply(),$this->getSendtime(),$this->getEmp_cd());
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
		if (!$result)
		{
			return false;
		}
		
		return true;
	}
	
	/**
	 * イベントメンバー参加状態フラグの更新
	 */
	function updateWizEventMember($enable,$schedule_cd,$scdl_date){
		$sqlstr = $this->dbSqlObj->updateWizEventMemberEnableWithEmpcd($this->getEmp_cd(),$schedule_cd,$scdl_date,$enable);
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
		if (!$result)
		{
			return false;
		}
		
		return true;
	}
	
	/**
	 * 自分宛の回覧板の表示を削除する
     * @author hideki-h
     * @since 1.4 - 2005/09/29
	 **/
	function updateMyPNoticePrintFlg($print_flg){
		if($print_flg != '1' and $print_flg != '0'){
			return false;
		}
		$sqlstr = $this->dbSqlObj->updateMyPNoticePrintFlg($this->getSendtime(),$this->getEmp_cd(),$print_flg);
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
		if (!$result)
		{
			return false;
		}
		
		return true;
	}
}
?>