<?php
/**
 * 回覧板登録&削除用クラス
 *
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 * @author hideki HARANAKA <hideki-h@syscon.co.jp>
 */

require_once($_ROOT_DIR_ . "gw.php");

class NoticeDrawUp {
	var $conn;				//connectionHandller
	var $dbSqlObj;			//sqlObject
	var $dbExecObj;			//executeObject
	var $sendtime;			//回覧板登録日時
	var $owner_emp_cd;		//回覧板登録者
	var $title;				//回覧板タイトル
	var $body;				//回覧板本文
	var $confirm;			//コメント使用可不可
	var $schedule_cd;		//スケジュールコード(スケジュール機能からの自動登録時のみ指定)
	var $scdl_date_cd;		//スケジュールの日付(スケジュール機能からの自動登録時のみ指定)
	var $arrEmp_cd;			//回覧板あて先EMP_CD配列
	var $strRootURL;        //La!coodaWIZ Root URL


	function setConn($conn){
		$this->conn = $conn;
	}
	function getConn(){
		return $this->conn;
	}

	function setDbSqlObj($dbSqlObj){
		$this->dbSqlObj = $dbSqlObj;
	}
	function getDbSqlObj(){
		return $this->dbSqlObj;
	}

	function setDbExecObj($dbExecObj){
		$this->dbExecObj = $dbExecObj;
	}
	function getDbExecObj(){
		return $this->dbExecObj;
	}

	function setSendtime($sendtime){
		//Y-m-d H:i:s
		$this->sendtime = $sendtime;
	}
	function getSendtime(){
		return $this->sendtime;
	}

	function setOwner_emp_cd($owner_emp_cd){
		$this->owner_emp_cd = $owner_emp_cd;
	}
	function getOwner_emp_cd(){
		return $this->owner_emp_cd;
	}

	function setTitle($title){
		$title = strip_tags(mb_convert_kana($title));
		$this->title = $title;
	}
	function getTitle(){
		return $this->title;
	}

	function setBody($body){
		$body = strip_tags(mb_convert_kana($body));
		$this->body = $body;
	}
	function getBody(){
		return $this->body;
	}

	function setConfirm($confirm){
		if ($confirm != 't') {
			$confirm = 'f';
		}
		else {
			$confirm = 't';
		}
		$this->confirm = $confirm;
	}
	function getConfirm(){
		return $this->confirm;
	}

	function setSchedule_cd($schedule_cd){
		$this->schedule_cd = $schedule_cd;
	}
	function getSchedule_cd(){
		return $this->schedule_cd;
	}

	function setScdl_date_cd($scdl_date_cd){
		$this->scdl_date_cd = $scdl_date_cd;
	}
	function getScdl_date_cd(){
		return $this->scdl_date_cd;
	}

	function setArrEmp_cd($arrEmp_cd){
		$this->arrEmp_cd = $arrEmp_cd;
	}
	function getArrEmp_cd(){
		return $this->arrEmp_cd;
	}

	function setRootURL($strRootURL){
		$this->strRootURL = $strRootURL;
	}
	function getRootURL(){
		return $this->strRootURL;
	}

	/**
	 * コンストラクタ
	 */
	function NoticeDrawUp($conn, $dbSqlObj, $dbExecObj) {
		$this->setConn($conn);
		$this->setDbSqlObj($dbSqlObj);
		$this->setDbExecObj($dbExecObj);
	}

	/**
	 * 回覧板データ作成
	 */
	function createNotice(){
		//トランザクション開始
		$this->dbExecObj->exeSql($this->conn, $this->dbSqlObj->sqlBeginTrans());

		//回覧板情報登録
		$ret = $this->insertNotice();
		if($ret == false){
			//失敗したらROLLBACK
			$this->dbExecObj->exeSql($this->conn,$this->dbSqlObj->sqlRollBackTrans());
			return false;
		}

		//回覧板あて先登録
		$ret = $this->insertPNotice();
		if($ret == false){
			//失敗したらROLLBACK
			$this->dbExecObj->exeSql($this->conn,$this->dbSqlObj->sqlRollBackTrans());
			return false;
		}
		//COMMIT
		$this->dbExecObj->exeSql($this->conn, $this->dbSqlObj->sqlCommitTrans());

		return true;
	}

	/**
	 * 回覧板データ作成
	 */
	function createNoticeWithoutTransaction(){

		//回覧板情報登録
		$ret = $this->insertNotice();
		if($ret == false){
			return false;
		}

		//回覧板あて先登録
		$ret = $this->insertPNotice();
		if($ret == false){
			return false;
		}

		return true;
	}

	/**
	 * 回覧板データ作成
	 * (privateな関数)
	 */
	function insertNotice() {
		$sqlstr = $this->dbSqlObj->insertNotice($this->getSendtime(),$this->getOwner_emp_cd(),$this->getTitle(),$this->getBody(),$this->getConfirm(),$this->getSchedule_cd(),$this->getScdl_date_cd());
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
	 	if (!$result) {
	 		return false;
	 	}

	 	return true;
	}

	/**
	 * 回覧板あて先データ作成とメールの送信
	 * (privateな関数)
	 */
	function insertPNotice() {
		$arrEmp_cd = $this->getArrEmp_cd();
		$emp_count = count($arrEmp_cd);
		$i = 0;
		while ($i < $emp_count) {
			$sqlstr = $this->dbSqlObj->insertPNotice($this->getSendtime(),$arrEmp_cd[$i]);

			$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
			if (!$result) {
				return false;
			}
			if($this->getOwner_emp_cd() == $arrEmp_cd[$i]){
				$sqlstr = $this->dbSqlObj->updatePnoticeSeenTimeWithSendTimeEmpCd($this->getSendtime(),$arrEmp_cd[$i]);
				$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
				if (!$result) {
					return false;
				}
			}
			//メール送信機能
			//メールのあて先をゲット
			$sqlstr = $this->dbSqlObj->selectEmployeeEmailNameWithEmpCd($arrEmp_cd[$i]);

			$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
			if (!$result) {
				return false;
			}
			$email = $this->dbExecObj->getResult($result,0,"email");
			$toName = $this->dbExecObj->getResult($result,0,"name");
			//差出人の名前をゲット
			$sqlstr = $this->dbSqlObj->selectEmployeeNameWithEmpCd($this->getOwner_emp_cd());

			$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
			if (!$result) {
				return false;
			}
			$fromName = $this->dbExecObj->getResult($result,0,"name");
			//Fromのメールアドレスセット
			$xmail = "X-Mailer: PHP/5";
/**/			$fromMailStr = $fromMailStrDefault . "\r\n" . $xmail;
//			$fromMailStr = $admin;
			//メール本文作成
			$mailstr = "■Message from WIZ\r\n\r\n";
			$mailstr .= $toName . "様宛に回覧が来ています。\r\n";
			$mailstr .= "回覧内容をご確認ください\r\n\r\n";
			$mailstr .= "提出者：" . $fromName . "\r\n";
			$mailstr .= "提出日時：" . $this->getSendtime() . "\r\n";
			$mailstr .= "タイトル：" . $this->getTitle() . "\r\n\r\n";
			$mailstr .= $this->getRootURL() . "\r\n";
			$mailstr .= $this->getRootURL() . "index.php\r\n\r\n";
			$mailstr .= "※本メールに返信は不要です。";
			//メール送信
			if ($email != ""){
				// カレントの言語を設定
				mb_language("Japanese");
				// ヘッダを指定
//				$MailHeaders  = "Mime-Version: 1.0\r\n";
//				$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//				$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//				$MailHeaders .= "From:$fromMailStr\r\n";

				// メール送信
				mb_send_mail($email, "[WIZ] 回覧が到着しました", $mailstr, "From: $fromMailStr");
//				mail($email,
//					("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ] 回覧が到着しました","JIS","UTF-8")) . "?="),
//					i18n_convert($mailstr,"JIS","UTF-8"), $MailHeaders);
			}

			$i++;
		}
	 	return true;
	}

	/**
	 * 指定部門に所属するemp_cdを返す
	 * @param String $division 部門コード
	 */
	function getEmpcdWithDivision($division) {

		$sqlstr = $this->dbSqlObj->selectEmployeeEmpCdWithDivision($division);
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);
		if (!$result) {
			exit;
		}
		$i = 0;
		$emp_count = $this->dbExecObj->getNumRows($result);
		while ($i < $emp_count) {
			$arrEmp_cd[$i] = $this->dbExecObj->getResult($result, $i, "emp_cd");
			$i++;
		}

	 	return $arrEmp_cd;
	}

	/**
	 * 指定就業形態に所属するemp_cdを返す
	 * @param String $categoryValue	 就業形態コード
	 */
	function getEmpcdWithKind($categoryValue) {

		$sqlstr = $this->dbSqlObj->selectEmployeeEmpCdWithKind($categoryValue);
		$result = $this->dbExecObj->exeSql($this->conn,$sqlstr);

		if (!$result) {
			exit;
		}

		$i = 0;
		$emp_count = $this->dbExecObj->getNumRows($result);
		while ($i < $emp_count) {
			$arrEmp_cd[$i] = $this->dbExecObj->getResult($result, $i, "emp_cd");
			$i++;
		}

	 	return $arrEmp_cd;
	}

	/**
	 * 回覧板削除
	 * @param int $delMode
	 * 				0:回覧板全削除
	 * 				1:指定キー(sendtime)の回覧の削除
	 * 				2:自分が作成した回覧を削除
	 * 				3:指定スケジュールコードの回覧を削除
	 * 				4:指定スケジュールコード＆日付の回覧を削除
	 */
	function deleteNotice($delMode){
		//トランザクション開始
		$this->dbExecObj->exeSql($this->conn, $this->dbSqlObj->sqlBeginTrans());

		switch($delMode){
			//回覧板全削除
			case 0:
				$ret = $this->delAll();
				break;

			//指定キー(sendtime)の回覧の削除
			case 1:
				$this->argumentCheck("sendtime", $this->getSendtime());
				$ret = $this->delWithSendtime();
				break;

			//自分が作成した回覧を削除
			case 2:
				$this->argumentCheck("owner_emp_cd", $this->getOwner_emp_cd());
				$ret = $this->delWithOwner();
				break;

			//指定スケジュールコードの回覧を削除
			case 3:
				$this->argumentCheck("schedule_cd", $this->getSchedule_cd());
				$ret = $this->delWithSchedule();
				break;

			//指定スケジュールコード＆日付の回覧を削除
			case 4:
				$this->argumentCheck("schedule_cd", $this->getSchedule_cd());
				$this->argumentCheck("schedule_date_cd", $this->getScdl_date_cd());
				$ret = $this->delWithSchedule();
				break;
		}
		//失敗したらROLLBACK
		if($ret == false){
			$this->dbExecObj->exeSql($this->conn,$this->dbSqlObj->sqlRollBackTrans());
			return false;
		}
		//COMMIT
		$this->dbExecObj->exeSql($this->conn, $this->dbSqlObj->sqlCommitTrans());

		return true;
	}

	/**
	 * 回覧板削除
	 * @param int $delMode
	 * 				0:回覧板全削除
	 * 				1:指定キー(sendtime)の回覧の削除
	 * 				2:自分が作成した回覧を削除
	 * 				3:指定スケジュールコードの回覧を削除
	 * 				4:指定スケジュールコード＆日付の回覧を削除
	 */
	function deleteNoticeWithoutTransaction($delMode){

		switch($delMode){
			//回覧板全削除
			case 0:
				$ret = $this->delAll();
				break;

			//指定キー(sendtime)の回覧の削除
			case 1:
				$this->argumentCheck("sendtime", $this->getSendtime());
				$ret = $this->delWithSendtime();
				break;

			//自分が作成した回覧を削除
			case 2:
				$this->argumentCheck("owner_emp_cd", $this->getOwner_emp_cd());
				$ret = $this->delWithOwner();
				break;

			//指定スケジュールコードの回覧を削除
			case 3:
				$this->argumentCheck("schedule_cd", $this->getSchedule_cd());
				$ret = $this->delWithSchedule();
				break;

			//指定スケジュールコード＆日付の回覧を削除
			case 4:
				$this->argumentCheck("schedule_cd", $this->getSchedule_cd());
				$this->argumentCheck("schedule_date_cd", $this->getScdl_date_cd());
				$ret = $this->delWithSchedule();
				break;
		}
		if($ret == false){
			return false;
		}

		return true;
	}

	/**
	 * 全回覧削除
	 * (privateな関数)
	 */
	function delAll(){
		//Notice削除
		$strSQL = $this->dbSqlObj->deleteNotice();
		$result = $this->dbExecObj->exeSql($this->conn,$strSQL);
		if (!$result)
		{
			return false;
		}
		//PNotice削除
		$strSQL = $this->dbSqlObj->deletePNotice();
		$result = $this->dbExecObj->exeSql($this->conn,$strSQL);
		if (!$result)
		{
			return false;
		}
		return true;
	}

	/**
	 * 指定されたキー(sendtime)の回覧データを削除
	 * (privateな関数)
	 */
	function delWithSendtime(){
		//PNotice削除
		$strSQL = $this->dbSqlObj->deletePNoticeWithSendTime($this->getSendtime());
		$result = $this->dbExecObj->exeSql($this->conn,$strSQL);
		if (!$result)
		{
			return false;
		}

		//Notice削除
		$strSQL = $this->dbSqlObj->deleteNoticeWithSendTime($this->getSendtime());
		$result = $this->dbExecObj->exeSql($this->conn,$strSQL);
		if (!$result)
		{
			return false;
		}

		return true;
	}

	/**
	 * 自分が作成した回覧を削除
	 * (privateな関数)
	 */
	function delWithOwner(){
		//自分の作成した回覧板のキーを取得
		$strSQL = $this->dbSqlObj->selectNoticeSendTimeWithEmpCd($this->getOwner_emp_cd());
		$result = $this->dbExecObj->exeSql($this->conn,$strSQL);
		if (!$result)
		{
			return false;
		}
		$rowCount = $this->dbExecObj->getNumRows($result);
		for ($i = 0; $i < $rowCount; $i++)
		{
			//キーを指定
			$sendtime = $this->dbExecObj->getResult($result,$i,"sendtime");
			$this->setSendtime($sendtime);
			//回覧データ削除
			$ret = $this->delWithSendtime();
			if (!$ret)
			{
				return false;
			}
		}

		return true;
	}

	/**
	 * 指定スケジュールの回覧を削除
	 * (privateな関数)
	 */
	function delWithSchedule(){
		//スケジュールコードから関係のある回覧板のsendtimeを取得する
		$strSQL = $this->dbSqlObj->selectNoticeKeyWithSchedule($this->getSchedule_cd(),$this->getScdl_date_cd());
		$result = $this->dbExecObj->exeSql($this->conn,$strSQL);
		if (!$result)
		{
			return false;
		}
		$rowCount = $this->dbExecObj->getNumRows($result);
		for ($i = 0; $i < $rowCount; $i++)
		{
			//キーを指定
			$sendtime = $this->dbExecObj->getResult($result,$i,"sendtime");
			$this->setSendtime($sendtime);
			//回覧データ削除
			$ret = $this->delWithSendtime();
			if (!$ret)
			{
				return false;
			}
		}

		return true;
	}

	/**
	 * 引数のチェック
	 * (privateな関数)
	 */
	function argumentCheck($argumentName,$argValue){
		if($argValue == 0 ||
			$argValue == "false") {
		} else {
			if(!$argValue) {
				echo "<b>変数名 : $argumentName<br>データの取得に失敗しました。</b><br>\n";
				exit;
			}
		}
	}

}
?>