<?php
class TaskInfo
{
  /** カテゴリコード **/
  var $strCatCd;
  /** サブカテゴリコード **/
  var $strSubCatCd;
  /** グループコード **/
  var $strGroupCd;
  /** タスクコード **/
  var $strTask_cd;
  /** タスク名称 **/
  var $strTask_title;
  /** タスク詳細 **/
  var $strDescription;
  /** 予定終了年 **/
  var $plan_end_year; 
  /** 予定終了月 **/
  var $plan_end_month; 
  /** 予定終了日 **/
  var $plan_end_day; 
  /** 予定終了時 **/
  var $plan_end_hour; 
  /** 予定終了分 **/
  var $plan_end_minute; 
  /** 担当者コード **/
  var $owner_emp_cd; 
  /** 担当者名称 **/
  var $owner_emp_name; 
  /** 登録者コード **/
  var $regist_emp_cd; 
  /** 登録者名称 **/
  var $regist_emp_name;
  /** ステータス **/
  var $status;
  /** スケジュール反映フラグ **/
  var $schhedule_flg;

  /**
   * タスク管理用
   **/
  function TaskInfo($task_cd, $task_title, $task_description)
  {
    $this->strTask_cd = $task_cd;
    $this->strTask_title = $task_title;
    $this->strDescription = $task_description;
  }
  /**
   * カテゴリコードSetter
   **/
  function setCatCd($strCatCd)
  {
    $this->strCatCd = $strCatCd;
  }
  /**
   * カテゴリコードGetter
   **/
  function getCatCd()
  {
    return $this->strCatCd;
  }
  /**
   * サブカテゴリコードSetter
   **/
  function setSubCatCd($strSubCatCd)
  {
    $this->strSubCatCd = $strSubCatCd;
  }
  /**
   * サブカテゴリコードGetter
   **/
  function getSubCatCd()
  {
    return $this->strSubCatCd;
  }
  /**
   * グループコードSetter
   **/
  function setGroupCd($strGroupCd)
  {
    $this->strGroupCd = $strGroupCd;
  }
  /**
   * グループコードGetter
   **/
  function getGroupCd()
  {
    return $this->strGroupCd;
  }
  /**
   * 予定終了日時設定
   **/
  function setPlanEnd($plan_end_year, $plan_end_month, $plan_end_day, $plan_end_hour, $plan_end_minute)
  {
    $this->plan_end_year = isset($plan_end_year) ? $plan_end_year : "----";
    $this->plan_end_month = isset($plan_end_month) ? $plan_end_month : "--";
    $this->plan_end_day = isset($plan_end_day) ? $plan_end_day : "--";
    $this->plan_end_hour = isset($plan_end_hour) ? $plan_end_hour : "--";
    $this->plan_end_minute = isset($plan_end_minute) ? $plan_end_minute : "--";

    $this->plan_end_year = strlen($this->plan_end_year) == 4 ? $this->plan_end_year : sprintf("%04s", $this->plan_end_year);
    $this->plan_end_month = strlen($this->plan_end_month) != 2 ? sprintf("%02s", $this->plan_end_month) : $this->plan_end_month;
    $this->plan_end_day = strlen($this->plan_end_day) != 2 ? sprintf("%02s", $this->plan_end_day) : $this->plan_end_day;
    $this->plan_end_hour = strlen($this->plan_end_hour) != 1  ? sprintf("%02s", $this->plan_end_hour) : $this->plan_end_hour;
    $this->plan_end_minute = strlen($this->plan_end_minute) != 1  ? sprintf("%02s", $this->plan_end_minute) : $this->plan_end_munute;
  }

  /**
   * 予定終了日時取得
   **/
  function getPlanEndYMD()
  {
    /** 今日の日付取得 **/
    $now_date = getdate();
    if($now_date["year"] >= $this->plan_end_year && $now_date["mon"] >= $this->plan_end_month && $now_date["mday"] >= $this->plan_end_day && $this->status != "3" &&
       $now_date["hours"] >= $this->plan_end_hour && $now_date["minutes"] >= $this->plan_end_minute && $this->plan_end_year != '----')
    {
      $strFontStart = "<font color=\"red\"><b>";
      $strException = "！";
      $strFontEnd = "</b></font>";
    }
    return $strFontStart . $strException . $this->plan_end_year . "年" . $this->plan_end_month . "月" . $this->plan_end_day . "日" . $strFontEnd;
  }
  /**
   *
   **/
  function getYMD()
  {
    return $this->plan_end_year . "-" . $this->plan_end_month . "-" . $this->plan_end_day;
  }
  /**
   *
   **/
  function getTime()
  {
    return (($this->plan_end_hour . $this->plan_end_minute  == "----" )? "&nbsp;" : $this->plan_end_hour . ":" . $this->plan_end_minute );
  }
  /** 
   * 予定終了年Getter
   **/
  function getPlan_end_year() 
  {
    return $this->plan_end_year; 
  }
  /**
   * 予定終了月Getter
   **/
  function getPlan_end_month() 
  {
    return $this->plan_end_month; 
  }
  /**
   * 予定終了日Getter
   **/
  function getPlan_end_day() 
  {
    return $this->plan_end_day; 
  }
  /**
   * 予定終了時Getter
   **/
  function getPlan_end_hour() 
  {
    return $this->plan_end_hour; 
  }
  /**
   * 予定終了分Getter
   **/
  function getPlan_end_minute() 
  {
    return $this->plan_end_minute; 
  }
  /**
   * タスク名称取得
   **/
  function getTitle()
  {
    return $this->strTask_title;
  }
  /**
   * タスク説明取得
   **/
  function getDescription()
  {
    return $this->strDescription;
  }
  /**
   * タスクコード
   **/
  function getCd()
  {
    return $this->strTask_cd;
  }
  /** 
   * 担当者コードSetter
   **/
  function setOwner_emp_cd($owner_emp_cd)
  {
    $this->owner_emp_cd = $owner_emp_cd;
  }
  /** 
   * 担当者コードGetter
   **/
  function getOwner_emp_cd()
  {
    return $this->owner_emp_cd;
  }
  /** 
   * 担当者名称Setter
   **/
  function setOwner_emp_name($owner_emp_name)
  {
    $this->owner_emp_name = $owner_emp_name;
  }
  /** 
   * 担当者名称Getter
   **/
  function getOwner_emp_name()
  {
    return $this->owner_emp_name;
  }
  /** 
   * 登録者コードSetter
   **/
  function setRegist_emp_cd($regist_emp_cd)
  {
    $this->regist_emp_cd = $regist_emp_cd;
  }
  /** 
   * 登録者コードGetter
   **/
  function getRegist_emp_cd()
  {
    return $this->regist_emp_cd;
  }
  /** 
   * 登録者名称Setter
   **/
  function setRegist_emp_name($regist_emp_name)
  {
    $this->regist_emp_name = $regist_emp_name;
  }
  /** 
   * 登録者名称Getter
   **/
  function getRegist_emp_name()
  {
    return $this->regist_emp_name;
  }
  /** 
   * ステータスコードSetter
   **/
  function setStatus($status)
  {
    $this->status = $status;
  }
  /** 
   * ステータスコードGetter
   **/
  function getStatus()
  {
    return $this->status;
  }
  /** 
   * スケジュール反映フラグSetter
   **/
  function setSchhedule_flg($schhedule_flg)
  {
    $this->schhedule_flg = $schhedule_flg;
  }
  /** 
   * スケジュール反映フラグGetter
   **/
  function getSchhedule_flg()
  {
    return $this->schhedule_flg;
  }
}
?>