<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: employeeinfoowner.php 1294 2005-07-27 06:22:33Z admin $
//

/**
 * 社員情報処理クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class EmployeeInfoOwner
{
	var	$employeeInfoArray;			// 社員情報の配列
//	var $execSql;					// ExecSqlクラス
	var $emp_cd;					// 社員番号
	var $division;					// 部門
	var $admin;						// 管理者かどうか
	var $excludeUnify;				// 統括ユーザーを除外する

	// コンストラクタ
	function EmployeeInfoOwner()
	{
//		$this->execSql = new ExecSql();
		$this->employeeInfoArray = array();

		$this->excludeUnify = False;
	}

	// employeeInfoArrayの取得
	function getEmployeeInfoArray()
	{
		return $this->employeeInfoArray;
	}

	// emp_cdの設定
	function setEmp_cd($emp_cd)
	{
		$this->emp_cd = $emp_cd;
	}

	// emp_cdの取得
	function getEmp_cd()
	{
		return $this->emp_cd;
	}

	// divisionの設定
	function setDivision($division)
	{
		$this->division = $division;
	}

	// divisionの取得
	function getDivision()
	{
		return $this->division;
	}

	// adminの設定
	function setAdmin($admin)
	{
		$this->admin = $admin;
	}

	// adminの取得
	function isAdmin()
	{
		return $this->admin;
	}

	// excludeUnifyの設定
	function setExcludeUnify($excludeUnify)
	{
		$this->excludeUnify = $excludeUnify;
	}

	// excludeUnifyの取得
	function isExcludeUnify()
	{
		return $this->excludeUnify;
	}


	// SelectSQLの実行
	function doSelectQuery($conn, $dbSqlObj, $dbExecObj)
	{
//
//		$sqlStr = "SELECT employee.emp_cd,employee.last_name_j || employee.first_name_j AS name,(SELECT COUNT(*) FROM administrators WHERE administrators.emp_cd = employee.emp_cd) AS admin FROM employee";
//
//		// 対象社員条件
//		if ($this->getDivision() == "all")
//		{
//			$sqlPrerequisiteStr = "";
//		}
//		else if ($this->getEmp_cd() != "" && $this->getDivision() != "")
//		{
//			$sqlPrerequisiteStr = " WHERE employee.emp_cd = '" . $this->getEmp_cd() . "' OR employee.division = '" . $this->getDivision() . "'";
//		}
//		else if ($this->getEmp_cd() != "")
//		{
//			$sqlPrerequisiteStr = " WHERE employee.emp_cd = '" . $this->getEmp_cd() . "'";
//		}
//		else if ($this->getDivision() != "")
//		{
//			$sqlPrerequisiteStr = " WHERE employee.division = '" . $this->getDivision() . "'";
//		}
//
//		// ソート条件
//		$sqlOrderStr = " ORDER BY employee.sort_no;";
//
//		// SQL実行
//		$this->execSql->doExecSql($conn, $sqlStr . $sqlPrerequisiteStr . $sqlOrderStr);

		if ($this->isExcludeUnify())
		{
			$strSql = $dbSqlObj->selectEmployeeInfoExcludeUnify($this->getDivision(), $this->getEmp_cd());
		}
		else
		{
			$strSql = $dbSqlObj->selectEmployeeInfo($this->getDivision(), $this->getEmp_cd());
		}
		$result = $dbExecObj->exeSql($conn, $strSql);

		// EmployeeInfoへのコンバート
		$this->convertResult2EmployeeInfo($dbExecObj, $result);
	}

	// SelectSQL(統括ユーザー判別用)の実行
	function doSelectQueryUnify($conn, $dbSqlObj, $dbExecObj)
	{
		$strSql = $dbSqlObj->selectEmployeeInfoUnify($this->getEmp_cd());
		$result = $dbExecObj->exeSql($conn, $strSql);

		// EmployeeInfoへのコンバート
		$this->convertUnifyResult2EmployeeInfo($dbExecObj, $result);
	}


	// resultをEmployeeInfoにコンバート
	function convertResult2EmployeeInfo($dbExecObj, $result)
	{
		$employeeInfoArray = array();

		$numrows = $dbExecObj->getNumRows($result);

		for ($i = 0; $i < $numrows; $i++)
		{
			$employeeInfo = new EmployeeInfo();
			$employeeInfo->setEmp_cd($dbExecObj->getResult($result, $i, "emp_cd"));
			$employeeInfo->setName($dbExecObj->getResult($result, $i, "name"));
			$employeeInfo->setDivision($dbExecObj->getResult($result, $i, "division"));
			// SQLを変更した為、adminユーザーの場合はadminにemp_cdが入る
//			$employeeInfo->setAdmin($dbExecObj->getResult($result, $i, "admin") == "1" ? True : False);
			$employeeInfo->setAdmin($dbExecObj->getResult($result, $i, "admin") != "" ? True : False);
			$employeeInfoArray = $this->employeeInfoArray;
			$employeeInfoArray[$dbExecObj->getResult($result, $i, "emp_cd")] = $employeeInfo;
			$this->employeeInfoArray = $employeeInfoArray;
		}
	}

	// result(統括ユーザー判別用)をEmployeeInfoにコンバート
	function convertUnifyResult2EmployeeInfo($dbExecObj, $result)
	{
		$employeeInfoArray = array();

		$numrows = $dbExecObj->getNumRows($result);

		for ($i = 0; $i < $numrows; $i++)
		{
			$employeeInfo = new EmployeeInfo();
			$employeeInfo->setEmp_cd($dbExecObj->getResult($result, $i, "emp_cd"));
			$employeeInfo->setDivision($dbExecObj->getResult($result, $i, "division"));
			$employeeInfo->setUnify($dbExecObj->getResult($result, $i, "unify") == "t" ? True : False);

			$employeeInfoArray = $this->employeeInfoArray;
			$employeeInfoArray[$dbExecObj->getResult($result, $i, "emp_cd")] = $employeeInfo;
			$this->employeeInfoArray = $employeeInfoArray;
		}
	}
}

?>