<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: javascriptselect.php 1194 2004-08-25 03:06:23Z hideki-h $
//

/**
 * 
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class JavaScriptSelect
{
	var $mainElementArray;			// メイン要素の配列 $mainElementArray['mainCode'] = mainName
	var $subElementArray;			// サブ要素の配列 $subElementArray['mainCode']['subCode'] = subName

	var $mainElementNameColumnName;	// メイン要素の名前カラム名
	var $mainElementCodeColumnName;	// メイン要素のコードカラム名

	var $subElementNameColumnName;	// サブ要素の名前カラム名
	var $subElementCodeColumnName;	// サブ要素のコードカラム名

	var $mainIncludeAll;			// メイン要素が"全て"を含むかどうか
	var $subIncludeAll;				// サブ要素が"全て"を含むかどうか
	var $subAllOnly;				// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	var $mainAllSubIncludeAll;		// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか

	var $mainElementCodeFromHttp;	// HTTP経由で受け取ったメイン要素のコード
	var	$subElementCodeFromHttp;	// HTTP経由で受け取ったサブ要素のコード

	var $selectedMainElementIndex;	// 選択するメイン要素の<select>のIndex
									// メイン要素が"全て"を含む場合、+1する必要あり
	var $selectedSubElementIndex;	// 選択するサブ要素の<select>のIndex
									// サブ要素が"全て"を含む場合、+1する必要あり

	var $mainFormSelectName;		// メイン要素の<select>の名前
	var $subFormSelectName;			// サブ要素の<select>の名前

	var $initSelectFunctionName;	// initSelect()の名前
	var $changeSelectFunctionName;	// changeSelect()の名前

	var $disableJavaScriptShowMain;	// JavaScriptが無効の際、メイン要素を表示させるかどうか

	var $mainNameArrayName;			// JavaScript内でのメイン要素の名前の配列名
	var $mainCodeArrayName;			// JavaScript内でのメイン要素のコードいの配列名
	var $subNameArrayName;			// JavaScript内でのサブ要素の名前の配列名
	var $subCodeArrayName;			// JavaScript内でのサブ要素のコードの配列名

	var $mainResult;				// メイン要素作成SQLのResult
	var $subResult;					// サブ要素作成SQLのResult


/// public ///

	// コンストラクタ
	function JavaScriptSelect()
	{
	}


	// 乱数発生
	function createRandomId()
	{
		$length = 10;

		if (PHP_VERSION < "4.2.0") { mt_srand((double)microtime() * 1000000); }

		$possible = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ";
		$str = "";
		while (strlen($str) < $length)
		{
			$str .= substr($possible, mt_rand(0, strlen($possible) - 1), 1);
		}

		return $str;
	}


	// データのセット
	function setElement($conn, $dbSqlObj, $dbExecObj)
	{
		$this->selectedMainElementIndex = 0;
		$this->selectedSubElementIndex = 0;

		// プロパティのチェック
		$this->isSetAllProperty();

		// JavaScript内での配列名はユニークにする
		$this->setMainNameArrayName($this->createRandomId());
		$this->setMainCodeArrayName($this->createRandomId());
		$this->setSubNameArrayName($this->createRandomId());
		$this->setSubCodeArrayName($this->createRandomId());

		// メイン要素の配列にデータをセット
		$this->setMainElementArrayData($conn, $dbSqlObj, $dbExecObj);

		// サブ要素の配列にデータをセット
		$this->setSubElementArrayData($conn, $dbSqlObj, $dbExecObj);
	}


	// initSelectの出力
	function printInitSelectFunction()
	{
		echo "function " . $this->getInitSelectFunctionName() . "(myForm)\n";
		echo "{\n";

		// メイン要素の出力
		$this->printMainElementArray();

		// サブ要素の出力
		$this->printSubElementNameArray();

		// メイン／サブ要素の内容セットルーチンの出力
		$this->printMainElementSetRoutine();

		echo "\treturn true;\n";
		echo "}\n";
	}


	// 選択ルーチン(changeSelect)の出力
	function printChangeSelectFunction()
	{
		echo "function " . $this->getChangeSelectFunctionName() . "(myForm)\n";
		echo "{\n";

		echo "\tmyForm." . $this->getSubFormSelectName() . ".options.length = 0;\n";

		echo "\tvar mainValue = myForm." . $this->getMainFormSelectName() . ".options[myForm." . $this->getMainFormSelectName() . ".selectedIndex].value;\n";
		echo "\tswitch (mainValue)\n";
		echo "\t{\n";

		if ($this->isMainIncludeAll() == "True")
		{
			echo "\t\tcase \"all\" :\n";
			echo "\t\t\tfor (i = 0; i < " . $this->getSubNameArrayName() . "all.length; i++)\n";
			echo "\t\t\t{\n";
			echo "\t\t\t\twoption = new Option(" . $this->getSubNameArrayName() . "all[i], " . $this->getSubCodeArrayName() . "all[i]);\n";
			echo "\t\t\t\tmyForm." . $this->getSubFormSelectName() . ".options[i] = woption;\n";
			echo "\t\t\t}\n";
			echo "\t\t\tmyForm." . $this->getSubFormSelectName() . ".selectedIndex = 0;\n";
			echo "\t\t\tbreak;\n";
		}

		$tempMainElementArray = $this->getMainElementArray();

		foreach ($tempMainElementArray as $key => $value)
		{
			echo "\t\tcase \"" . $key . "\" :\n";
			echo "\t\t\tfor (i = 0; i < " . $this->getSubNameArrayName() . $key . ".length; i++)\n";
			echo "\t\t\t{\n";
			echo "\t\t\t\twoption = new Option(" . $this->getSubNameArrayName() . $key . "[i], " . $this->getSubCodeArrayName() . $key . "[i]);\n";
			echo "\t\t\t\tmyForm." . $this->getSubFormSelectName() . ".options[i] = woption;\n";
			echo "\t\t\t}\n";
			echo "\t\t\tmyForm." . $this->getSubFormSelectName() . ".selectedIndex = 0;\n";
			echo "\t\t\tbreak;\n";
		}

		echo "\t}\n";

		// changeSelect()後の処理
		$this->printChangeSelectOption();

		echo "\treturn true;\n";
		echo "}\n";
	}


	// メイン要素の<option>の出力
	// JavaScriptが無効の際に表示される
	function printDefaultMainOption()
	{
		if ($this->isDisableJavaScriptShowMain() == "True")
		{
			if ($this->isMainIncludeAll() == "True")
			{
				 $mainOptionStr = "<option value=\"all\">全て</option>\n";
			}

			$tempMainElementArray = $this->getMainElementArray();

			foreach ($tempMainElementArray as $key => $value)
			{
				$mainOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\">" . htmlSpecialEscape($value) . "</option>\n";
			}
		}
		else
		{
			$mainOptionStr = "<option value=\"\">−−−−−−−−−−</option>\n";
			$mainOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
			$mainOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
		}

		echo $mainOptionStr;
	}


	// サブ要素の<option>の出力
	// JavaScriptが無効の際に表示される
	function printDefaultSubOption()
	{
		if ($this->isDisableJavaScriptShowMain() == "True")
		{
			$subOptionStr = "<option value=\"\">−−−−−−−−−−</option>\n";
			$subOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
			$subOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
		}
		else
		{
			$tempSubElementArray = $this->getSubElementArray();

//			if ($this->isSubIncludeAll() == "True")
			if ($this->isMainAllSubIncludeAll() == "True")
			{
				$subOptionStr = "<option value=\"all\">全て</option>\n";
			}

			// メイン要素が全ての時、全てのサブ要素を表示する場合
			if ($this->isSubAllOnly() == "False")
			{
				$tempSubElementArrayAll = $tempSubElementArray["all"];

				foreach ($tempSubElementArrayAll as $key => $value)
				{
					$subOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\">" . htmlSpecialEscape($value) . "</option>\n";
				}
			}
		}

		echo $subOptionStr;
	}


// アクセッサメソッド
	// mainElementArray
	function setMainElementArray($mainElementArray)
	{
		$this->mainElementArray = $mainElementArray;
	}

	function getMainElementArray()
	{
		return $this->mainElementArray;
	}

	// subElementArray
	function setSubElementArray($subElementArray)
	{
		$this->subElementArray = $subElementArray;
	}

	function getSubElementArray()
	{
		return $this->subElementArray;
	}

	// mainElementNameColumnName
	function setMainElementNameColumnName($mainElementNameColumnName)
	{
		$this->mainElementNameColumnName = $mainElementNameColumnName;
	}

	function getMainElementNameColumnName()
	{
		return $this->mainElementNameColumnName;
	}

	// mainElementCodeColumnName
	function setMainElementCodeColumnName($mainElementCodeColumnName)
	{
		$this->mainElementCodeColumnName = $mainElementCodeColumnName;
	}

	function getMainElementCodeColumnName()
	{
		return $this->mainElementCodeColumnName;
	}

	// subElementNameColumnName
	function setSubElementNameColumnName($subElementNameColumnName)
	{
		$this->subElementNameColumnName = $subElementNameColumnName;
	}

	function getSubElementNameColumnName()
	{
		return $this->subElementNameColumnName;
	}

	// subElementCodeColumnName
	function setSubElementCodeColumnName($subElementCodeColumnName)
	{
		$this->subElementCodeColumnName = $subElementCodeColumnName;
	}

	function getSubElementCodeColumnName()
	{
		return $this->subElementCodeColumnName;
	}

	// mainIncludeAll
	function setMainIncludeAll($mainIncludeAll)
	{
		$this->mainIncludeAll = $mainIncludeAll;
	}

	function isMainIncludeAll()
	{
		return $this->mainIncludeAll;
	}

	// subIncludeAll
	function setSubIncludeAll($subIncludeAll)
	{
		$this->subIncludeAll = $subIncludeAll;
	}

	function isSubIncludeAll()
	{
		return $this->subIncludeAll;
	}

	// subAllOnly
	function setSubAllOnly($subAllOnly)
	{
		$this->subAllOnly = $subAllOnly;
	}

	function isSubAllOnly()
	{
		return $this->subAllOnly;
	}

	// mainAllSubIncludeAll
	function setMainAllSubIncludeAll($mainAllSubIncludeAll)
	{
		$this->mainAllSubIncludeAll = $mainAllSubIncludeAll;
	}

	function isMainAllSubIncludeAll()
	{
		return $this->mainAllSubIncludeAll;
	}

	// mainElementCodeFromHttp
	function setMainElementCodeFromHttp($mainElementCodeFromHttp)
	{
		$this->mainElementCodeFromHttp = $mainElementCodeFromHttp;
	}

	function getMainElementCodeFromHttp()
	{
		return $this->mainElementCodeFromHttp;
	}

	// subElementCodeFromHttp
	function setSubElementCodeFromHttp($subElementCodeFromHttp)
	{
		$this->subElementCodeFromHttp = $subElementCodeFromHttp;
	}

	function getSubElementCodeFromHttp()
	{
		return $this->subElementCodeFromHttp;
	}

	// selectedMainElementIndex
	function setSelectedMainElementIndex($selectedMainElementIndex)
	{
		$this->selectedMainElementIndex = $selectedMainElementIndex;
	}

	function getSelectedMainElementIndex()
	{
		return $this->selectedMainElementIndex;
	}

	// selectedSubElementIndex
	function setSelectedSubElementIndex($selectedSubElementIndex)
	{
		$this->selectedSubElementIndex = $selectedSubElementIndex;
	}

	function getSelectedSubElementIndex()
	{
		return $this->selectedSubElementIndex;
	}

	// mainFormSelectName
	function setMainFormSelectName($mainFormSelectName)
	{
		$this->mainFormSelectName = $mainFormSelectName;
	}

	function getMainFormSelectName()
	{
		return $this->mainFormSelectName;
	}

	// subFormSelectName
	function setSubFormSelectName($subFormSelectName)
	{
		$this->subFormSelectName = $subFormSelectName;
	}

	function getSubFormSelectName()
	{
		return $this->subFormSelectName;
	}

	// initSelectFunctionName
	function setInitSelectFunctionName($initSelectFunctionName)
	{
		$this->initSelectFunctionName = $initSelectFunctionName;
	}

	function getInitSelectFunctionName()
	{
		return $this->initSelectFunctionName;
	}

	// changeSelectFunctionName
	function setChangeSelectFunctionName($changeSelectFunctionName)
	{
		$this->changeSelectFunctionName = $changeSelectFunctionName;
	}

	function getChangeSelectFunctionName()
	{
		return $this->changeSelectFunctionName;
	}

	// disableJavaScriptShowMain
	function setDisableJavaScriptShowMain($disableJavaScriptShowMain)
	{
		$this->disableJavaScriptShowMain = $disableJavaScriptShowMain;
	}

	function isDisableJavaScriptShowMain()
	{
		return $this->disableJavaScriptShowMain;
	}

	// mainNameArrayName
	function setMainNameArrayName($mainNameArrayName)
	{
		$this->mainNameArrayName = $mainNameArrayName;
	}

	function getMainNameArrayName()
	{
		return $this->mainNameArrayName;
	}

	// mainCodeArrayName
	function setMainCodeArrayName($mainCodeArrayName)
	{
		$this->mainCodeArrayName = $mainCodeArrayName;
	}

	function getMainCodeArrayName()
	{
		return $this->mainCodeArrayName;
	}

	// subNameArrayName
	function setSubNameArrayName($subNameArrayName)
	{
		$this->subNameArrayName = $subNameArrayName;
	}

	function getSubNameArrayName()
	{
		return $this->subNameArrayName;
	}

	// subCodeArrayName
	function setSubCodeArrayName($subCodeArrayName)
	{
		$this->subCodeArrayName = $subCodeArrayName;
	}

	function getSubCodeArrayName()
	{
		return $this->subCodeArrayName;
	}

	// mainResult
	function setMainResult($mainResult)
	{
		$this->mainResult = $mainResult;
	}

	function getMainResult()
	{
		return $this->mainResult;
	}

	// subResult
	function setSubResult($subResult)
	{
		$this->subResult = $subResult;
	}

	function getSubResult()
	{
		return $this->subResult;
	}


/// protected ///

	// メイン要素取得SQLの取得(要オーバーライド)
	// コード、名前
	function getSelectMainElementSql()
	{
		echo "JavaScriptSelect::getSelectMainElementSql()をオーバーライドして下さい。";
		exit;
	}


	// サブ要素取得SQLの取得(要オーバーライド)
	// サブ要素のコード、サブ要素の名前、関連付いたメイン要素のコード
	function getSelectSubElementSql()
	{
		echo "JavaScriptSelect::getSelectSubElementSql()をオーバーライドして下さい。";
		exit;
	}


	// changeSelect()後に特別な処理を追加したい場合、オーバーライドする
	function printChangeSelectOption()
	{
	}


/// private ///

	// メイン要素の配列にデータをセット
	function setMainElementArrayData($conn, $dbSqlObj, $dbExecObj)
	{
		$sqlstr = $this->getSelectMainElementSql($dbSqlObj);

		$result = $dbExecObj->exeSql($conn, $sqlstr);

		if (!$result)
		{
			return 0;
		}

		$this->setMainResult($result);

		// メイン要素のカラム名の取得
		$tempMainElementNameColumnName = $this->getMainElementNameColumnName();
		$tempMainElementCodeColumnName = $this->getMainElementCodeColumnName();

		$count = $dbExecObj->getNumRows($result);
		$i = 0;

		while ($i < $count)
		{
			$tempMainElementArray[$dbExecObj->getResult($result, $i, $tempMainElementCodeColumnName)] = $dbExecObj->getResult($result, $i, $tempMainElementNameColumnName);
			$i++;
		}

//		ksort($tempMainElementArray);

		$this->setMainElementArray($tempMainElementArray);
	}


	// サブ要素の配列にデータをセット
	function setSubElementArrayData($conn, $dbSqlObj, $dbExecObj)
	{
		$sqlstr = $this->getSelectSubElementSql($dbSqlObj);

		$result = $dbExecObj->exeSql($conn, $sqlstr);

		if (!$result)
		{
			return 0;
		}

		$this->setSubResult($result);

		// カラム名の取得
		$tempMainElementCodeColumnName = $this->getMainElementCodeColumnName();
		$tempSubElementNameColumnName = $this->getSubElementNameColumnName();
		$tempSubElementCodeColumnName = $this->getSubElementCodeColumnName();

		$count = $dbExecObj->getNumRows($result);

		$i = 0;

		while ($i < $count)
		{
			// メイン要素が全ての時、全サブ要素が表示される場合
			if ($this->isMainIncludeAll() == "True" && $this->isSubAllOnly() == "False")
			{
				$tempSubElementArray["all"][$dbExecObj->getResult($result, $i, $tempSubElementCodeColumnName)] = $dbExecObj->getResult($result, $i, $tempSubElementNameColumnName);
			}

			$tempSubElementArray[$dbExecObj->getResult($result, $i, $tempMainElementCodeColumnName)][$dbExecObj->getResult($result, $i, $tempSubElementCodeColumnName)]	= $dbExecObj->getResult($result, $i, $tempSubElementNameColumnName);

			$i++;
		}

		$this->setSubElementArray($tempSubElementArray);
	}



	// メイン要素の出力
	function printMainElementArray()
	{
		$strMainElementName = "\t" . $this->getMainNameArrayName() . " = new Array(";
		$strMainElementCode = "\t" . $this->getMainCodeArrayName() . " = new Array(";

		if ($this->isMainIncludeAll() == "True")
		{
			$strMainElementName .= "\"全て\",";
			$strMainElementCode .= "\"all\",";
		}

		$tempMainElementArray = $this->getMainElementArray();

		$i = 0;
		foreach ($tempMainElementArray as $key => $value)
		{
			if (strcmp($key, $this->getMainElementCodeFromHttp()) == 0)
			{
				if ($this->isMainIncludeAll() == "True")
				{
					$this->setSelectedMainElementIndex($i + 1);
				}
				else
				{
					$this->setSelectedMainElementIndex($i);
				}
			}

			if (0 < $i)
			{
				$strMainElementName .= ",";
				$strMainElementCode .= ",";
			}

			$strMainElementName .= "\"" . str_replace("\"", "\\\"", $value) . "\"";
			$strMainElementCode .= "\"" . $key . "\"";

			$i++;
		}

		$strMainElementName .= ");\n\n";
		$strMainElementCode .= ");\n\n";

		echo $strMainElementName;
		echo $strMainElementCode;
	}


	// サブ要素の出力
	function printSubElementNameArray()
	{
		$tempSubElementArray = $this->getSubElementArray();

		$strSubElementName = "";
		$strSubElementCode = "";

		if ($this->isMainIncludeAll() == "True")
		{
			if ($this->isMainAllSubIncludeAll() == "True")
			{
				$strSubElementName .= "\t" . $this->getSubNameArrayName() . "all = new Array(\"全て\"";
				$strSubElementCode .= "\t" . $this->getSubCodeArrayName() . "all = new Array(\"all\"";
			}
			else
			{
				$strSubElementName .= "\t" . $this->getSubNameArrayName() . "all = new Array(";
				$strSubElementCode .= "\t" . $this->getSubCodeArrayName() . "all = new Array(";
			}

			// メイン要素が全ての時、全てのサブ要素を表示する場合
			if ($this->isSubAllOnly() == "False")
			{
				$tempSubElementArrayAll = $tempSubElementArray["all"];

				$i = 0;
				foreach ($tempSubElementArrayAll as $key => $value)
				{
					if (strcmp("all", $this->getMainElementCodeFromHttp()) == 0)
					{
						if (strcmp($key, $this->getSubElementCodeFromHttp()) == 0)
						{
							if ($this->isMainAllSubIncludeAll() == "True")
							{
								$this->setSelectedSubElementIndex($i + 1);
							}
							else
							{
								$this->setSelectedSubElementIndex($i);
							}
						}
					}

					if ($this->isMainAllSubIncludeAll() == "True" || 0 < $i)
					{
						$strSubElementName .= ",";
						$strSubElementCode .= ",";
					}

					$strSubElementName .= "\"" . str_replace("\"", "\\\"", $value) . "\"";
					$strSubElementCode .= "\"" . str_replace("\"", "\\\"", $key) . "\"";

					$i++;
				}
			}

			$strSubElementName .= ");\n";
			$strSubElementCode .= ");\n";
		}

		// 2次元配列なので、$valueには配列が入る
		foreach ($tempSubElementArray as $key => $valueArray)
		{
			if ($key != "all")
			{
				$strSubElementName .= "\t" . $this->getSubNameArrayName() . $key . " = new Array(";
				$strSubElementCode .= "\t" . $this->getSubCodeArrayName() . $key . " = new Array(";

				if ($this->isSubIncludeAll() == "True")
				{
					$strSubElementName .= "\"全て\",";
					$strSubElementCode .= "\"all\",";
				}

				$i = 0;
				foreach ($valueArray as $key2 => $value)
				{
					if (strcmp("all", $this->getMainElementCodeFromHttp()) != 0)
					{
						if (strcmp($key2, $this->getSubElementCodeFromHttp()) == 0)
						{
							if ($this->isSubIncludeAll() == "True")
							{
								$this->setSelectedSubElementIndex($i + 1);
							}
							else
							{
								$this->setSelectedSubElementIndex($i);
							}
						}
					}

					if (0 < $i)
					{
						$strSubElementName .= ",";
						$strSubElementCode .= ",";
					}

					$strSubElementName .= "\"" . str_replace("\"", "\\\"", $value) . "\"";
					$strSubElementCode .= "\"" . str_replace("\"", "\\\"", $key2) . "\"";

					$i++;
				}

				$strSubElementName .= ");\n";
				$strSubElementCode .= ");\n";
			}
		}

		echo $strSubElementName;
		echo $strSubElementCode;

	}


	// メイン／サブ要素の内容セットルーチンの出力
	function printMainElementSetRoutine()
	{
		echo "\tmyForm." . $this->getMainFormSelectName() . ".options.length = 0;\n";
		echo "\tfor (i = 0; i < " . $this->getMainNameArrayName() . ".length; i++)\n";
		echo "\t{\n";
		echo "\t\twoption = new Option(" . $this->getMainNameArrayName() . "[i], " . $this->getMainCodeArrayName() . "[i]);\n";
		echo "\t\tmyForm." . $this->getMainFormSelectName() . ".options[i] = woption;\n";
		echo "\t}\n\n";

		echo "\tmyForm." . $this->getMainFormSelectName() . ".selectedIndex = " . $this->getSelectedMainElementIndex() . ";\n\n";

		echo "\t" . $this->getChangeSelectFunctionName() . "(myForm);\n\n";

		echo "\tmyForm." . $this->getSubFormSelectName() . ".selectedIndex = " . $this->getSelectedSubElementIndex() . ";\n";
	}


	// 必要なプロパティが全てセットされているかチェック
	function isSetAllProperty()
	{
		if ($this->getMainElementNameColumnName() == "")
		{
			echo "JavaScriptSelect::mainElementNameColumnNameをセットして下さい。";
			exit;
		}

		if ($this->getMainElementCodeColumnName() == "")
		{
			echo "JavaScriptSelect::mainElementCodeColumnNameをセットして下さい。";
			exit;
		}

		if ($this->getSubElementNameColumnName() == "")
		{
			echo "JavaScriptSelect::subElementNameColumnNameをセットして下さい。";
			exit;
		}

		if ($this->getSubElementCodeColumnName() == "")
		{
			echo "JavaScriptSelect::subElementCodeColumnNameをセットして下さい。";
			exit;
		}

		if ($this->getMainFormSelectName() == "")
		{
			echo "JavaScriptSelect::mainFormSelectNameをセットして下さい。";
			exit;
		}

		if ($this->getSubFormSelectName() == "")
		{
			echo "JavaScriptSelect::subFormSelectNameをセットして下さい。";
			exit;
		}

		if ($this->getInitSelectFunctionName() == "")
		{
			echo "JavaScriptSelect::initSelectFunctionNameをセットして下さい。";
			exit;
		}

		if ($this->getChangeSelectFunctionName() == "")
		{
			echo "JavaScriptSelect::changeSelectFunctionNameをセットして下さい。";
			exit;
		}

		if ($this->isDisableJavaScriptShowMain() == "")
		{
			echo "JavaScriptSelect::disableJavaScriptShowMainをセットして下さい。";
			exit;
		}

	}


}

?>
