<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: javascriptselect_div_emp.php,v 1.3 2002/10/01 08:10:12 yu-ji Exp $
//

/**
 * 
 *
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 * @author hideki HARANAKA <hideki-h@syscon.co.jp>
 */



require_once ($_ROOT_DIR_ . "class/javascriptselect.php");

class JavaScriptSelect_CatFacScheduleFacility extends JavaScriptSelect
{
/// private ///
	var $owner_emp_cd;
	var $scheduleFacilities;

/// public ///

	// コンストラクタ
	function JavaScriptSelect_CatFacScheduleFacility($fac_cat_cd,$fac_cd,$owner_emp_cd,$scheduleFacilities, $conn,$dbSqlObj,$dbExecObj)
	{
		$this->setOwnerEmpCd($owner_emp_cd);
		$this->setScheduleFacilities($scheduleFacilities);
		$this->setMainElementNameColumnName("fac_cat_name");		// メイン要素の名前カラム名
		$this->setMainElementCodeColumnName("fac_cat_cd");		// メイン要素のコードカラム名
		$this->setSubElementNameColumnName("fac_name");				// サブ要素の名前カラム名
		$this->setSubElementCodeColumnName("fac_cd");			// サブ要素のコードカラム名
		$this->setMainIncludeAll("True");						// メイン要素が"全て"を含むかどうか
		$this->setSubIncludeAll("False");						// サブ要素が"全て"を含むかどうか
		$this->setSubAllOnly("False");							// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
		$this->setMainAllSubIncludeAll("False");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
		$this->setMainFormSelectName("fac_cat_cd");				// メイン要素の<select>の名前
		$this->setSubFormSelectName("facilities1[]");			// サブ要素の<select>の名前
		$this->setInitSelectFunctionName("initSelectFac");		// initSelect()の名前
		$this->setChangeSelectFunctionName("changeSelectFac");	// changeSelect()の名前
		$this->setDisableJavaScriptShowMain("True");			// JavaScriptが無効の際、メイン要素を表示させるかどうか
		$this->setMainElementCodeFromHttp($fac_cat_cd);			// HTTP経由で受け取ったメイン要素のコード
		$this->setSubElementCodeFromHttp($fac_cd);				// HTTP経由で受け取ったメイン要素のコード
		$this->setElement($conn, $dbSqlObj, $dbExecObj);
		
	}

	function setOwnerEmpCd($owner_emp_cd){
		$this->owner_emp_cd = $owner_emp_cd;
	}
	function getOwnerEmpCd(){
		return $this->owner_emp_cd;
	}


	function setScheduleFacilities($scheduleFacilities){
		$this->scheduleFacilities = $scheduleFacilities;
	}
	function getScheduleFacilities(){
		return $this->scheduleFacilities;
	}
	
	function getMainElementCount(){
		echo $this->getMainResult();
		return $this->getMainResult();
	}

/// protected ///

	// メイン要素取得SQLの取得
	// コード、名前
	function getSelectMainElementSql($dbSqlObj)
	{
		$sqlstr = $dbSqlObj->selectFacCatFacNameOrderByFacNameFac_cd($this->getOwnerEmpCd(), $this->getScheduleFacilities());
		return $sqlstr;
	}


	// サブ要素取得SQLの取得
	// サブ要素のコード、サブ要素の名前、関連付いたメイン要素のコード
	function getSelectSubElementSql($dbSqlObj)
	{
		$sqlstr = $dbSqlObj->selectFacFacNameOrderByFacNameFac_cd($this->getOwnerEmpCd(), $this->getScheduleFacilities());

		return $sqlstr;
	}

	// initSelectの出力
	function printInitSelectFunction()
	{
		echo "function " . $this->getInitSelectFunctionName() . "(myForm)\n";
		echo "{\n";

		// メイン要素の出力
		$this->printMainElementArray();

		// サブ要素の出力
		$this->printSubElementNameArray();

		// メイン／サブ要素の内容セットルーチンの出力
		$this->printMainElementSetRoutine();

		echo "\treturn true;\n";
		echo "}\n";
	}


	// 選択ルーチン(changeSelect)の出力
	function printChangeSelectFunction()
	{
		echo "function " . $this->getChangeSelectFunctionName() . "(myForm)\n";
		echo "{\n";

		echo "\tmyForm.elements['" . $this->getSubFormSelectName() . "'].options.length = 0;\n";

		echo "\tvar mainValue = myForm." . $this->getMainFormSelectName() . ".options[myForm." . $this->getMainFormSelectName() . ".selectedIndex].value;\n";
		echo "\tswitch (mainValue)\n";
		echo "\t{\n";

		if ($this->isMainIncludeAll() == "True")
		{
			echo "\t\tcase \"all\" :\n";
			echo "\t\t\tfor (i = 0; i < " . $this->getSubNameArrayName() . "all.length; i++)\n";
			echo "\t\t\t{\n";
			echo "\t\t\t\twoption = new Option(" . $this->getSubNameArrayName() . "all[i], " . $this->getSubCodeArrayName() . "all[i]);\n";
			echo "\t\t\t\tmyForm.elements['" . $this->getSubFormSelectName() . "'].options[i] = woption;\n";
			echo "\t\t\t}\n";
			echo "\t\t\tmyForm.elements['" . $this->getSubFormSelectName() . "'].selectedIndex = 0;\n";
			echo "\t\t\tbreak;\n";
		}

		$tempMainElementArray = $this->getMainElementArray();

		foreach ($tempMainElementArray as $key => $value)
		{
			echo "\t\tcase \"" . $key . "\" :\n";
			echo "\t\t\tfor (i = 0; i < " . $this->getSubNameArrayName() . $key . ".length; i++)\n";
			echo "\t\t\t{\n";
			echo "\t\t\t\twoption = new Option(" . $this->getSubNameArrayName() . $key . "[i], " . $this->getSubCodeArrayName() . $key . "[i]);\n";
			echo "\t\t\t\tmyForm.elements['" . $this->getSubFormSelectName() . "'].options[i] = woption;\n";
			echo "\t\t\t}\n";
			echo "\t\t\tmyForm.elements['" . $this->getSubFormSelectName() . "'].selectedIndex = 0;\n";
			echo "\t\t\tbreak;\n";
		}

		echo "\t}\n";

		// changeSelect()後の処理
		$this->printChangeSelectOption();

		echo "\treturn true;\n";
		echo "}\n";
	}

	// メイン／サブ要素の内容セットルーチンの出力
	function printMainElementSetRoutine()
	{
		echo "\tmyForm." . $this->getMainFormSelectName() . ".options.length = 0;\n";
		echo "\tfor (i = 0; i < " . $this->getMainNameArrayName() . ".length; i++)\n";
		echo "\t{\n";
		echo "\t\twoption = new Option(" . $this->getMainNameArrayName() . "[i], " . $this->getMainCodeArrayName() . "[i]);\n";
		echo "\t\tmyForm." . $this->getMainFormSelectName() . ".options[i] = woption;\n";
		echo "\t}\n\n";

		echo "\tmyForm." . $this->getMainFormSelectName() . ".selectedIndex = " . $this->getSelectedMainElementIndex() . ";\n\n";

		echo "\t" . $this->getChangeSelectFunctionName() . "(myForm);\n\n";

		echo "\tmyForm.elements['" . $this->getSubFormSelectName() . "'].selectedIndex = " . $this->getSelectedSubElementIndex() . ";\n";
	}


	// メイン要素の<option>の出力
	// JavaScriptが無効の際に表示される
	function printDefaultMainOption()
	{
		if ($this->isDisableJavaScriptShowMain() == "True")
		{
			if ($this->isMainIncludeAll() == "True")
			{
				 $mainOptionStr = "<option value=\"all\">全て</option>\n";
			}

			$tempMainElementArray = $this->getMainElementArray();

			foreach ($tempMainElementArray as $key => $value)
			{
				$mainOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\">" . htmlSpecialEscape($value) . "</option>\n";
			}
		}
		else
		{
			//$mainOptionStr = "<option value=\"\">　　　　　</option>\n";
		}

		echo $mainOptionStr;
	}


	// サブ要素の<option>の出力
	// JavaScriptが無効の際に表示される
	function printDefaultSubOption()
	{
		if ($this->isDisableJavaScriptShowMain() == "True")
		{
			//$subOptionStr = "<option value=\"\">　　　　　</option>\n";
		}
		else
		{
			$tempSubElementArray = $this->getSubElementArray();

//			if ($this->isSubIncludeAll() == "True")
			if ($this->isMainAllSubIncludeAll() == "True")
			{
				$subOptionStr = "<option value=\"all\">全て</option>\n";
			}

			// メイン要素が全ての時、全てのサブ要素を表示する場合
			if ($this->isSubAllOnly() == "False")
			{
				$tempSubElementArrayAll = $tempSubElementArray["all"];

				foreach ($tempSubElementArrayAll as $key => $value)
				{
					$subOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\">" . htmlSpecialEscape($value) . "</option>\n";
				}
			}
		}

		echo $subOptionStr;
	}
}

?>
