<?php
//
// Copyright (C) 2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: javascriptselect_div_emp_monsche.php,v 1.3 2002/10/01 08:10:12 yu-ji Exp $
//

/**
 * @author hideki HARANAKA <hideki-h@syscon.co.jp>
 */


require_once ($_ROOT_DIR_ . "class/javascriptselect.php");

class JavaScriptSelect_DivEmp_Group extends JavaScriptSelect
{
  /// public ///
  var $group_cd;
  var $bolWithGroup;
  var $dbType;
  var $tempDBExecObj;
  var $tempDBConnObj;

  // コンストラクタ
  function JavaScriptSelect_DivEmp_Group()
  {
  }

  function setGroupCd($group_cd)
  {
      $this->group_cd = $group_cd;
  }

  function setWithGroupFlg($bolWithGroup)
  {
    $this->bolWithGroup = $bolWithGroup;
  }

  function setDBType($dbType)
  {
    $this->dbType = $dbType;
  }

  function settempDBObj($tempDBExecObj, $tempDBConnObj)
  {
    $this->tempDBExecObj = $tempDBExecObj;
    $this->tempDBConnObj = $tempDBConnObj;
  }  

  /// protected ///

  // メイン要素取得SQLの取得
  // コード、名前
  function getSelectMainElementSql($dbSqlObj)
  {
    if($this->dbType == "PostgreSQL")
    {
      if(!$this->bolWithGroup)
      {
        $sqlstr = $dbSqlObj->selectDivisionDiv_nameOrderByDiv_nameDivisionWithoutGroup($this->group_cd);
      }
      else
      {
        $sqlstr = $dbSqlObj->selectDivisionDiv_nameOrderByDiv_nameDivisionWithGroup($this->group_cd);
      }
    }
    else
    {
      $sqlstr = $dbSqlObj->selectEmpCdWithGroupCd($this->group_cd);
      $result = $this->tempDBExecObj->exeSql($this->tempDBConnObj, $sqlstr);
      if (!$result)
      {
        return 0;
      }
      $count = $this->tempDBExecObj->getNumRows($result);
      $strEmpCd = "";
      if($count == 0)
      {
        $strEmpCd = "' ' ";
      }
      
      $i = 0;
      while ($i < $count)
      {
        if($i == $count - 1)
        {
          $strEmpCd .= "'" . $this->tempDBExecObj->getResult($result, $i, 'emp_cd') . "'";
        }
        else
        {
          $strEmpCd .= "'" . $this->tempDBExecObj->getResult($result, $i, 'emp_cd') . "',";
        }
        $i++;
      }

      if(!$this->bolWithGroup)
      {
        $sqlstr = $dbSqlObj->selectDivisionDiv_nameOrderByDiv_nameDivisionWithoutEmpCd($strEmpCd);
      }
      else
      {
        $sqlstr = $dbSqlObj->selectDivisionDiv_nameOrderByDiv_nameDivisionWithEmpCd($strEmpCd);
      }
    }
    return $sqlstr;
  }


  // サブ要素取得SQLの取得
  // サブ要素のコード、サブ要素の名前、関連付いたメイン要素のコード
  function getSelectSubElementSql($dbSqlObj)
  {
    if($this->dbType == "PostgreSQL")
    {
      if(!$this->bolWithGroup)
      {
        $sqlstr = $dbSqlObj->selectDivisionEmp_cdNameOrderBySort_noEmp_cd_without_group($this->group_cd);
      }
      else
      {
        $sqlstr = $dbSqlObj->selectDivisionEmp_cdNameOrderBySort_noEmp_cd_with_group($this->group_cd);
      }
    }
    else
    {
      $sqlstr = $dbSqlObj->selectEmpCdWithGroupCd($this->group_cd);
      $result = $this->tempDBExecObj->exeSql($this->tempDBConnObj, $sqlstr);
      if (!$result)
      {
        return 0;
      }
      $strEmpCd = "";
      $count = $this->tempDBExecObj->getNumRows($result);
      if($count == 0)
      {
        $strEmpCd = "' ' ";
      }
      $i = 0;

      while ($i < $count)
      {
        if($i == $count - 1)
        {
          $strEmpCd .= "'" . $this->tempDBExecObj->getResult($result, $i, 'emp_cd') . "'";
        }
        else
        {
          $strEmpCd .= "'" . $this->tempDBExecObj->getResult($result, $i, 'emp_cd') . "',";
        }
        $i++;
      }

      if(!$this->bolWithGroup)
      {
        $sqlstr = $dbSqlObj->selectDivisionEmp_cdNameOrderBySort_noEmp_cd_without_EmpCd($strEmpCd);
      }
      else
      {
        $sqlstr = $dbSqlObj->selectDivisionEmp_cdNameOrderBySort_noEmp_cd_with_EmpCd($strEmpCd);
      }
    }
    return $sqlstr;
  }

  // サブ要素の<option>の出力
  // JavaScriptが無効の際に表示される
  // JavaScriptSelect のメソッドをオーバーライド
  function printDefaultSubOption($tantou)
  {
    if ($this->isDisableJavaScriptShowMain() == "True")
    {
      $subOptionStr = "<option value=\"\">−−−−−−−−−−</option>\n";
      $subOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
      $subOptionStr .= "<option value=\"\">−−−−−−−−−−</option>\n";
    }
    else
    {
      $tempSubElementArray = $this->getSubElementArray();
      
      if ($this->isMainAllSubIncludeAll() == "True")
      {
        $subOptionStr = "<option value=\"all\">全て</option>\n";
      }

      // メイン要素が全ての時、全てのサブ要素を表示する場合
      if ($this->isSubAllOnly() == "False")
      {
        $tempSubElementArrayAll = $tempSubElementArray["all"];
        
        foreach ($tempSubElementArrayAll as $key => $value)
        {
          if($key == $tantou)
          {
            $subOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\" selected >" . htmlSpecialEscape($value) . "</option>\n";
          }
          else
          {
            $subOptionStr .= "<option value=\"" . htmlSpecialEscape($key) . "\">" . htmlSpecialEscape($value) . "</option>\n";
          }
        }
      }
    }

    echo $subOptionStr;
  }

}

?>
