<?php
//
// Copyright (C) 2001-2004 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: menuHeadder.php 1320 2005-09-15 06:55:00Z svn $
//

/**
 * メニューのヘッダー生成クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */



class menuShowObj {

	var $dbSqlObj;			//sqlObject
	var $dbExecObj;			//executeObject
	var $conn;				//connectionHandller

	var $empCd;				//ログオンした人のemp_cd
	var $empName;			//ログオンした人の名前(漢字)
	var $currentAppliCode;	//現在の機能コード
	var $currentAppliName;	//現在の機能名(漢字)
	var $currentAppliImage;	//機能の画像ファイル名
	var $isAdmin;			//管理者フラグ。(boolean)
	var $thisYear;			//いまの年
	var $thisMonth;			//いまの月
	var $thisDay;			//いまの日
	var $weekDay;			//いまの曜日
	var $isSysconOnly;		//シスコンオリジナル機能か？(boolean)
	var $versionNo = "1.4.2";	//バージョン番号

	//コンストラクタ
	//DB系オブジェクトをセットする
	function menuShowObj($conn, $dbSqlObj, $dbExecObj) {
		$this->conn      = $conn;
		$this->dbSqlObj  = $dbSqlObj;
		$this->dbExecObj = $dbExecObj;
	}

	//emp_cdをセットする。
	function setEmpCd($empCd) {
		$this->empCd = $empCd;
	}

	//empNameをセットする。
	function setEmpName($empName) {
		$this->empName = $empName;
	}

	//機能ファイル名をセットする
	//機能の画像ファイル名をセットする
	function setCurrentAppli($currentAppliCode,$isSysconOnly = false) {
		$this->currentAppliCode = $currentAppliCode;
		$this->isSysconOnly     = $isSysconOnly;

		if($this->currentAppliCode){
			$strSql = $this->dbSqlObj->selectAppconfWithGwap("$this->currentAppliCode");
			$result = $this->dbExecObj->exeSql($this->conn, $strSql);
			if (!$result) {
				echo "<Script language=\"JavaScript\">\n";
				echo "alert('データベース検索に失敗しました。')\n";
				echo "</Script>\n";
				exit;
			}
			$this->currentAppliName  = $this->dbExecObj->getResult($result,0,"name");
			$this->currentAppliImage = $this->dbExecObj->getResult($result,0,"gazou");
		}
	}

	//adminか!adminかを、isAdminにセットする。
	function setIsAdmin($isAdmin) {
		$this->isAdmin = $isAdmin;
	}

	//ヘッダを表示する
	function showHeadder()
	{
		global $_ROOT_URL_;

		//今日の日付と曜日をゲットします。
			$this->thisYear = date("Y");
			$this->thisMonth = date("m");
			$this->thisDay = date("d");
			switch(date("w")) 
			{
				case 0:
					$this->weekDay="(<font color=red>日</font>)";
					break;
				case 1:
					$this->weekDay="(月)";
					break;
				case 2:
					$this->weekDay="(火)";
					break;
				case 3:
					$this->weekDay="(水)";
					break;
				case 4:
					$this->weekDay="(木)";
					break;
				case 5:
					$this->weekDay="(金)";
					break;
				case 6:
					$this->weekDay="(<font color=blue>土</font>)";
					break;
				default:
					break;
			}
	//-- 祝日ゲット！
	$tempDateHoliday = $this->thisYear . "/" . $this->thisMonth . "/" . $this->thisDay;
	$strSql = $this->dbSqlObj->selectHolidayAllWithHDateSortedHDate($tempDateHoliday, $tempDateHoliday);
	$result = $this->dbExecObj->exeSql($this->conn, $strSql);
	if (!$result)
	{
		echo "can't connect to DB";
		exit;
	}

	if ($this->dbExecObj->getNumRows($result) == 0)
	{
		$tmpString = "";
	}
	else
	{
		$tmpString = $this->dbExecObj->getResult($result, 0, "hname");
	}

		//headderを表示します。
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<html lang="ja">
<head>
<META HTTP-EQUIV="Pragma" CONTENT="no-cache">
<META HTTP-EQUIV="Content-Script-Type" CONTENT="text/javascript">
<meta http-equiv="Content-type" content="text/html; charset=Shift_JIS">
<title>La!cooda WIZ__<?php echo htmlSpecialEscape($this->currentAppliName);?></title>
<style type="text/css">
<!--
body { color: #000000; background-color: #ffffff; background-image:   url(<?php echo $_ROOT_URL_ ?>images/bg.gif); background-repeat:no-repeat}
a.usually:link { color: #0000ff}
a.usually:visited { color: #0000ff}
a.usually:active { color: #ff0000}
a.usually:hover { color: #ff0000}
-->
</style>
<link rel="stylesheet" href="<?php echo $_ROOT_URL_ ?>css/text.css" type="text/css">
<link rel="stylesheet" href="<?php echo $_ROOT_URL_ ?>css/bgcolor.css" type="text/css">
</head>
<body leftmargin="0" topmargin="0" marginwidth="0" marginheight="0" text="#000000" link="#0000FF" vlink="#9900FF" alink="#FF0000">
<table width="960" border="0" cellspacing="0" cellpadding="0" height="100%">
  <tr>
    <td valign="top"> 
<!-- メニューのtable -->
      <table width="160" border="0" cellspacing="0" cellpadding="0">
	    <tr> 
          <td valign="top" colspan="2">
			<a href="<?php echo $_ROOT_URL_ ?>index.php"><img src="<?php echo $_ROOT_URL_ ?>images/logo.gif" width="160" height="51" alt="La!cooda WIZ <?php echo $this->versionNo ?>" border="0"></a></td>
        </tr>
        <tr> 
          <td colspan="2"><img src="<?php echo $_ROOT_URL_ ?>images/yellow.gif" width="160" height="12" alt=""></td>
        </tr>
<!--こっから、forでまわしていく予定-->
<?
	$strSql = $this->dbSqlObj->selectMst_Menu_CategorySortedMenu_Category_Order();
	$menuCategoryResult = $this->dbExecObj->exeSql($this->conn, $strSql);
	if (!$menuCategoryResult) 
	{
		echo "メニューカテゴリ情報の一覧を取得できません。<BR>\n";
		exit;
	}

	$menuCategoryCount = $this->dbExecObj->getNumRows($menuCategoryResult);
	$i = 0;
	for ($i = 0; $i < $menuCategoryCount; $i++)
	{
		$menuCategoryImage = $this->dbExecObj->getResult($menuCategoryResult,$i,"menu_category_image");
		$menuCategoryName = $this->dbExecObj->getResult($menuCategoryResult,$i,"menu_category_name");
		$menuCategoryId = $this->dbExecObj->getResult($menuCategoryResult,$i,"menu_category_id");

		$strSql = $this->dbSqlObj->selectAppconfWithMenu_Category_IdEnableTSortedSort_Order($menuCategoryId);
		$appConfResult = $this->dbExecObj->exeSql($this->conn, $strSql);
		if (!$appConfResult) 
		{
			echo "メニューカテゴリ情報の一覧を取得できません。<BR>\n";
			exit;
		}

		$appConfCount = $this->dbExecObj->getNumRows($appConfResult);

		if (0 < $appConfCount)
		{
			$appConfName  = $this->dbExecObj->getResult($appConfResult, 0, "name");
			$appConfLink  = $this->dbExecObj->getResult($appConfResult, 0, "link");
			$appConfgazou = $this->dbExecObj->getResult($appConfResult, 0, "gazou");

			//メニューにぶらさがる機能が１個あった場合でも、それが
			//index.php もしくは、 設定だった場合
			if (!($appConfCount == 1 && ($appConfLink == "index.php" || $appConfLink == "confmenu.php")))
			{
?>
        <tr>
          <td colspan="2"><img src="<?php echo $_ROOT_URL_ ?>images/<?echo $menuCategoryImage?>" width="160" height="20" alt="<?echo htmlSpecialEscape($menuCategoryName)?>"></td>
        </tr>
        <tr>
          <td valign="top"><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="7" height="1" alt=""></td>
          <td>
<?
				for ($j = 0; $j < $appConfCount; $j++)
				{
					$appConfName  = $this->dbExecObj->getResult($appConfResult,$j,"name");
					$appConfLink  = $this->dbExecObj->getResult($appConfResult,$j,"link");
					$appConfCode  = $this->dbExecObj->getResult($appConfResult,$j,"gwap");
					$appConfgazou = $this->dbExecObj->getResult($appConfResult,$j,"gazou");

					if ($appConfCode != "home")
					{
						if ($appConfCode != "conf")
						{
							if ($appConfCode == $this->currentAppliCode)
							{
?>
            <span class="fWhite10150"><b>●<?php echo htmlSpecialEscape($appConfName)?></b></span><br>
<?
							}
							else
							{
?>
            <a href="<?php echo $_ROOT_URL_ ?><?php echo $appConfLink?>" class="fWhite10150"><?php echo htmlSpecialEscape($appConfName)?></a><br>
<?
							}
						}
						elseif ($this->isAdmin)
						{
							if ($appConfCode == $this->currentAppliCode)
							{
?>
            <span class="fWhite10150"><b>●<?php echo htmlSpecialEscape($appConfName)?></b></span><br>
<?
							}
							else
							{
?>
            <a href="<?php echo $_ROOT_URL_ ?><?php echo $appConfLink?>" class="fWhite10150"><?php echo htmlSpecialEscape($appConfName)?></a><br>
<?
							}
						}
					}
				}
?>
          </td>
        </tr>
        <tr>
          <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="3" alt=""></td>
          <td></td>
        </tr>
<?
			}
		}
	}
?>
      </table>
    </td>
<!-- メニューのtableここまで -->
<!-- ここから機能のヘッダが開始 -->
    <td valign="top"> 
        <table width="780" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td colspan="2" rowspan="2" valign="top">
              <img src="<?php echo $_ROOT_URL_ ?>images/<?php echo $this->currentAppliImage?>" height="51" border="0" alt="<?php echo $this->currentAppliName?>">
            </td>
            <td valign="top"> 
                <div align="right"><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="15" alt=""></div>
            </td>
          </tr>
          <tr> 
            <td valign="bottom"> 
              <table width="380" border="0" cellspacing="0" cellpadding="0" align="right">
                <tr> 
                  <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="1" alt=""></td>
                  <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="179" height="1" alt=""></td>
                  <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="180" height="1" alt=""></td>
                </tr>
                <tr> 
                  <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="30" alt=""></td>
<?php
	if ($this->currentAppliCode != "home")
	{
?>
                  <td valign="middle"> 
                    <div align="right"><a href="<?php echo $_ROOT_URL_ ?>index.php"><img src="<?php echo $_ROOT_URL_ ?>images/home_bot.gif" width="83" height="27" border="0" alt="HOMEへ"></a></div>
<?
	}
	else
	{
?>
                  <td width="83"><br>
<?
	}
?>
                  </td>
                  <td valign="bottom"> 
                    <div align="right"> <span class="fBlack10150">
                      <b>
                      <?php echo $this->thisYear . "/" . $this->thisMonth . "/" . $this->thisDay . " " . $this->weekDay;?></span>
<?
	if ($tmpString)
	{
?>
	&nbsp;<span class="fRed10150"><?echo htmlSpecialEscape($tmpString)?></span>
<?
	}
?>
                      <br>
                      <span class="fBlack10120"><?php echo htmlSpecialEscape($this->empName);?>さん</span>
                      </b>
                      </div>
                  </td>
                </tr>
              </table>
            </td>
          </tr>
          <tr> 
            <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="10" alt=""></td>
            <td></td>
            <td></td>
          </tr>
          <tr>
            <td></td>
			<td colspan="2" valign="top">
<?php
}


function showFooter()
{
	global $_ROOT_URL_;
?>
              </td>
            </tr>

            <tr> 
              <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="10" alt=""></td>
              <td></td>
              <td></td>
            </tr>

            <tr>
              <td colspan="3" width="780">
                <table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="20"><br></td>
                    <td nowrap width="487">
                      <span class="fBlack10100">Copyright (C) 2001-2005 </span><a href="http://www.syscon.co.jp"><span class="fBlack10100">System Consultants Co.,Ltd.</span></a><span class="fBlack10100"> All Rights Reserved.</span>
<?php
	if(!$this->isSysconOnly) {
?>
                      <br>
                      <span class="fBlack10100">Copyright (C) 1999-2000 </span><a href="http://www.tms-px.co.jp"><span class="fBlack10100">Top Management Service, inc.</span></a><span class="fBlack10100"> All Rights Reserved.</span>
<?
	}
?>
                    </td>
                    <td width="273" align="right">
                      <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td valign="middle" align="right"> 
<?php
	if($this->currentAppliCode != "home") {
?>
                            <div align="right"><a href="<?php echo $_ROOT_URL_ ?>index.php"><img src="<?php echo $_ROOT_URL_ ?>images/home_bot.gif" width="83" height="27" border="0" alt="HOMEへ"></a></div>
<?php
	} else {
?>
                            <div align="right"></div>
<?php
	}
?>
                          </td>
                          <td width="17"><br></td>
                          <td valign="bottom"> 
                            <div align="right"><img src="<?php echo $_ROOT_URL_ ?>images/logo_under.gif" width="173" height="22" alt="La!cooda WIZ"></div>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <tr> 
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="20" height="1" alt=""></td>
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/gray_pic.gif" width="380" height="1" alt=""></td>
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/gray_pic.gif" width="380" height="1" alt=""></td>
            </tr>
  
            <tr> 
              <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="20" alt=""></td>
              <td></td>
              <td></td>
            </tr>
          </table>
        </td>
        <td valign="bottom"> <img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="20" height="1" alt=""></td>
      </tr>
    </table>
  </body>
</html>
<?
	}

	function showConfFooter()
	{
		global $_ROOT_URL_;
?>
                <table border="0" cellspacing="0" cellpadding="2" align="center">
                  <tr> 
                    <td valign="top"> <span class="fBlack10100"><a href="<?php echo $_ROOT_URL_ ?>confmenu.php"><img src="<?php echo $_ROOT_URL_ ?>images/triangle_l3.gif" width="30" height="30" border="0"></a></span></td>
                    <td><span class="fBlack10100"><a href="<?php echo $_ROOT_URL_ ?>confmenu.php" class="usually">設定Menu</a></span></td>
                  </tr>
                </table>
              </td>
            </tr>

            <tr> 
              <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="10" alt=""></td>
              <td></td>
              <td></td>
            </tr>

            <tr>
              <td colspan="3" width="780" valign="bottom">
                <table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="20"><br></td>
                    <td valign="bottom" width="487">
                      <span class="fBlack10100">Copyright (C) 2001-2005 </span><a href="http://www.syscon.co.jp"><span class="fBlack10100">System Consultants Co.,Ltd.</span></a><span class="fBlack10100"> All Rights Reserved.</span>
<?php
	if(!$this->isSysconOnly) {
?>
                      <br>
                      <span class="fBlack10100">Copyright (C) 1999-2000 </span><a href="http://www.tms-px.co.jp"><span class="fBlack10100">Top Management Service, inc.</span></a><span class="fBlack10100"> All Rights Reserved.</span>
<?
	}
?>
                    </td>
                    <td width="273" align="right">
                      <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td valign="bottom" align="right"> 
<?php
	if ($this->currentAppliCode != "home")
	{
?>
                            <div align="right"><a href="<?php echo $_ROOT_URL_ ?>index.php"><img src="<?php echo $_ROOT_URL_ ?>images/home_bot.gif" width="83" height="27" border="0" alt="HOMEへ"></a></div>
<?php
	}
	else
	{
?>
                            <div align="right"></div>
<?php
	}
?>
                          </td>
                          <td width="17"><br></td>
                          <td valign="bottom"> 
                            <div align="right"><img src="<?php echo $_ROOT_URL_ ?>images/logo_under.gif" width="173" height="22" alt="La!cooda WIZ"></div>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <tr> 
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="20" height="1" alt=""></td>
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/gray_pic.gif" width="380" height="1" alt=""></td>
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/gray_pic.gif" width="380" height="1" alt=""></td>
            </tr>
  
            <tr> 
              <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="20" alt=""></td>
              <td></td>
              <td></td>
            </tr>
          </table>
        </td>
        <td valign="bottom"> <img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="20" height="1" alt=""></td>
      </tr>
    </table>
  </body>
</html>
<?
	}

	function showWorkFlowFooter()
	{
		global $_ROOT_URL_;
?>
                <table border="0" cellspacing="0" cellpadding="2" align="center">
                  <tr> 
                    <td>　</td>
                    <td colspan="2" align="center"><a href="Javascript:history.back();"><img src="images/back_bot.gif" width="83" height="27" border="0" alt="BACK"></a></td>
                  </tr>
                </table>
              </td>
            </tr>

            <tr> 
              <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="10" alt=""></td>
              <td></td>
              <td></td>
            </tr>

            <tr>
              <td colspan="3" width="780" valign="bottom">
                <table border="0" cellspacing="0" cellpadding="0">
                  <tr>
                    <td width="20"><br></td>
                    <td valign="bottom" width="487">
                      <span class="fBlack10100">Copyright (C) 2001-2005 </span><a href="http://www.syscon.co.jp"><span class="fBlack10100">System Consultants Co.,Ltd.</span></a><span class="fBlack10100"> All Rights Reserved.</span>
<?php
	if(!$this->isSysconOnly) {
?>
                      <br>
                      <span class="fBlack10100">Copyright (C) 1999-2000 </span><a href="http://www.tms-px.co.jp"><span class="fBlack10100">Top Management Service, inc.</span></a><span class="fBlack10100"> All Rights Reserved.</span>
<?
	}
?>
                    </td>
                    <td width="273" align="right">
                      <table border="0" cellspacing="0" cellpadding="0">
                        <tr>
                          <td valign="bottom" align="right"> 
<?php
	if ($this->currentAppliCode != "home")
	{
?>
                            <div align="right"><a href="<?php echo $_ROOT_URL_ ?>index.php"><img src="<?php echo $_ROOT_URL_ ?>images/home_bot.gif" width="83" height="27" border="0" alt="HOMEへ"></a></div>
<?php
	}
	else
	{
?>
                            <div align="right"></div>
<?php
	}
?>
                          </td>
                          <td width="17"><br></td>
                          <td valign="bottom"> 
                            <div align="right"><img src="<?php echo $_ROOT_URL_ ?>images/logo_under.gif" width="173" height="22" alt="La!cooda WIZ"></div>
                          </td>
                        </tr>
                      </table>
                    </td>
                  </tr>
                </table>
              </td>
            </tr>
            <tr> 
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="20" height="1" alt=""></td>
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/gray_pic.gif" width="380" height="1" alt=""></td>
              <td valign="top"> <img src="<?php echo $_ROOT_URL_ ?>images/gray_pic.gif" width="380" height="1" alt=""></td>
            </tr>
  
            <tr> 
              <td><img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="1" height="20" alt=""></td>
              <td></td>
              <td></td>
            </tr>
          </table>
        </td>
        <td valign="bottom"> <img src="<?php echo $_ROOT_URL_ ?>images/spazio.gif" width="20" height="1" alt=""></td>
      </tr>
    </table>
  </body>
</html>
<?
	}

}
?>
