<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: scheduleinfo.php 1267 2005-05-23 01:20:24Z admin $
//

/**
 * スケジュール情報クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



class ScheduleInfo
{
	// PHPLib Session用
	var $classname = "ScheduleInfo";
	var $persistent_slots = array("startDate",
								"endDate",
								"startTime",
								"endTime",
								"plan",
								"place",
								"remark",
								"public",
								"outdoor",
								"schedule_cd");

	var	$startDate;			// 開始日
	var $endDate;			// 終了日
	var $startTime;			// 開始時刻
	var $endTime;			// 終了時刻
	var	$plan;				// 予定
	var $place;				// 場所
	var $remark;			// 備考
	var $public;			// 公開／非公開
	var $outdoor;			// 社外／社内
	var $schedule_cd;		// スケジュールコード
	var $schedule_date_cd;		// スケジュール日付コード


	// コンストラクタ
	function ScheduleInfo()
	{
	}

	// startDateの取得
	function getStartDate()
	{
		return $this->startDate;
	}

	// startDateの設定
	function setStartDate($startDate)
	{
		$this->startDate = $startDate;
	}

	// endDateの取得
	function getEndDate()
	{
		return $this->endDate;
	}

	// endDateの設定
	function setEndDate($endDate)
	{
		$this->endDate = $endDate;
	}

	// startTimeの取得
	function getStartTime()
	{
		return $this->startTime;
	}

	// startTimeの設定
	function setStartTime($startTime)
	{
		if ($startTime != "")
		{
			$this->startTime = ereg_replace(":00$", "", $startTime);
		}
		else
		{
			$this->startTime = "";
		}
	}

	// endTimeの取得
	function getEndTime()
	{
		return $this->endTime;
	}

	// endTimeの設定
	function setEndTime($endTime)
	{
		if ($endTime != "")
		{
			$this->endTime = ereg_replace(":00$", "", $endTime);
		}
		else
		{
			$this->endTime = "";
		}
	}

	// planの取得
	function getPlan()
	{
		return $this->plan;
	}

	// planの設定
	function setPlan($plan)
	{
		$this->plan = $plan;
	}

	// placeの取得
	function getPlace()
	{
		return $this->place;
	}

	// placeの設定
	function setPlace($place)
	{
		$this->place = $place;
	}

	// remarkの取得
	function getRemark()
	{
		return $this->remark;
	}

	// remarkの設定
	function setRemark($remark)
	{
		$this->remark = $remark;
	}

	// publicの取得
	function isPublic()
	{
		return $this->public;
	}

	// publicの設定
	function setPublic($public)
	{
		$this->public = $public;
	}

	// outdoorの取得
	function isOutdoor()
	{
		return $this->outdoor;
	}

	// outdoorの設定
	function setOutdoor($outdoor)
	{
		$this->outdoor = $outdoor;
	}

	// schedule_cdの取得
	function getSchedule_cd()
	{
		return $this->schedule_cd;
	}

	// schedule_cdの設定
	function setSchedule_cd($schedule_cd)
	{
		$this->schedule_cd = $schedule_cd;
	}

	// schedule_date_cdの取得
	function getSchedule_date_cd()
	{
		return $this->schedule_date_cd;
	}

	// schedule_date_cdの設定
	function setSchedule_date_cd($schedule_date_cd)
	{
		$this->schedule_date_cd = $schedule_date_cd;
	}
}

?>
