<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: scheduleinfoowner.php 1267 2005-05-23 01:20:24Z admin $
//

/**
 * スケジュール情報クラスの処理クラス
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 */



include("./include/serial.func");

class ScheduleInfoOwner
{
	// PHPLib Session用
	var $classname = "ScheduleInfoOwner";
	var $persistent_slots = array("scheduleInfoArray",
								"emp_cd",
								"division",
								"startDate",
								"endDate",
								"phpAuthUser",
								"admin",
								"schedule_cd",
								"scheduleInfo");

	var	$scheduleInfoArray;			// スケジュール情報の配列
//	var $execSql;					// ExecSqlクラス
	var $emp_cd;					// 社員番号
	var $division;					// 部門
	var $startDate;					// 開始日
	var $endDate;					// 終了日
	var $phpAuthUser;				// 本人
	var $admin;						// 管理者かどうか

	var $schedule_cd;				// スケジュールコード(Update用)

	var $scheduleInfo;				// INSERT、UPDATE、DELETE用スケジュール情報


	// コンストラクタ
	function ScheduleInfoOwner()
	{
		$this->execSql = new ExecSql();
		$this->scheduleInfoArray = array();
	}

	// scheduleInfoArrayの取得
	function getScheduleInfoArray()
	{
		return $this->scheduleInfoArray;
	}

	// scheduleInfoの設定
	function setScheduleInfo($scheduleInfo)
	{
		$this->scheduleInfo = $scheduleInfo;
	}

	// emp_cdの設定
	function setEmp_cd($emp_cd)
	{
		$this->emp_cd = $emp_cd;
	}

	// emp_cdの取得
	function getEmp_cd()
	{
		return $this->emp_cd;
	}

	// divisionの取得
	function getDivision()
	{
		return $this->division;
	}

	// divisionの設定
	function setDivision($division)
	{
		$this->division = $division;
	}

	// startDateの取得
	function getStartDate()
	{
		return $this->startDate;
	}

	// startDateの設定
	function setStartDate($startDate)
	{
		$this->startDate = $startDate;
	}

	// endDateの取得
	function getEndDate()
	{
		return $this->endDate;
	}

	// endDateの設定
	function setEndDate($endDate)
	{
		$this->endDate = $endDate;
	}

	// phpAuthUserの取得
	function getPhpAuthUser()
	{
		return $this->phpAuthUser;
	}

	// phpAuthUserの設定
	function setPhpAuthUser($phpAuthUser)
	{
		$this->phpAuthUser = $phpAuthUser;
	}

	// adminの取得
	function isAdmin()
	{
		return $this->admin;
	}

	// adminの設定
	function setAdmin($admin)
	{
		$this->admin = $admin;
	}

	// schedule_cdの取得
	function getSchedule_cd()
	{
		return $this->schedule_cd;
	}

	// schedule_cdの設定
	function setSchedule_cd($schedule_cd)
	{
		$this->schedule_cd = $schedule_cd;
	}


	// InsertSQLの実行
	function doInsertQuery($conn, $dbSqlObj, $dbExecObj)
	{
//		$sqlStr = "INSERT INTO schedule2(emp_cd,scdl_s_date,scdl_e_date,scdl_s_time,scdl_e_time,scdl_plan,scdl_place,scdl_remarks,flg_del,flg_pub,schedule_cd) VALUES(";
//		$sqlStr .= "'" . $this->getEmp_cd() . "'";
//
//		$sqlStr .= ",'" . $this->scheduleInfo->getStartDate() . "'";
//
//		if ($this->scheduleInfo->getEndDate() == "" || $this->scheduleInfo->getStartDate() == $this->scheduleInfo->getEndDate())
//		{
//			$sqlStr .= ",NULL";
//		}
//		else
//		{
//			$sqlStr .= ",'" . $this->scheduleInfo->getEndDate() . "'";
//		}
//
//		if ($this->scheduleInfo->getStartTime() == "")
//		{
//			$sqlStr .= ",NULL";
//		}
//		else
//		{
//			$sqlStr .= ",'" . $this->scheduleInfo->getStartTime() . "'";
//		}
//
//		if ($this->scheduleInfo->getEndTime() == "")
//		{
//			$sqlStr .= ",NULL";
//		}
//		else
//		{
//			$sqlStr .= ",'" . $this->scheduleInfo->getEndTime() . "'";
//		}
//
//		$sqlStr .= ",'" . $this->scheduleInfo->getPlan() . "'";
//		$sqlStr .= ",'" . $this->scheduleInfo->getPlace() . "'";
//		$sqlStr .= ",'" . $this->scheduleInfo->getRemark() . "'";
//		$sqlStr .= ",'f'";
//		$sqlStr .= ",'" . $this->scheduleInfo->isPublic() . "'";
//		$sqlStr .= ",'" . $this->scheduleInfo->isOutdoor() . "'";
//
//		// 連番の取得
//		$schedule_cd = getSerialCode("schedule_cd");
//		$sqlStr .= "," . $schedule_cd . ")";
//
//		$this->execSql->doExecSql($conn, $sqlStr);

		// $schedule_cd連番の取得
		$schedule_cd = getSerialCode("schedule_cd", $conn, $dbSqlObj, $dbExecObj);

		$sqlStr = $dbSqlObj->insertScheduleInfo($this->getEmp_cd(),
												$this->scheduleInfo->getStartDate(),
												$this->scheduleInfo->getEndDate(),
												$this->scheduleInfo->getStartTime(),
												$this->scheduleInfo->getEndTime(),
												$this->scheduleInfo->getPlan(),
												$this->scheduleInfo->getPlace(),
												$this->scheduleInfo->getRemark(),
												$this->scheduleInfo->isPublic(),
												$this->scheduleInfo->isOutdoor(),
												$schedule_cd);

		$dbExecObj->exeSql($conn, $sqlStr);
	}


	// SelectSQLの実行
	function doSelectQuery($conn, $dbSqlObj, $dbExecObj)
	{
//		// 本人
//		$sqlStr = "SELECT schedule2.emp_cd,schedule2.scdl_s_date,schedule2.scdl_e_date,schedule2.scdl_s_time,schedule2.scdl_e_time,schedule2.scdl_plan,schedule2.scdl_place,schedule2.scdl_remarks,schedule2.flg_pub,schedule2.schedule_cd FROM schedule2";
//		$sqlStr .= " WHERE schedule2.emp_cd = '" . $this->getPhpAuthUser() . "'";
//
//		$sqlPrerequisiteStr = " AND (('" . $this->getStartDate() . "' <= schedule2.scdl_s_date AND schedule2.scdl_s_date <= '" . $this->getEndDate() . "')";
//		$sqlPrerequisiteStr .= " OR ('" . $this->getStartDate() . "' <= schedule2.scdl_e_date AND schedule2.scdl_e_date <= '" . $this->getEndDate() . "')";
//		$sqlPrerequisiteStr .= " OR ('" . $this->getStartDate() . "' > schedule2.scdl_s_date AND schedule2.scdl_e_date > '" . $this->getEndDate() . "'))";
//
//		$sqlOrderStr = " ORDER BY schedule2.scdl_s_date,schedule2.scdl_e_date,schedule2.scdl_s_time,schedule2.scdl_e_time";
//
//		$this->execSql->doExecSql($conn, $sqlStr . $sqlPrerequisiteStr . $sqlOrderStr);
//		$this->convertResult2ScheduleInfo();

		$sqlStr = $dbSqlObj->selectScheduleInfoAuthUser($this->getPhpAuthUser(), $this->getStartDate(), $this->getEndDate());
		$result = $dbExecObj->exeSql($conn, $sqlStr);

		// ScheduleInfoへのコンバート
		$this->convertResult2ScheduleInfo($dbExecObj, $result);

		// 他グループ
		if ($this->getDivision() != "")
		{
//			$sqlStr = "SELECT schedule2.emp_cd,schedule2.scdl_s_date,schedule2.scdl_e_date,schedule2.scdl_s_time,schedule2.scdl_e_time,schedule2.scdl_plan,schedule2.scdl_place,schedule2.scdl_remarks,schedule2.flg_pub,schedule2.schedule_cd ";
//
//			if ($this->getDivision() == "all")
//			{
//				$sqlStr .= "FROM schedule2,(SELECT emp_cd,sort_no FROM employee) as div_emp_cd";
//			}
//			else
//			{
//				$sqlStr .= "FROM schedule2,(SELECT emp_cd,sort_no FROM employee WHERE division = '" . $this->getDivision() . "') as div_emp_cd";
//			}
//
//			$sqlPrerequisiteStr = " WHERE schedule2.emp_cd = div_emp_cd.emp_cd AND NOT schedule2.emp_cd = '" . $this->getPhpAuthUser() . "'" . $sqlPrerequisiteStr;
//
//			if ($this->isAdmin() != True)
//			{
//				$sqlPrerequisiteStr .= " AND schedule2.flg_pub = 't'";
//			}
//
//			$sqlOrderStr = " ORDER BY div_emp_cd.sort_no,schedule2.scdl_s_date,schedule2.scdl_e_date,schedule2.scdl_s_time,schedule2.scdl_e_time";
//
//			$this->execSql->doExecSql($conn, $sqlStr . $sqlPrerequisiteStr . $sqlOrderStr);
//			$this->convertResult2ScheduleInfo();

			$sqlStr = $dbSqlObj->selectScheduleInfoDivision($this->getPhpAuthUser(),
															$this->getStartDate(),
															$this->getEndDate(),
															$this->getDivision(),
															$this->isAdmin());

			$result = $dbExecObj->exeSql($conn, $sqlStr);

			// ScheduleInfoへのコンバート
			$this->convertResult2ScheduleInfo($dbExecObj, $result);
		}
	}


	// UpdateSQLの実行
	function doUpdateQuery($conn, $dbSqlObj, $dbExecObj)
	{
//		$sqlStr = "UPDATE schedule2 SET scdl_s_date = '" . $this->scheduleInfo->getStartDate() . "'";
//
//		$sqlStr .= ",scdl_e_date = ";
//		if ($this->scheduleInfo->getEndDate() == "")
//		{
//			$sqlStr .= "NULL";
//		}
//		else
//		{
//			$sqlStr .= "'" . $this->scheduleInfo->getEndDate() . "'";
//		}
//
//		$sqlStr .= ",scdl_s_time = ";
//		if ($this->scheduleInfo->getStartTime() == "")
//		{
//			$sqlStr .= "NULL";
//		}
//		else
//		{
//			$sqlStr .= "'" . $this->scheduleInfo->getStartTime() . "'";
//		}
//
//		$sqlStr .= ",scdl_e_time = ";
//		if ($this->scheduleInfo->getEndTime() == "")
//		{
//			$sqlStr .= "NULL";
//		}
//		else
//		{
//			$sqlStr .= "'" . $this->scheduleInfo->getEndTime() . "'";
//		}
//
//		$sqlStr .= ",scdl_plan = '" . $this->scheduleInfo->getPlan() . "'";
//		$sqlStr .= ",scdl_place = '" . $this->scheduleInfo->getPlace() . "'";
//		$sqlStr .= ",scdl_remarks = '" . $this->scheduleInfo->getRemark() . "'";
//		$sqlStr .= ",flg_del = 'f'";
//		$sqlStr .= ",flg_pub = '" . $this->scheduleInfo->isPublic() . "'";
//		$sqlStr .= ",flg_out = '" . $this->scheduleInfo->isOutdoor() . "'";
//
//		$sqlStr .= " WHERE emp_cd = '" . $this->getEmp_cd() . "' AND schedule_cd = " . $this->getSchedule_cd() . ";";
//
//		$this->execSql->doExecSql($conn, $sqlStr);

		$sqlStr = $dbSqlObj->updateScheduleInfo($this->scheduleInfo->getStartDate(),
												$this->scheduleInfo->getEndDate(),
												$this->scheduleInfo->getStartTime(),
												$this->scheduleInfo->getEndTime(),
												$this->scheduleInfo->getPlan(),
												$this->scheduleInfo->getPlace(),
												$this->scheduleInfo->getRemark(),
												$this->scheduleInfo->isPublic(),
												$this->scheduleInfo->isOutdoor(),
												$this->getEmp_cd(),
												$this->getSchedule_cd());

		$dbExecObj->exeSql($conn, $sqlStr);
	}


	// DeleteSQLの実行
	function doDeleteQuery($conn, $dbSqlObj, $dbExecObj)
	{
//		$sqlStr = "DELETE FROM schedule2";
//		$sqlStr .= " WHERE emp_cd = '" . $this->getEmp_cd() . "' AND schedule_cd = " . $this->getSchedule_cd() . ";";
//
//		$this->execSql->doExecSql($conn, $sqlStr);

		$sqlStr = $dbSqlObj->deleteScheduleInfo($this->getEmp_cd(), $this->getSchedule_cd());

		$dbExecObj->exeSql($conn, $sqlStr);
	}


	// resultをScheduleInfoにコンバート
	function convertResult2ScheduleInfo($dbExecObj, $result)
	{
		$scheduleInfoArray = array();

		$numrows = $dbExecObj->getNumRows($result);

		for ($i = 0; $i < $numrows; $i++)
		{
			$scheduleInfo = new ScheduleInfo();
			$scheduleInfo->setStartDate($dbExecObj->getResult($result, $i, "scdl_s_date"));
			$scheduleInfo->setEndDate($dbExecObj->getResult($result, $i, "scdl_e_date"));
			$scheduleInfo->setStartTime($dbExecObj->getResult($result, $i, "scdl_s_time"));
			$scheduleInfo->setEndTime($dbExecObj->getResult($result, $i, "scdl_e_time"));
			$scheduleInfo->setPlan($dbExecObj->getResult($result, $i, "scdl_plan"));
			$scheduleInfo->setPlace($dbExecObj->getResult($result, $i, "scdl_place"));
			$scheduleInfo->setRemark($dbExecObj->getResult($result, $i, "scdl_remarks"));
			$scheduleInfo->setPublic($dbExecObj->getResult($result, $i, "flg_pub"));
			$scheduleInfo->setOutdoor($dbExecObj->getResult($result, $i, "flg_out"));
			$scheduleInfo->setSchedule_cd($dbExecObj->getResult($result, $i, "schedule_cd"));
			$scheduleInfo->setSchedule_date_cd($dbExecObj->getResult($result, $i, "schedule_date_cd"));

			$scheduleInfoArray = $this->scheduleInfoArray;
			$scheduleInfoArray[$dbExecObj->getResult($result, $i, "emp_cd")][] = $scheduleInfo;
			$this->scheduleInfoArray = $scheduleInfoArray;
		}
	}

}
?>