<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: passwd.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * パスワード変更
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author maiko MIKAMI <m-mikami@syscon.co.jp>
 */

// 変数
$sub = $_POST["sub"];
$emp_cd = $_POST["emp_cd"];
$changeTarget = $_POST["changeTarget"];
$new_pass = $_POST["new_pass"];
$confirm = $_POST["confirm"];
$mobilePassword = $_POST["mobilePassword"];
$mobilePasswordConfirm = $_POST["mobilePasswordConfirm"];
$trans_id = $_POST["trans_id"];


include("gw.php");
include("include/dbChange.php");
$conn = $dbConnectObj->openConnect();
if (!$conn) {
	echo "<B>データベース接続に失敗しました。</B><BR>\n";
	exit;
}

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include ("include/accept.conf");

//-- ケータイ対応のためのクラスを使います。
if(strtoupper($useMobile) == "TRUE")
{
	require_once("./class/keitaiSqlForPc.php");
	require_once("./class/keitaiViewForPc.php");
	require_once("./class/keitaiRoutineForPc.php");
	$keitaiSqlObj     = new keitaiSqlForPc();
	$keitaiViewObj    = new keitaiViewForPc();
	$keitaiRoutineObj = new keitaiRoutineForPc();
}

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);
$menuShowObj->setEmpName($empName);
$menuShowObj->setCurrentAppli("passwd");
$menuShowObj->setIsAdmin($isAdmin);
$menuShowObj->showHeadder();

include ("include/passchk.func");
include ("include/transactions.func");
include ("include/createlog.conf");

if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj))
{
	unset($sub);
}
?>

<FORM  action="passwd.php" method="POST" >
<TABLE>
<?
$strSql = $dbSqlObj->selectAdministratorsCountOfAllWithEmpCd($_SERVER["PHP_AUTH_USER"]);
$result = $dbExecObj->exeSql($conn,$strSql);
if (!$result)
{
	error_log("管理者アカウントの判別ができません。",1,$admin,"");
	exit;
}
if ($dbExecObj->getResult($result,0,"count_of_records") != 0) {
?>
	<TR>
	<TD align="left"><span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strPerson"]) ?>：</span></Td>
	<TD><SELECT name="emp_cd" size="1">
<?
	$strSql = $dbSqlObj->selectEmployeeEmpCdNameKindSortedSortNo();
	$result = $dbExecObj->exeSql($conn,$strSql);
	$count = $dbExecObj->getNumRows($result);
	$i = 0;
	while ($i < $count) {
		echo "<OPTION VALUE=\"".htmlSpecialEscape($dbExecObj->getResult($result,$i,"emp_cd"))."\">".htmlSpecialEscape($dbExecObj->getResult($result,$i,"last_name_j")).htmlSpecialEscape($dbExecObj->getResult($result,$i,"first_name_j"))."\n";
		$i++;
	}
?>
	</SELECT></TD></TR>
<?} else {?>

	<INPUT type="hidden" name="emp_cd" value="<?echo htmlSpecialEscape($_SERVER["PHP_AUTH_USER"])?>">
<?}?>

<?php
	if(strtoupper($useMobile) == "TRUE")
	{
		$keitaiViewObj->PcPasswordForPasswd($changeTarget);
	}
?>

<TR align="left">
  <td>
    <span class="fBlack10100">&nbsp;新しいパスワード：</span>
  </td>
  <TD>
    <INPUT type="PASSWORD"  name="new_pass" size="10" maxlength="50">
    <span class="fRed10100">&nbsp;半角英数記号6文字以上</span>
  </TD>
</TR>
<TR>
  <TD align="left"><span class="fBlack10100">&nbsp;確認入力：</span></TD>
  <TD>
    <INPUT type="PASSWORD"  name="confirm" size="10" maxlength="50">
  </TD>
</TR>
<?php
	if(strtoupper($useMobile) == "TRUE")
	{
		$keitaiViewObj->MobilePasswordForPasswd($changeTarget);
	}
	if ($sub != "変更"){
		$fingerprint = get_fingerprint();
		$_SESSION['fingerprint_pwd'] = $fingerprint;
	}
?>

</TABLE>
<input type="hidden" name="fingerprint_pwd" value="<?php echo $fingerprint; ?>">
<input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
<INPUT type="submit" name="sub" value="変更">
<INPUT type="reset" value="クリア">
</FORM>
<?
if ($sub == "変更")
{
	$fingerprint_pwd = $_POST["fingerprint_pwd"];

	if ($fingerprint_pwd != $_SESSION['fingerprint_pwd']){
		echo "不正アクセス！処理を中断します<BR>\n";
		exit;
	}

	if (strtoupper($useMobile) == "TRUE")
	{
		if ($changeTarget == "PC")
		{
			if ($new_pass != $confirm)
			{
				echo "新しいパスワードと確認が一致しません。もう一度入力してください。<BR>\n";
				exit;
			}
			passchk($new_pass, $emp_cd);
			$salt = createTransID(2);
			$crypt_new_pass = crypt($new_pass, $salt);
			$strSql = $dbSqlObj->updateEmployeeEmpPasswordWithEmpCd($crypt_new_pass,$emp_cd);
		}
		else
		{
			if ($mobilePassword != $mobilePasswordConfirm)
			{
				echo "新しいパスワードと確認が一致しません。もう一度入力してください。<BR>\n";
				exit;
			}

			$strSql = $keitaiSqlObj->selectBirthdayWithEmpCd($emp_cd);
			$result = $dbExecObj->exeSql($conn, $strSql);
			if (!$result)
			{
				echo "データベースに異常があります。管理者に連絡してください。<BR>\n";
				exit;
			}
			$bMonth = $dbExecObj->getResult($result,0,"birthMonth");
			$bDay   = $dbExecObj->getResult($result,0,"birthDay");
			if (strlen($bMonth) == 1) $bMonth = "0" . $bMonth;
			if (strlen($bDay) == 1) $bDay = "0" . $bDay;

			$birthDay = $bMonth . $bDay;
			$keitaiRoutineObj->mobilePasschk($mobilePassword, $birthDay);

			$salt = createTransID(2);
			$crypt_new_pass = crypt($mobilePassword, $salt);
			$strSql = $keitaiSqlObj->updateEmployeeEmpPasswordWithEmpCdMobile($crypt_new_pass,$emp_cd);
		}
	}
	else
	{
		if ($new_pass != $confirm)
		{
			echo "新しいパスワードと確認が一致しません。もう一度入力してください。<BR>\n";
			exit;
		}
		passchk($new_pass, $emp_cd);
		$salt = createTransID(2);
		$crypt_new_pass = crypt($new_pass, $salt);
		$strSql = $dbSqlObj->updateEmployeeEmpPasswordWithEmpCd($crypt_new_pass,$emp_cd);
	}

	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		echo "データベースに異常があります。管理者に連絡してください。<BR>\n";
		exit;
	}

	echo "変更しました。<BR>\n";
	writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
}

//デザインマージ後のフッタをインクルードします。
$menuShowObj->showFooter();
?>
