<?php
/**
 * タスク管理機能ビュー
 **/
include_once("../gw.php");
include_once("class/TaskUser.php");
include_once("class/TaskCategory.php");
include_once("class/TaskSubCategory.php");
include_once("class/Task.php");

class TaskManagementSystem 
{
  /**
   *  WIZアプリケーションルートディレクトリ
   */
  var $_ROOT_DIR_;
  /**
   *  WIZアプリケーションルートURL
   */
  var $_ROOT_URL_;
  /**
   *  現在表示されているグループCD
   */
  var $strGroupCd;
  /**
   *  現在表示しているカテゴリCD
   */
  var $strCatCd;
  /**
   *  現在表示しているサブカテゴリCD
   */
  var $strSubCatCd;
  /**
   *  現在表示しているタスクCD
   */
  var $strTaskCd;
  /**
   *  リスト表示用のカテゴリ配列
   */
  var $varCategory = array();
  /**
   *  リスト表示用のサブカテゴリ配列
   */
  var $varSubCategory = array();
  /**
   *  リスト表示用のタスク配列
   */
  var $varTask = array();
  /**
   *  データベース接続オブジェクト
   */
  var $conn;
  /**
   *  データベース操作オブジェクト
   */
  var $dbExecObj;
  /**
   *  SQL生成オブジェクト
   */
  var $dbSqlObj;
  /**
   *  タスク管理用ユーザオブジェクト
   */
  var $objUser;
  /**
   *  検索用グループCD
   */
  var $groupCdSearch;
  /**
   *  検索用ステータスフラグ
   */
  var $statusSearch;
  /**
   *  HTTP：GET配列
   */
  var $varGET;
  /**
   *  HTTP：POST配列
   */
  var $varPOST;
  /**
   * 終了予定日時 ソート用フラグ
   **/
  var $pedateSort;
  /**
   * 優先度 ソート用フラグ
   **/
  var $prioritySort;
  /**
   * 使用ソート用判別フラグ
   **/
  var $sortjob;
  /**
   * タスク表示件数
   **/
  var $intLimit;
  /**
   * タスク表示ページ番号
   **/
  var $intPageNo;
  /**
   * エラーメッセージ用文字
   **/
  var $strError;
  /**
   * 管理者操作用Emp_cd
   **/
  var $manage_emp_cd;
  /**
   * データベースタイプ
   **/
  var $db_type;
  
  /**
   *  コンストラクタ
   */
  function TaskManagementSystem($emp_cd, $conn, $dbSqlObj, $dbExecObj, $db_type) {
    global $_ROOT_DIR_;
    global $_ROOT_URL_;
      
    $this->_ROOT_DIR_ = $_ROOT_DIR_;
    $this->_ROOT_URL_ = $_ROOT_URL_;
    
    $this->conn = $conn;
    $this->dbSqlObj = $dbSqlObj;
    $this->dbExecObj = $dbExecObj;

    $this->db_type = $db_type;

    $this->objUser = new TaskUser($emp_cd, $conn, $dbSqlObj, $dbExecObj);
  }
  function getDbConnection()
  {
    return $this->conn;
  }
  function getSqlObj()
  {
    return $this->dbSqlObj;
  }
  function getExecObj()
  {
    return $this->dbExecObj;
  }
  function setManageEmpCd($manage_emp_cd)
  {
    $this->manage_emp_cd = $manage_emp_cd;
  }
  /**
   * グループコードSetter
   **/
  function setGroupCd($group_cd)
  {
    if(!$group_cd)
    {
      $group_cd = -2;
    }
    $this->strGroupCd = $group_cd;
  }
  /**
   * グループコードGetter
   **/
  function getGroupCd()
  {
    return $this->strGroupCd;
  }
  /**
   * カテゴリコードSetter
   **/
  function setCatCd($category_cd)
  {
    if(!$category_cd)
    {
      $category_cd = -2;
    }

    $this->strCatCd = $category_cd;
  }
  /**
   * カテゴリコードGetter
   **/
  function getCatCd()
  {
    return $this->strCatCd;
  }
  /**
   * サブカテゴリコードSetter
   **/
  function setSubCatCd($subcategory_cd)
  {
    if(!$subcategory_cd)
    {
      $subcategory_cd = -2;
    }

    $this->strSubCatCd = $subcategory_cd;
  }
  /**
   * サブカテゴリコードGetter
   **/
  function getSubCatCd()
  {
    return $this->strSubCatCd;
  }
  /**
   * タスクコードSetter
   **/
  function setTaskCd($strTaskCd)
  {
    if(!$strTaskCd)
    {
      $strTaskCd = -2;
    }

    $this->strTaskCd = $strTaskCd;
  }
  /**
   * タスクコードGetter
   **/
  function getTaskCd()
  {
    return $this->strTaskCd;
  }
  /**
   * 検索用グループコードSetter
   **/
  function setGroupCdSearch($groupCdSearch)
  {
    $this->groupCdSearch = $groupCdSearch;
  }
  /**
   * 検索用グループコードGetter
   **/
  function getGroupCdSearch()
  {
    return $this->groupCdSearch;
  }
  /**
   * 検索用ステータスフラグSetter
   **/
  function setStatusSearch($statusSearch)
  {
    if($statusSearch == "")
    {
      $this->statusSearch = "-2";
    }
    else
    {
      $this->statusSearch = $statusSearch;
    }
  }
  /**
   * 検索用ステータスフラグGetter
   **/
  function getStatusSearch()
  {
    return $this->statusSearch;
  }
  /**
   * 終了予定日時　ソート用フラグSetter
   **/
  function setPlanEndDaySort($pedateSort)
  {
    if(!$pedateSort || $pedateSort == "" )
    {
      $this->pedateSort = "asc";
    }
    else
    {
      $this->pedateSort = $pedateSort;
    }
  }
  /**
   * 優先度　ソート用フラグSetter
   **/
  function setPrioritySort($prioritySort)
  {
    $this->prioritySort = $prioritySort;
  }
  /**
   * 終了予定日時　ソート用フラグGetter
   **/
  function getPlanEndDaySort()
  {
    return $this->pedateSort;
  }
  /**
   * 優先度　ソート用フラグGetter
   **/
  function getPrioritySort()
  {
    return $this->prioritySort;
  }
  /**
   * 使用ソート判別フラグSetter
   **/
  function setSortJob($sortjob)
  {
    if(isset($sortjob))
    {
      $this->sortjob = $sortjob;
    }
    else
    {
      $this->sortjob = "pedate";
    }
  }
  /**
   * 使用ソート判別フラグGetter
   **/
  function getSortJob()
  {
    return $this->sortjob;
  }
  /**
   * タスク表示件数Setter
   **/
  function setLimit($intLimit)
  {
    if(isset($intLimit))
    {
      $this->intLimit = $intLimit;
    }
    else
    {
      $this->intLimit = 10;
    }
  }
  /**
   * タスク表示件数Getter
   **/
  function getLimit()
  {
    return $this->intLimit;
  }
  /**
   * タスク表示ページ番号Setter
   **/
  function setPageNo($intPageNo)
  {
    if(isset($intPageNo))
    {
      $this->intPageNo = $intPageNo;
    }
    else
    {
      $this->intPageNo = 1;
    }
  }
  /**
   * タスク表示ページ番号Getter
   **/
  function getPageNo()
  {
    return $this->intPageNo;
  }
  /**
   *  カテゴリリスト表示用の配列を作成する
   */
  function createCategoryList() {
    $strSql = $this->dbSqlObj->selectCategoryListWithGroupCd($this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }

    for ($i = 0; $i < $this->dbExecObj->getNumRows($result); $i++)
    {
      $tempCatCd = $this->dbExecObj->getResult($result, $i, "category_cd");
      $tempCatName = $this->dbExecObj->getResult($result, $i, "category_name");
      $tempCatDesc = $this->dbExecObj->getResult($result, $i, "description");
      $tempCategoryObj = new TaskCategory($tempCatCd, $tempCatName, $tempCatDesc);
      
      $strSqlFinishedTask = $this->dbSqlObj->countFinishedTaskWithGroupCat($tempCatCd, $this->strGroupCd);
      $resultFinishedTask = $this->dbExecObj->exeSql($this->conn, $strSqlFinishedTask);  
      if (!$resultFinishedTask)
      {
	return false;
      }
      $tempFinishedTaskSum = $this->dbExecObj->getResult($resultFinishedTask, 0, "count_task");

      $strSqlTask = $this->dbSqlObj->countTaskWithGroupCat($tempCatCd, $this->strGroupCd);
      $resultTask = $this->dbExecObj->exeSql($this->conn,$strSqlTask);  
      if (!$resultTask)
      {
	return false;
      }
      $tempTaskSum = $this->dbExecObj->getResult($resultTask, 0, "count_task");
      $tempPlanEndDay = $this->dbExecObj->getResult($resultTask, 0, "max_pendday");
      $tempPlanEndTime = $this->dbExecObj->getResult($resultTask, 0, "max_pendtime");


      $tempCategoryObj->setIntTaskSum($tempTaskSum);
      $tempCategoryObj->setTaskPlanEnd($tempPlanEndDay, $tempPlanEndTime);
      $tempCategoryObj->setIntFinishedTaskSum($tempFinishedTaskSum);
      $this->addCategoryList($tempCategoryObj);
    }
  }
  /**
   *  サブカテゴリリスト表示用の配列を作成する
   */
  function createSubCategoryList() {
    $strSql = $this->dbSqlObj->selectSubCategoryListWithGroupCdCatCd($this->strGroupCd, $this->strCatCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }

    for ($i = 0; $i < $this->dbExecObj->getNumRows($result); $i++)
    {
      $tempSubCatCd = $this->dbExecObj->getResult($result, $i, "sub_category_cd");
      $tempSubCatName = $this->dbExecObj->getResult($result, $i, "sub_category_name");
      $tempSubCatDesc = $this->dbExecObj->getResult($result, $i, "description");
      $tempSubCategoryObj = new TaskSubCategory($tempSubCatCd, $tempSubCatName, $tempSubCatDesc);
      
      $strSqlFinishedTask = $this->dbSqlObj->countFinishedTaskWithGroupCatSubCat($this->strCatCd, $tempSubCatCd, $this->strGroupCd);
      $resultFinishedTask = $this->dbExecObj->exeSql($this->conn, $strSqlFinishedTask);  
      if (!$resultFinishedTask)
      {
	return false;
      }
      $tempFinishedTaskSum = $this->dbExecObj->getResult($resultFinishedTask, 0, "count_task");

      $strSqlTask = $this->dbSqlObj->countTaskWithGroupCatSubCat($this->strCatCd, $tempSubCatCd, $this->strGroupCd);
      $resultTask = $this->dbExecObj->exeSql($this->conn,$strSqlTask);  
      if (!$resultTask)
      {
	return false;
      }
      $tempTaskSum = $this->dbExecObj->getResult($resultTask, 0, "count_task");
      $tempPlanEndDay = $this->dbExecObj->getResult($resultTask, 0, "max_pendday");
      $tempPlanEndTime = $this->dbExecObj->getResult($resultTask, 0, "max_pendtime");

      $tempSubCategoryObj->setIntTaskSum($tempTaskSum);
      $tempSubCategoryObj->setIntFinishedTaskSum($tempFinishedTaskSum);
      $tempSubCategoryObj->setTaskPlanEnd($tempPlanEndDay, $tempPlanEndTime);
      $this->addSubCatList($tempSubCategoryObj);
    }
  }
  /**
   *  タスクリスト表示用の配列を作成する
   */
  function createTaskList() {
    $strSql = $this->dbSqlObj->selectTaskListWithGroupCdCatCdSubcatCd($this->strGroupCd, $this->strCatCd, $this->strSubCatCd, $this->intLimit, $this->intPageNo,$this->statusSearch, $this->pedateSort, $this->prioritySort, $this->sortjob);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }

    for ($i = 0; $i < $this->dbExecObj->getNumRows($result); $i++)
    {
      $tempTaskCd = $this->dbExecObj->getResult($result, $i, "task_cd");
      $tempTaskTitle = $this->dbExecObj->getResult($result, $i, "title");
      $tempDesc = $this->dbExecObj->getResult($result, $i, "description");
      $tempPlanEndYear = $this->dbExecObj->getResult($result, $i, "peyear");
      $tempPlanEndMonth = $this->dbExecObj->getResult($result, $i, "pemonth");
      $tempPlanEndDay = $this->dbExecObj->getResult($result, $i, "peday");
      $tempPlanEndHour = $this->dbExecObj->getResult($result, $i, "pehour");
      $tempPlanEndMinute = $this->dbExecObj->getResult($result, $i, "peminutes");
      $tempStatus = $this->dbExecObj->getResult($result, $i, "status");
      $tempPriorityCd = $this->dbExecObj->getResult($result, $i, "priority_cd");
//      $tempPriorityName = $this->dbExecObj->getResult($result, $i, "priority_name");
      $tempPriorityName = mb_convert_encoding($this->dbExecObj->getResult($result, $i, "priority_name"), "UTF-8", "auto");

      $tempOwnerCd = $this->dbExecObj->getResult($result, $i, "owner_emp_cd");
      $strSqlOwnerName = $this->dbSqlObj->selectEmployeeNameWithEmpCd($tempOwnerCd);
      $resultOwnerName = $this->dbExecObj->exeSql($this->conn,$strSqlOwnerName);  
      if (!$resultOwnerName)
      {
        return false;
      }
      $tempOwnerName = $this->dbExecObj->getResult($resultOwnerName, 0, "name");
      
      $objTempTask = new Task($tempTaskCd, $tempTaskTitle, $tempDesc);
      $objTempTask->setPlanEnd($tempPlanEndYear, $tempPlanEndMonth, $tempPlanEndDay, $tempPlanEndHour, $tempPlanEndMinute);
      $objTempTask->setStatus($tempStatus);
      $objTempTask->setPriority_cd($tempPriorityCd);
      $objTempTask->setPriority_name($tempPriorityName);
      $objTempTask->setOwner_emp_name($tempOwnerName);
      $this->addTaskList($objTempTask);
    }
  }
  /**
   *  個人タスクリスト表示用の配列を作成する
   */
  function createMyTaskList() {
    if($this->objUser->getIsAdmin())
    {
      $strSql = $this->dbSqlObj->selectMyTaskListWithGroupCdCatCdSubcatCd($this->manage_emp_cd, $this->intLimit, $this->intPageNo, $this->groupCdSearch, $this->statusSearch, $this->pedateSort, $this->prioritySort, $this->sortjob);
    }
    else
    {
      $strSql = $this->dbSqlObj->selectMyTaskListWithGroupCdCatCdSubcatCd($this->objUser->getEmpCd(), $this->intLimit, $this->intPageNo, $this->groupCdSearch, $this->statusSearch, $this->pedateSort, $this->prioritySort, $this->sortjob);
    }
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }

    for ($i = 0; $i < $this->dbExecObj->getNumRows($result); $i++)
    {
      $tempTaskCd = $this->dbExecObj->getResult($result, $i, "task_cd");
      $tempTaskTitle = $this->dbExecObj->getResult($result, $i, "title");
      $tempDesc = $this->dbExecObj->getResult($result, $i, "description");
      $tempPlanEndYear = $this->dbExecObj->getResult($result, $i, "peyear");
      $tempPlanEndMonth = $this->dbExecObj->getResult($result, $i, "pemonth");
      $tempPlanEndDay = $this->dbExecObj->getResult($result, $i, "peday");
      $tempPlanEndHour = $this->dbExecObj->getResult($result, $i, "pehour");
      $tempPlanEndMinute = $this->dbExecObj->getResult($result, $i, "peminutes");
      $tempStatus = $this->dbExecObj->getResult($result, $i, "status");
      $tempPriorityCd = $this->dbExecObj->getResult($result, $i, "priority_cd");
//      $tempPriorityName = $this->dbExecObj->getResult($result, $i, "priority_name");
      $tempPriorityName = mb_convert_encoding($this->dbExecObj->getResult($result, $i, "priority_name"), "UTF-8", "auto");
      $tempCatCd = $this->dbExecObj->getResult($result, $i, "category_cd");
      $tempSubCatCd = $this->dbExecObj->getResult($result, $i, "sub_category_cd");
      $tempGroupCd = $this->dbExecObj->getResult($result, $i, "group_cd");

      if($tempGroupCd == "-1")
      {
        $tempGroupName = "個人";
      }
      else
      {
        $strGroupNameSql = $this->dbSqlObj->selectGroupNameWithEmpCd($tempGroupCd);
        $resultGroupName = $this->dbExecObj->exeSql($this->conn, $strGroupNameSql);
        $tempGroupName = $this->dbExecObj->getResult($resultGroupName, 0, "group_name");
      }
      
      $objTempTask = new Task($tempTaskCd, $tempTaskTitle, $tempDesc);
      $objTempTask->setPlanEnd($tempPlanEndYear, $tempPlanEndMonth, $tempPlanEndDay, $tempPlanEndHour, $tempPlanEndMinute);
      $objTempTask->setStatus($tempStatus);
      $objTempTask->setPriority_cd($tempPriorityCd);
      $objTempTask->setPriority_name($tempPriorityName);
      $objTempTask->setCatCd($tempCatCd);
      $objTempTask->setSubCatCd($tempSubCatCd);
      $objTempTask->setGroupCd($tempGroupCd);
      $objTempTask->setGroupName($tempGroupName);
      $this->addTaskList($objTempTask);
    }
  }
  /**
   * グループタスクの総ページ数を返す
   **/
  function getMaxPageNo()
  {
    $strSql = $this->dbSqlObj->selectTaskListPageNo($this->strGroupCd, $this->strCatCd, $this->strSubCatCd, $this->intLimit,$this->statusSearch);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }
    return $this->dbExecObj->getResult($result, 0, "max_page_no");
  }
  /**
   * 個人タスクのページ総数を返す
   **/
  function getMaxMyPageNo()
  {
    if($this->objUser->getIsAdmin())
    {
      $strSql = $this->dbSqlObj->selectMyTaskListPageNo($this->manage_emp_cd, $this->intLimit, $this->groupCdSearch, $this->statusSearch);
    }
    else
    {
      $strSql = $this->dbSqlObj->selectMyTaskListPageNo($this->objUser->getEmpCd(), $this->intLimit, $this->groupCdSearch, $this->statusSearch);
    }
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }
    return $this->dbExecObj->getResult($result, 0, "max_page_no");
  }
  /**
   *  カテゴリリスト配列に新規カテゴリオブジェクトを追加する
   */
  function addCategoryList($objCategory) {
    array_push($this->varCategory, $objCategory);
  }
  /**
   *  サブカテゴリリスト配列に新規サブカテゴリオブジェクトを追加する
   */
  function addSubCatList($objSubCategory) {
    array_push($this->varSubCategory, $objSubCategory);
  }
  /**
   *  タスクリスト配列に新規タスクオブジェクトを追加する
   */
  function addTaskList($objTask) {
    array_push($this->varTask, $objTask);
  }
  /**
   *  カテゴリリスト配列を取得する
   */
  function getCategoryList() {
    return $this->varCategory;
  }
  /**
   *  サブカテゴリリスト配列を取得する
   */
  function getSubCatList() {
    return $this->varSubCategory;
  }
  /**
   *  タスクリスト配列を取得する
   */
  function getTaskList() {
    return $this->varTask;
  }
  /**
   *  タスク管理用ユーザオブジェクトを取得する
   */
  function getUser() {
    return $this->objUser;
  }
  /**
   *  新規カテゴリをデータベースに登録する
   */
  function insertCategoryTable($cat_cd, $cat_name, $cat_desc) {
    $strSql = $this->dbSqlObj->selectCategoryCheckDoubleInsert($cat_name, $cat_desc, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    $countTask = $this->dbExecObj->getResult($result, 0, "check_num");

    if($countTask == 0)
    {
      $strSql = $this->dbSqlObj->insertTaskCategory($cat_cd, $cat_name, $cat_desc, $this->strGroupCd, "f");
      $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
      if (!$result)
      {
	return false;
      }
    }
    return true;
  }
  /**
   *  新規サブカテゴリをデータベースに登録する
   */
  function insertSubCatTable($subcat_cd, $subcat_name, $subcat_desc) {
    $strSql = $this->dbSqlObj->selectSubCatCheckDoubleInsert($this->strCatCd, $subcat_name, $subcat_desc, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    $countTask = $this->dbExecObj->getResult($result, 0, "check_num");

    if($countTask == 0)
    {
      $strSql = $this->dbSqlObj->insertSubCategory($this->strCatCd, $subcat_cd, $subcat_name, $subcat_desc, $this->strGroupCd, "f");
      $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
      if (!$result)
      {
	return false;
      }
    }
    return true;
  }
  /**
   *  新規タスクをデータベースに登録する
   */
  function insertTaskTable($strTaskCd,$strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,
			   $intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg) {

    $strSql = $this->dbSqlObj->selectTaskCheckDoubleInsert($this->strCatCd, $this->strSubCatCd, $this->strGroupCd,$strTaskTitle,$strDesc,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    $countTask = $this->dbExecObj->getResult($result, 0, "check_num");

    if($countTask == 0)
    {
      $strSql = $this->dbSqlObj->insertTask($this->strCatCd, $this->strSubCatCd, $this->strGroupCd, $strTaskCd, $strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg);
      $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
      if (!$result)
      {
	return false;
      }
    }
    return true;
  }
  /**
   *  タスクのステータスを更新する
   *    未着手 -> 着手
   *    着手 -> 完了
   *    完了 -> 完了
   */
  function updateTaskStatus($intStatus) {
    if($intStatus == "1")
    {
      /** 今日の日付取得 **/
      $now_date = getdate();
      $start_date = $now_date["year"] . "-" . $now_date["mon"] . "-" . $now_date["mday"];
      $start_time = $now_date["hours"] . ":" . $now_date["minutes"] . ":" . "00";
      $strSql = $this->dbSqlObj->updateTaskStartDay($this->strCatCd, $this->strSubCatCd, $this->strGroupCd, $this->strTaskCd, $start_date, $start_time);
      $result = $this->dbExecObj->exeSql($this->conn,$strSql);      
      $tempStatus = "2";
    }
    else if($intStatus == "2")
    {
      /** 今日の日付取得 **/
      $now_date = getdate();
      $end_date = $now_date["year"] . "-" . $now_date["mon"] . "-" . $now_date["mday"];
      $end_time = $now_date["hours"] . ":" . $now_date["minutes"] . ":" . "00";
      $strSql = $this->dbSqlObj->updateTaskEndDay($this->strCatCd, $this->strSubCatCd, $this->strGroupCd, $this->strTaskCd, $end_date, $end_time);
      $result = $this->dbExecObj->exeSql($this->conn,$strSql);      
      $tempStatus = "3";
    }
    else if($intStatus == "3")
    {
      $tempStatus = "3";
    }
    $strSql = $this->dbSqlObj->updateTaskStatus($this->strCatCd, $this->strSubCatCd, $this->strGroupCd, $this->strTaskCd, $tempStatus);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);      
    return false;
  }
  /**
   *  カテゴリオブジェクトを取得する
   */
  function getCategoryObj() {
    $strSql = $this->dbSqlObj->selectCategoryWithGroupCdCatCd($this->strCatCd, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    $tempCatCd = $this->dbExecObj->getResult($result, 0, "category_cd");
    $tempCatName = $this->dbExecObj->getResult($result, 0, "category_name");
    $tempCatDesc = $this->dbExecObj->getResult($result, 0, "description");

    return new TaskCategory($tempCatCd, $tempCatName, $tempCatDesc);

  }
  /**
   *  カテゴリ名称を更新する
   */
  function updateCategory($cat_name, $cat_desc) {
    $strSql = $this->dbSqlObj->updateTaskCategory($this->strCatCd, $cat_name, $cat_desc, $this->strGroupCd, "f");
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    return true;
  }
  /**
   *  サブカテゴリ件数を取得する
   */
  function countSubCategory() {
    $strSql = $this->dbSqlObj->countSubCategory($this->strCatCd, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    return $this->dbExecObj->getResult($result, 0, "num_sub_cat");
  }
  /**
   *  サブカテゴリオブジェクトを取得する
   */
  function getSubCategoryObj() {
    $strSql = $this->dbSqlObj->selectSubCategoryWithGroupCdCatCd($this->strCatCd, $this->strSubCatCd, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    $tempCatCd = $this->dbExecObj->getResult($result, 0, "sub_category_cd");
    $tempCatName = $this->dbExecObj->getResult($result, 0, "sub_category_name");
    $tempCatDesc = $this->dbExecObj->getResult($result, 0, "description");

    return new TaskSubCategory($tempCatCd, $tempCatName, $tempCatDesc);

  }
  /**
   *  サブカテゴリ名称を更新する
   */
  function updateSubCat($cat_name, $cat_desc) {
    $strSql = $this->dbSqlObj->updateTaskSubCategory($this->strCatCd, $this->strSubCatCd, $cat_name, $cat_desc, $this->strGroupCd, "f");
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    return true;
  }
  /**
   *  タスクオブジェクトを取得する
   */
  function getTaskObj() {
    $strSql = $this->dbSqlObj->selectTaskDetail($this->strGroupCd, $this->strCatCd, $this->strSubCatCd, $this->strTaskCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    $tempTaskCd = $this->dbExecObj->getResult($result, 0, "task_cd");
    $tempTaskTitle = $this->dbExecObj->getResult($result, 0, "title");
    $tempDesc = $this->dbExecObj->getResult($result, 0, "description");

    $tempPlanStartYear = $this->dbExecObj->getResult($result, 0, "psyear");
    $tempPlanStartMonth = $this->dbExecObj->getResult($result, 0, "psmonth");
    $tempPlanStartDay = $this->dbExecObj->getResult($result, 0, "psday");
    $tempPlanStartHour = $this->dbExecObj->getResult($result, 0, "pshour");
    $tempPlanStartMinute = $this->dbExecObj->getResult($result, 0, "psminutes");

    $tempPlanEndYear = $this->dbExecObj->getResult($result, 0, "peyear");
    $tempPlanEndMonth = $this->dbExecObj->getResult($result, 0, "pemonth");
    $tempPlanEndDay = $this->dbExecObj->getResult($result, 0, "peday");
    $tempPlanEndHour = $this->dbExecObj->getResult($result, 0, "pehour");
    $tempPlanEndMinute = $this->dbExecObj->getResult($result, 0, "peminutes");

    $tempResultStartYear = $this->dbExecObj->getResult($result, 0, "rsyear");
    $tempResultStartMonth = $this->dbExecObj->getResult($result, 0, "rsmonth");
    $tempResultStartDay = $this->dbExecObj->getResult($result, 0, "rsday");
    $tempResultStartHour = $this->dbExecObj->getResult($result, 0, "rshour");
    $tempResultStartMinute = $this->dbExecObj->getResult($result, 0, "rsminutes");

    $tempResultEndYear = $this->dbExecObj->getResult($result, 0, "reyear");
    $tempResultEndMonth = $this->dbExecObj->getResult($result, 0, "remonth");
    $tempResultEndDay = $this->dbExecObj->getResult($result, 0, "reday");
    $tempResultEndHour = $this->dbExecObj->getResult($result, 0, "rehour");
    $tempResultEndMinute = $this->dbExecObj->getResult($result, 0, "reminutes");

    $tempStatus = $this->dbExecObj->getResult($result, 0, "status");
    $tempPriorityCd = $this->dbExecObj->getResult($result, 0, "priority_cd");
    $tempPriorityName = $this->dbExecObj->getResult($result, 0, "priority_name");

    $tempOwnerCd = $this->dbExecObj->getResult($result, 0, "owner_emp_cd");
    $strSqlOwnerName = $this->dbSqlObj->selectEmployeeNameWithEmpCd($tempOwnerCd);
    $resultOwnerName = $this->dbExecObj->exeSql($this->conn,$strSqlOwnerName);  
    if (!$resultOwnerName)
    {
      return false;
    }
    $tempOwnerName = $this->dbExecObj->getResult($resultOwnerName, 0, "name");

    $tempRegistEmpCd = $this->dbExecObj->getResult($result, 0, "regist_emp_cd");
    $strSqlRegistName = $this->dbSqlObj->selectEmployeeNameWithEmpCd($tempRegistEmpCd);
    $resultRegistName = $this->dbExecObj->exeSql($this->conn,$strSqlRegistName);  
    if (!$resultRegistName)
    {
      return false;
    }
    $tempRegistEmpName = $this->dbExecObj->getResult($resultRegistName, 0, "name");

    $tempScheFlg = $this->dbExecObj->getResult($result, 0, "schedule_flg");
      
    $objTempTask = new Task($tempTaskCd, $tempTaskTitle, $tempDesc);
    $objTempTask->setPlanStart($tempPlanStartYear, $tempPlanStartMonth, $tempPlanStartDay, $tempPlanStartHour, $tempPlanStartMinute);
    $objTempTask->setPlanEnd($tempPlanEndYear, $tempPlanEndMonth, $tempPlanEndDay, $tempPlanEndHour, $tempPlanEndMinute);
    $objTempTask->setResultStart($tempResultStartYear, $tempResultStartMonth, $tempResultStartDay, $tempResultStartHour, $tempResultStartMinute);
    $objTempTask->setResultEnd($tempResultEndYear, $tempResultEndMonth, $tempResultEndDay, $tempResultEndHour, $tempResultEndMinute);
    $objTempTask->setStatus($tempStatus);
    $objTempTask->setPriority_cd($tempPriorityCd);
    $objTempTask->setPriority_name($tempPriorityName);
    $objTempTask->setOwner_emp_cd($tempOwnerCd);
    $objTempTask->setOwner_emp_name($tempOwnerName);
    $objTempTask->setRegist_emp_cd($tempRegistEmpCd);
    $objTempTask->setRegist_emp_name($tempRegistEmpName);
    $objTempTask->setSchhedule_flg($tempScheFlg);

    return $objTempTask;

  }
  /**
   *  タスク件数を取得する
   */
  function countTask() {
    $strSql = $this->dbSqlObj->countTask($this->strCatCd, $this->strSubCatCd, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    return $this->dbExecObj->getResult($result, 0, "num_task");
  }
  /**
   *  タスク詳細情報を更新する
   */
  function updateTask($peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$intStatus,$bolScheduleFlg) {
    $strSql = $this->dbSqlObj->updateTask($this->strCatCd, $this->strSubCatCd, $this->strGroupCd, $this->strTaskCd, $peyear,$pemonth,$peday,$pehour,$peminute,$intPriority,$intStatus,$bolScheduleFlg);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      return false;
    }
    return true;
  }
  /**
   *  タスク詳細情報を更新する
   */
  function updateTaskDetail($strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$rsyear,$rsmonth,$rsday,$rshour,$rsminute,$reyear,$remonth,$reday,$rehour,$reminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg)
  {
    $strSql = $this->dbSqlObj->updateTaskDetail($this->strCatCd, $this->strSubCatCd, $this->strGroupCd, $this->strTaskCd, $strTaskTitle,$strDesc,$psyear,$psmonth,$psday,$pshour,$psminute,$peyear,$pemonth,$peday,$pehour,$peminute,$rsyear,$rsmonth,$rsday,$rshour,$rsminute,$reyear,$remonth,$reday,$rehour,$reminute,$intPriority,$strOwnerEmpCd,$strRegistEmpCd,$intStatus,$bolScheduleFlg);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      return false;
    }
    return true;
  }
  /**
   *  カテゴリを削除する
   */
  function deleteCategory() {
    $strSql = $this->dbSqlObj->deleteTaskAllCategoryTask($this->strCatCd, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    else
    {
      $strSql = $this->dbSqlObj->deleteTaskAllSubCategory($this->strCatCd, $this->strGroupCd);
      $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
      if (!$result)
      {
	return false;
      }
      else
      {
	$strSql = $this->dbSqlObj->deleteTaskCategory($this->strCatCd, $this->strGroupCd);
	$result = $this->dbExecObj->exeSql($this->conn,$strSql);  
	if (!$result)
	{
	  return false;
	}
      }
      return true;
    }
    return true;
  }
  /**
   *  サブカテゴリを削除する
   */
  function deleteSubCat() {
    $strSql = $this->dbSqlObj->deleteTaskAllTask($this->strCatCd, $this->strSubCatCd, $this->strGroupCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    else
    {
      $strSql = $this->dbSqlObj->deleteTaskSubCategory($this->strCatCd, $this->strSubCatCd, $this->strGroupCd);
      $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
      if (!$result)
      {
	return false;
      }
    }
    return true;
  }
  /**
   *  タスクを削除する
   */
  function deleteTask() {
    $strSql = $this->dbSqlObj->deleteTaskDetail($this->strCatCd, $this->strSubCatCd, $this->strGroupCd, $this->strTaskCd);
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);  
    if (!$result)
    {
      return false;
    }
    return true;
  }
  /**
   *  グループメンバー用のSelectBox表示
   **/
  function printSelectGroupMember($frmName, $owner_emp_cd)
  {
    $_ROOT_DIR_ = $this->_ROOT_DIR_;

    if(!isset($owner_emp_cd) or $owner_emp_cd == "")
    {
      $owner_emp_cd = $this->objUser->getEmpCd();
    }

    $strSQL = $this->dbSqlObj->selectEmployeeDivisionWithEmpCd($owner_emp_cd);
    $result = $this->dbExecObj->exeSql($this->conn, $strSQL);
    $division = $this->dbExecObj->getResult($result, 0, "division");

    include ("../class/javascriptselect_div_emp_group.php");

    $JavaScriptSelect_DivEmp_Group = new JavaScriptSelect_DivEmp_Group();

    $JavaScriptSelect_DivEmp_Group->setDBType($this->db_type);
    $JavaScriptSelect_DivEmp_Group->settempDBObj($this->dbExecObj,$this->conn);
    
    $JavaScriptSelect_DivEmp_Group->setGroupCd($this->strGroupCd);
    $JavaScriptSelect_DivEmp_Group->setWithGroupFlg(true);
    $JavaScriptSelect_DivEmp_Group->setMainElementNameColumnName("div_name");// メイン要素の名前カラム名
    $JavaScriptSelect_DivEmp_Group->setMainElementCodeColumnName("division");// メイン要素のコードカラム名
    $JavaScriptSelect_DivEmp_Group->setSubElementNameColumnName("name");// サブ要素の名前カラム名
    $JavaScriptSelect_DivEmp_Group->setSubElementCodeColumnName("emp_cd"); // サブ要素のコードカラム名
    $JavaScriptSelect_DivEmp_Group->setMainIncludeAll("True");// メイン要素が"全て"を含むかどうか
    $JavaScriptSelect_DivEmp_Group->setSubIncludeAll("False");// サブ要素が"全て"を含むかどうか
    $JavaScriptSelect_DivEmp_Group->setSubAllOnly("False");// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
    $JavaScriptSelect_DivEmp_Group->setMainAllSubIncludeAll("False");// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
    $JavaScriptSelect_DivEmp_Group->setMainFormSelectName("division");// メイン要素の<select>の名前
    $JavaScriptSelect_DivEmp_Group->setSubFormSelectName("owner_emp_cd");// サブ要素の<select>の名前
    $JavaScriptSelect_DivEmp_Group->setInitSelectFunctionName("initSelect");// initSelect()の名前
    $JavaScriptSelect_DivEmp_Group->setChangeSelectFunctionName("changeSelect");// changeSelect()の名前
    $JavaScriptSelect_DivEmp_Group->setDisableJavaScriptShowMain("False");// JavaScriptが無効の際、メイン要素を表示させるかどうか
    $JavaScriptSelect_DivEmp_Group->setMainElementCodeFromHttp($division); // HTTP経由で受け取ったメイン要素のコード
    $JavaScriptSelect_DivEmp_Group->setSubElementCodeFromHttp($owner_emp_cd);// HTTP経由で受け取ったサブ要素のコード
    $JavaScriptSelect_DivEmp_Group->setElement($this->conn, $this->dbSqlObj, $this->dbExecObj);
?>
                              <select name="division" onChange="changeSelect(<?php echo $frmName ?>)">
<?php
    $JavaScriptSelect_DivEmp_Group->printDefaultMainOption();
?>
                              </select><br>
                              <select name="owner_emp_cd" size="1">
<?php
    $JavaScriptSelect_DivEmp_Group->printDefaultSubOption($owner_emp_cd);
?>
                              </select>
                              <SCRIPT LANGUAGE="JavaScript">
                              <!--
<?php
    $JavaScriptSelect_DivEmp_Group->printInitSelectFunction();
    $JavaScriptSelect_DivEmp_Group->printChangeSelectFunction();
?>
                                initSelect(<?php echo $frmName ?>);
				  //-->
                              </SCRIPT>
<?php
  }
  /**
   * 優先度リストを取得する
   **/
  function getPriorityList($priCd)
  {
    $strSql = $this->dbSqlObj->selectPriorityList();
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }
?>
                              <select name="priority" size="1">
<?php
    for ($i = 0; $i < $this->dbExecObj->getNumRows($result); $i++)
    {
      $tempPriCd = $this->dbExecObj->getResult($result, $i, "priority_cd");
      $tempPriName = mb_convert_encoding($this->dbExecObj->getResult($result, $i, "priority_name"), "UTF-8", "auto");
      ($priCd == $tempPriCd) ? $strSelected = "selected" : $strSelected = "";
      echo "<option value=\"" . $tempPriCd . "\" " . $strSelected . ">" . $tempPriName . "</option>";
    }
?>
                              </select>
<?php
  }

  /**
   * エラーメッセージ登録
   **/
  function setErrorMessage($strError)
  {
    $this->strError = $strError;
  }
  /**
   * エラーメッセージ取得
   **/
  function getErrorMessage()
  {
    return $this->strError;
  }
  /**
   *
   **/
  function getRootDir()
  {
    return $this->_ROOT_DIR_;
  }
}

?>