<?php
include_once("TaskGroup.php");
/**
 *  ユーザ
 */
class TaskUser {
  var $emp_cd;
  var $emp_name;
  var $division;
  var $varGroup = array();
  /**
   *  データベース接続オブジェクト
   */
  var $conn;
  /**
   *  データベース操作オブジェクト
   */
  var $dbExecObj;
  /**
   *  SQL生成オブジェクト
   */
  var $dbSqlObj;
  /**
   * タスクユーザが管理者かどうか
   **/
  var $isAdmin;

  /**
   *  ユーザ情報保持クラス
   */
  function TaskUser($emp_cd, $conn, $dbSqlObj, $dbExecObj)
  {
    $this->emp_cd = $emp_cd;
    $this->conn = $conn;
    $this->dbSqlObj = $dbSqlObj;
    $this->dbExecObj = $dbExecObj;

    $strEmpName = $this->dbSqlObj->selectEmployeeNameWithEmpCd($this->emp_cd);
    $result = $this->dbExecObj->exeSql($this->conn,$strEmpName);
    if (!$result)
    {
	return false;
    }
    $this->emp_name = $this->dbExecObj->getResult($result, 0, "name");

    $strDivision = $this->dbSqlObj->selectEmployeeWithEmpCd($this->emp_cd);
    $result = $this->dbExecObj->exeSql($this->conn,$strDivision);
    if (!$result)
    {
	return false;
    }
    $this->division = $this->dbExecObj->getResult($result, 0, "division");

    $strIsAdmin = $this->dbSqlObj->selectAdministratorsAllWithEmpCd($this->emp_cd);
    $result = $this->dbExecObj->exeSql($this->conn,$strIsAdmin);    
    $this->isAdmin = ($this->dbExecObj->getNumRows($result) == 1) ? true : false;

    $this->createGroupList($emp_cd);
  }
  /**
   *  グループリストを作成する
   */
  function createGroupList()
  {
    if($this->isAdmin)
    {
      $strSql = $this->dbSqlObj->selectAllGroupList();
    }
    else
    {
      $strSql = $this->dbSqlObj->selectGroupListWithEmpCd($this->emp_cd);
    }
    $result = $this->dbExecObj->exeSql($this->conn,$strSql);
    if (!$result)
    {
      echo "DB has been error!<br>\n";
      exit;
    }

    for ($i = 0; $i < $this->dbExecObj->getNumRows($result); $i++)
    {
      $tempGroupCd = $this->dbExecObj->getResult($result, $i, "group_cd");
      $tempGroupName = $this->dbExecObj->getResult($result, $i, "group_name");
      $this->addGroupList(new TaskGroup($tempGroupCd, $tempGroupName));
    }
  }
  /**
   *  自分が所属するグループを取得設定する
   */
  function addGroupList($group)
  {
    array_push($this->varGroup, $group);
  }
  /**
   *  グループリストを取得する
   */
  function getGroupList()
  {
    return $this->varGroup;
  }
  /**
   * emp_cd取得
   **/
  function getEmpCd()
  {
    return $this->emp_cd;
  }
  /**
   * emp_name取得
   **/
  function getEmpName()
  {
    return $this->emp_name;
  }
  /**
   * 管理者権限有無を取得する
   **/
  function getIsAdmin()
  {
    return $this->isAdmin;
  }
  /**
   * タスクユーザの部門コードを取得する
   **/
  function getDivision()
  {
    return $this->division;
  }
}
?>