<?php
//
// Copyright (C) 2001-2002 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: schedule2.php,v 1.45 2002/10/25 07:39:13 ohsawa Exp $
//

/**
 * 日付選択モジュールController
 * カレンダーで選択した年月日を指定のコントロールに設定します。
 * アクセス方法：次のGETパラメータでフォーム名・各コントロール名を指定します。
 *   フォーム名：frmName
 *   年のテキストフィールド：yearName
 *   月のセレクトボックス：monthName
 *   日のセレクトボックス：dayName
 * 一応呼び出し元のフォームがなくなった場合の対処もしてあります。
 * フォーム・年のテキストフィールド・月のセレクトボックス・日のセレクトボックスの
 * 有無確認をしています。
 * 月の日データはWIZで管理している祝祭日テーブルから取得しています。
 *
 * @author hideki haranaka <hideki-h@syscon.co.jp>
 */



include("../gw.php");

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

require_once($_ROOT_DIR_ . "include/dbChange.php");

$conn = $dbConnectObj->openConnect();

require_once($_ROOT_DIR_ . "class/execsql.php");			// クエリー処理クラス
require_once($_ROOT_DIR_ . "class/dateinfo.php");			// 日付情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス

//page_open(array("sess" => "Wiz_Session"));

// セッション開始
// ※セッション変数にユーザー定義のオブジェクトが含まれている場合、
// 　セッション開始前にオブジェクトのクラス定義がされている必要がある。
session_start();

// ユーザー情報の取得
unset($employeeInfoOwner);
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
//$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
//$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

/*
// 月間／週間／日間の内、前回表示したものを表示させるため。
if (!isset($sub))
{
	$sub = $sessionSub;
}
*/
// 日付情報のチェック
if ($year != "")
{
	// 不正なら今日にする
	if (!checkdate($month, $day, $year))
	{
		$year = date("Y");
		$month = date("n");
		$day = date("j");
	}
}

// セッション変数の登録
if (!isset($_SESSION["sessionSub"])) {
	$_SESSION["sessionSub"];
}

if (!isset($_SESSION["sessionDivision"])) {
	$_SESSION["sessionDivision"];
}

if (!isset($_SESSION["dateInfo"])) {
	$_SESSION["dateInfo"];
}

if (!isset($_SESSION["scheduleInfoOwner"])) {
	$_SESSION["scheduleInfoOwner"];
}
	$sessionSub = "monthScreen";
//	$_SESSION["sessionSub"] = "monthScreen";

if (!isset($_SESSION["dateInfo"])) {
	$_SESSION["dateInfo"];


}

	if (empty ($_SESSION["dateInfo"]) || isset($year))
	{
		$dateInfo = new dateInfo();

		if (isset($year))
		{
			$dateInfo->setYear($year);
			$dateInfo->setMonth($month);
			$dateInfo->setDay($day);
		}
	}

	// カレンダー上の初日取得
//	$tempDateInfo = $dateInfo;
	$tempDateInfo = clone $dateInfo;
	$tempDateInfo->setDay("1");
	$firstMonthArray = $tempDateInfo->getFirstWeek();

	// カレンダー上の最終日取得
	$lastMonthArray = $tempDateInfo->getLastMonth();
	$lastDateInfo = new dateInfo();
	$lastDateInfo->setYear($lastMonthArray[0]);
	$lastDateInfo->setMonth($lastMonthArray[1]);
	$lastDateInfo->setDay($lastMonthArray[2]);
	$lastMonthArray = $lastDateInfo->getLastWeek();

	// カレンダー上のマスの数の取得
	$dayNumber = $tempDateInfo->getDayDifference($firstMonthArray[0], $firstMonthArray[1], $firstMonthArray[2], $lastMonthArray[0], $lastMonthArray[1], $lastMonthArray[2]);

	// 移動用DateInfoに最初の日をセット
	$tempDateInfo->setYear($firstMonthArray[0]);
	$tempDateInfo->setMonth($firstMonthArray[1]);
	$tempDateInfo->setDay($firstMonthArray[2]);

	// 前年の取得
	$beforeYearArray = $dateInfo->getBeforeYear();
	// 次年の取得
	$nextYearArray = $dateInfo->getNextYear();
	// 前月の取得
	$beforeMonthArray = $dateInfo->getBeforeMonth();
	// 次月の取得
	$nextMonthArray = $dateInfo->getNextMonth();
	// 現在の取得
	$nowDateArray = $dateInfo->getNowDate();

	include("schedule_month_view.php");

// 半角数字以外のものがあればFalseを返す
function isNumeric($str)
{
	if (ereg("[0-9]+", $str))
	{
		return True;
	}
	else
	{
		return False;
	}
}


// ユーザー入力内容の操作
function userInputOperate($str)
{
	$str = trim($str);
	$str = ereg_replace("^　{1,}|　{1,}$", "", $str);
	$str = htmlSpecialEscape($str);
	$str = mb_convert_kana($str);
	$str = mb_strcut($str, 0, 1024);

	return $str;
}


// ユーザー出力内容の操作
function userOutputOperate($str)
{
	$str = htmlSpecialEscape($str);

	return $str;
}


// 時刻が正当なものであるかチェック
function checkTime($hour, $minute)
{
	if ($hour < 0 || 23 < $hour)
	{
		return False;
	}

	if ($minute < 0 || 59 < $minute)
	{
		return False;
	}

	return True;
}


function showScheduleView($sessionSub)
{
	// 終了後、元の画面に戻る
	if ($sessionSub == "dayScreen")
	{
		header("Location: schedule2.php?sub=dayScreen&" . session_name() . "=" . session_id());
	}
	elseif ($sessionSub == "weekScreen")
	{
		header("Location: schedule2.php?sub=weekScreen&" . session_name() . "=" . session_id());
	}
	else
	{
		header("Location: schedule2.php?sub=&" . session_name() . "=" . session_id());
	}
}
?>
