<?php
//
// Copyright (C) 1999-2000 Top Management Service, inc. All Rights Reserved.
// Copyright (C) 2001-2003 System Consultants Co.,Ltd. All Rights Reserved.
//
// $Id: workflow.php 1196 2004-08-25 08:28:01Z hideki-h $
//

/**
 * ワークフロー（申請書の提出）
 *
 * @author hiroki KAWAMURA <hiroki@syscon.co.jp>
 * @author yuji TAKAHASHI <yu-ji@syscon.co.jp>
 * @author hideo OHSAWA <ohsawa@syscon.co.jp>
 */

// ポストによる日本語パラメータ変換処理を追加 （2011/01/17 スガラボット)
if (isset($_POST["sub"])) {
	$_POST["sub"] = mb_convert_encoding($_POST["sub"], "EUC", "auto");
}

$sub = isset($_POST["sub"]) ? $_POST["sub"] : $_GET["sub"];
$petition_cd = isset($_POST["petition_cd"]) ? $_POST["petition_cd"] : $_GET["petition_cd"];
$division = isset($_POST["division"]) ? $_POST["division"] : $_GET["division"];
$divisionOddman= isset($_POST["divisionOddman"]) ? $_POST["divisionOddman"] : $_GET["divisionOddman"];
$emp_cd = isset($_POST["emp_cd"]) ? $_POST["emp_cd"] : $_GET["emp_cd"];
$term= isset($_POST["term"]) ? $_POST["term"] : $_GET["term"];
$trans_id= isset($_POST["trans_id"]) ? $_POST["trans_id"] : $_GET["trans_id"];
$petition_time= isset($_POST["petition_time"]) ? $_POST["petition_time"] : $_GET["petition_time"];

$sub2 = mb_convert_encoding($_POST["sub2"], "EUC", "auto");
$show_no = $_POST["show_no"];
$sortForRev = $_POST["sortForRev"];
$orderColumnName = $_POST["orderColumnName"];
$oddman = $_POST["oddman"];
$root = $_POST["root"];
$petition_time_temp = $_POST["petition_time_temp"];
$newodd = $_POST["newodd"];
$rootflg = $_POST["rootflg"];
$purpose = mb_convert_encoding($_POST["purpose"], "EUC", "auto");
$detail = mb_convert_encoding($_POST["detail"], "EUC", "auto");
$MAX_FILE_SIZE = $_POST["MAX_FILE_SIZE"];
$petition_type = $_POST["petition_type"];

$filenametemp = $_GET["filenametemp"];
$end = $_GET["end"];
$emp_cd_del = $_GET["emp_cd_del"];
$filename = $_POST["filename"];
// EUCに文字コード変換。
$filename = mb_convert_encoding($filename, "EUC", "auto");
$petition_time_filename = $_POST["petition_time_filename"];
// EUCに文字コード変換。
$petition_time_filename = mb_convert_encoding($petition_time_filename, "EUC", "auto");

if ($sub == "検索")
{
	// Cookieに表示件数を記録(有効期間30日)
	SetCookie("show_no_cookie", $show_no, time() + 2592000);
	// Cookieに表示期間を記録(有効期間30日)
	SetCookie("term_cookie", $term, time() + 2592000);
}
include ("include/constant.conf");
include ("gw.php");

include_once($_ROOT_DIR_ . "class/PhraseSelect.php");
$objPhraseSelect = new PhraseSelect($bolPhraseSelect);
$varPhraseSet = $objPhraseSelect->getPhrase();

include ("include/blnk2nbsp.func");
require_once($_ROOT_DIR_ . "include/dbChange.php");
$conn = $dbConnectObj->openConnect();
include ("include/accept.conf");
$strSql = $dbSqlObj->setDateStyleToIso();
$dbExecObj->exeSql($conn, $strSql);

include ("include/file.func");
if ($sub == "download")
{
	//linかwinで。
	switch ($os_type)
	{
		case "Linux":
//			$filenametemp = mb_convert_encoding($filenametemp, "EUC");
			break;
		case "Windows":
			$filenametemp = mb_convert_encoding($filenametemp, "SJIS", "EUC");
			break;
		default:
			break;
	}
	fileDownload($savefile_path . "workflow/$petition_cd/" . $filenametemp, $filename);
	exit;
}

// ログオン周りのクラスを使います。
require_once($_ROOT_DIR_ . "class/employeeinfo.php");		// 社員情報クラス
require_once($_ROOT_DIR_ . "class/employeeinfoowner.php");	// 社員情報クラスの処理クラス
$employeeInfoOwner = new EmployeeInfoOwner();
$employeeInfoOwner->setEmp_cd($_SERVER["PHP_AUTH_USER"]);
$employeeInfoOwner->doSelectQuery($conn, $dbSqlObj, $dbExecObj);
$employeeInfoArray = $employeeInfoOwner->getEmployeeInfoArray();
$isAdmin = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->isAdmin();
$empName = $employeeInfoArray[$_SERVER["PHP_AUTH_USER"]]->getName();

// デザインをインクルードします。
require_once($_ROOT_DIR_ . "class/menuHeadder.php");						//includeします。
$menuShowObj = new menuShowObj($conn,$dbSqlObj,$dbExecObj);		//オブジェクト生成
$menuShowObj->setEmpName($empName);								//empNameをset
$menuShowObj->setCurrentAppli("workflow");						//現在のアプリをset
$menuShowObj->setIsAdmin($isAdmin);								//adminフラグをset
$menuShowObj->showHeadder();									//メニュー＋ヘッダ表示

include ("./include/transactions.func");
if (!checkTransID($trans_id, $conn, $dbSqlObj, $dbExecObj))
{
	unset($sub);
}

// タブの表示です。
$tempSub = $sub;
if ($sub2 == "検索")
{
	$tempSub = "申請書の状況確認";
}

switch ($tempSub)
{
	case "新規申請書の提出":
	case "決裁者に追加":
	case "決裁者クリア":
	case "次へ":
	case "提出":
?>
<table width="760" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td><a class="usually" href="workflow.php"><img src="images/workflow_read_b.gif" width="180" height="29" border="0" alt="承認済を検索・閲覧"></a></td>
    <td> 
      <div align="right"><a class="usually" href="workflow.php?sub=<?php echo rawurlencode("申請書の状況確認")?>"><img src="images/workflow_confirmation_b.gif" width="180" height="29" border="0" alt="承認状況確認"></a></div>
    </td>
    <td> 
      <div align="right"><img src="images/workflow_application_a.gif" width="360" height="29" border="0" alt="新規申請"></div>
    </td>
  </tr>
  <tr> 
    <td colspan="3" class="yellow">　</td>
  </tr>
</table>
<?php
			break;
		case "申請書の状況確認":
		case "申請取り下げ":
		case "確認と再提出":
		case "view":
?>
<table width="760" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td><a class="usually" href="workflow.php"><img src="images/workflow_read_b.gif" width="180" height="29" border="0" alt="承認済を検索・閲覧"></a></td>
    <td> 
      <div align="right"><img src="images/workflow_confirmation_a.gif" width="180" height="29" border="0" alt="承認状況確認"></div>
    </td>
    <td> 
      <div align="right"><a class="usually" href="workflow.php?sub=<?php echo rawurlencode("新規申請書の提出")?>"><img src="images/workflow_application_b.gif" width="360" height="29" border="0" alt="新規申請"></a></div>
    </td>
  </tr>
  <tr> 
    <td colspan="3" class="yellow">　</td>
  </tr>
</table>
<?php
			break;
		default:
?>
<table width="760" border="0" cellspacing="0" cellpadding="0">
  <tr> 
    <td><img src="images/workflow_read_a.gif" width="180" height="29" border="0" alt="承認済を検索・閲覧"></td>
    <td> 
      <div align="right"><a class="usually" href="workflow.php?sub=<?php echo rawurlencode("申請書の状況確認")?>"><img src="images/workflow_confirmation_b.gif" width="180" height="29" border="0" alt="承認状況確認"></a></div>
    </td>
    <td> 
      <div align="right"><a class="usually" href="workflow.php?sub=<?php echo rawurlencode("新規申請書の提出")?>"><img src="images/workflow_application_b.gif" width="360" height="29" border="0" alt="新規申請"></a></div>
    </td>
  </tr>
  <tr> 
    <td colspan="3" class="yellow">　</td>
  </tr>
</table>
<?php
			break;
	}

include ("./include/makeoddmans.func");
include ("./include/admchk.func");
include ("./include/workflow.func");
include ("./include/createlog.conf");
include ("./include/resultToStringFunction.php");
include ("./class/javascriptselect_div_emp.php");
$classify = array("在宅勤務", "有給休暇", "特別休暇", "夏期休暇", "休暇(その他)", "振替休日", "代休", "欠勤", "遅刻", "早退", "私用外出");
$matter = array("件名", "事由", "在宅理由", "件名");


// 処理済申請書の削除処理
if ($sub == "delete")
{
	// 削除権限の確認
	if (0 < admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj))
	{
		$strSql = $dbSqlObj->updateWorkflowDelflgWherePetition_time($petition_time);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result) 
		{
			showError("データベースに異常：申請書が削除できません。");
			exit;
		}
	}

	writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);

	$sub = "検索";
}

if ((!$sub || $sub == "検索" || $previous_next) && !$sub2)
{
	$javaScriptSelect_DivEmp = new JavaScriptSelect_DivEmp();
	$javaScriptSelect_DivEmp->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$javaScriptSelect_DivEmp->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$javaScriptSelect_DivEmp->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$javaScriptSelect_DivEmp->setSubElementCodeColumnName("emp_cd");		// サブ要素のコードカラム名
	$javaScriptSelect_DivEmp->setMainIncludeAll("True");					// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubIncludeAll("True");						// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_DivEmp->setMainAllSubIncludeAll("True");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setMainFormSelectName("division");			// メイン要素の<select>の名前
	$javaScriptSelect_DivEmp->setSubFormSelectName("emp_cd");				// サブ要素の<select>の名前
	$javaScriptSelect_DivEmp->setInitSelectFunctionName("initSelect");		// initSelect()の名前
	$javaScriptSelect_DivEmp->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
	$javaScriptSelect_DivEmp->setDisableJavaScriptShowMain("False");		// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$javaScriptSelect_DivEmp->setMainElementCodeFromHttp($division);		// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setSubElementCodeFromHttp($emp_cd);			// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setElement($conn, $dbSqlObj, $dbExecObj);
	$javaScriptSelect_DivEmp_Oddman = new JavaScriptSelect_DivEmp();
	$javaScriptSelect_DivEmp_Oddman->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$javaScriptSelect_DivEmp_Oddman->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$javaScriptSelect_DivEmp_Oddman->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$javaScriptSelect_DivEmp_Oddman->setSubElementCodeColumnName("emp_cd");			// サブ要素のコードカラム名
	$javaScriptSelect_DivEmp_Oddman->setMainIncludeAll("True");						// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp_Oddman->setSubIncludeAll("False");						// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp_Oddman->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_DivEmp_Oddman->setMainAllSubIncludeAll("True");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp_Oddman->setMainFormSelectName("divisionOddman");		// メイン要素の<select>の名前
	$javaScriptSelect_DivEmp_Oddman->setSubFormSelectName("oddman");				// サブ要素の<select>の名前
	$javaScriptSelect_DivEmp_Oddman->setInitSelectFunctionName("initSelect2");		// initSelect()の名前
	$javaScriptSelect_DivEmp_Oddman->setChangeSelectFunctionName("changeSelect2");	// changeSelect()の名前
	$javaScriptSelect_DivEmp_Oddman->setDisableJavaScriptShowMain("False");			// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$javaScriptSelect_DivEmp_Oddman->setMainElementCodeFromHttp($divisionOddman);	// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp_Oddman->setSubElementCodeFromHttp($oddman);			// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp_Oddman->setElement($conn, $dbSqlObj, $dbExecObj);
?>
<script language="JavaScript">
<!--
<?php
	$javaScriptSelect_DivEmp->printInitSelectFunction();
	$javaScriptSelect_DivEmp->printChangeSelectFunction();
	$javaScriptSelect_DivEmp_Oddman->printInitSelectFunction();
	$javaScriptSelect_DivEmp_Oddman->printChangeSelectFunction();
?>
//-->
</script>

<form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST" name="searchForm">
  <table cellpadding="5">
    <tr>
      <td colspan="5" nowrap><span class="fBlack12100">■ 結果表示</span></td>
    </tr>
    <tr>
      <td><span class="fBlack10100"><b>申請書種別</b></span></td>
      <td><span class="fBlack10100"><b>申請者</b></span></td>
      <td><span class="fBlack10100"><b>決裁者</b></span></td>
      <td><span class="fBlack10100"><b>期間</b></span></td>
      <td><span class="fBlack10100"><b>件数</b></span></td>
    </tr>
    <tr ALIGN="left" valign="top">
      <td>
        <select name="petition_cd" size="1">
          <option value="all" <?php if ($petition_cd == "all" || !$petition_cd) { echo "SELECTED"; } ?>>全て</option>
<?php
	$strSql = $dbSqlObj->selectMst_wflow();
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result) 
	{
		showError("データベースに異常：申請書の種類が取得できません。");
		exit;
	}
	
	$count = $dbExecObj->getNumRows($result);
 	for ($i = 0; $i < $count; $i++)
	{
		print("<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_cd")) . "\"");
		if ($petition_cd == $dbExecObj->getResult($result, $i, "petition_cd"))
		{
			echo " selected";
		}
		print(">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")) . "</option>\n");
	}
?>
        </select>
      </td>
      <td nowrap>
        <div align="left">
        <span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：</span><select name="division" onChange="changeSelect(searchForm)">
<?php
	$javaScriptSelect_DivEmp->printDefaultMainOption();
?>
        </select>
        </div>
        <div align="left">
        <span class="fBlack10100">個人名：</span><select name="emp_cd">
<?php
	$javaScriptSelect_DivEmp->printDefaultSubOption();
?>
        </select>
        </div>
      </td>
      <td nowrap>
        <div align="left">
        <span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：</span><select name="divisionOddman" onChange="changeSelect2(searchForm)">
<?php
	$javaScriptSelect_DivEmp_Oddman->printDefaultMainOption();
?>
        </select>
        </div>
        <div align="left">
        <span class="fBlack10100">個人名：</span><select name="oddman">
<?php
	$javaScriptSelect_DivEmp_Oddman->printDefaultSubOption();
?>
        </select>
        </div>
      </td>
      <td>
<?php
	if ($term == "")
	{
		if ($_COOKIE["term_cookie"] == "")
		{
			$term = 1;
		}
		else
		{
			$term = $_COOKIE["term_cookie"];
		}
	}
?>
        <input type="text" name="term" size="2" MAXLENGTH="2" value="<?php echo $term?>"><span class="fBlack10100">ヶ月前</span>
      </td>
      <td>
<?php
	if ($show_no == "")
	{
		if ($_COOKIE["show_no_cookie"] == "")
		{
			$show_no = 10;
		}
		else
		{
			$show_no = $_COOKIE["show_no_cookie"];
		}
	}
?>
        <select name="show_no" size="1">
          <option value="10"<?php if ($show_no == "10") echo " selected"; ?>>10件</option>
          <option value="25"<?php if ($show_no == "25") echo " selected"; ?>>25件</option>
          <option value="50"<?php if ($show_no == "50") echo " selected"; ?>>50件</option>
          <option value="75"<?php if ($show_no == "75") echo " selected"; ?>>75件</option>
          <option value="100"<?php if ($show_no == "100") echo " selected"; ?>>100件</option>
        </select>
        <br>
        <br>
      </td>
    </tr>
    <tr>
      <td colspan="5"><input type="submit" name="sub" value="検索"></td>
    </tr>
    <input type="hidden" name="sortForRev" value="<?php echo htmlSpecialEscape($sortForRev) ?>">
    <input type="hidden" name="orderColumnName" value="<?php echo htmlSpecialEscape($orderColumnName) ?>">
  </table>
  </form>
<SCRIPT Language="JavaScript">
<!--
initSelect(document.searchForm);
initSelect2(document.searchForm);
//-->
</SCRIPT>
<?php
}
if ($sub == "検索")
{
	//-- open/closeモード
	if (strtoupper($workflowPublicLevel) == "CLOSE" && admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj) < 1)
	{
		$sqlstr = $dbSqlObj->selectWorkflowPetition_timeCountClose($term, $petition_cd, $division, $emp_cd, $divisionOddman, $oddman, $_SERVER["PHP_AUTH_USER"]);
	}
	else
	{
		$sqlstr = $dbSqlObj->selectWorkflowPetition_timeCount($term, $petition_cd, $division, $emp_cd, $divisionOddman, $oddman);
	}

	$resultAllCount = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$resultAllCount)
	{
		showError("データベースに障害：ドキュメントを検索できません。");
		exit;
	}
	$allCount = $dbExecObj->getResult($resultAllCount, 0, "count_of_records");

	// ページ数算出
	$allPage = (int)($allCount / $show_no);
	if ($allCount % $show_no != 0)
	{
		$allPage++;
	}
}

if ($sub == "検索" || $previous_next)
{
	if ($previous_next == 1)
	{
		$nowPage--;
	}
	elseif ($previous_next == 2)
	{
		$nowPage++;
	}
	if (!$nowPage)
	{
		$nowPage = 1;
	}

	//	ソート順のカラム名を決定します。
	//	ソート順をデフォルト登録日時
	switch ($orderColumnName)
	{
		case "shousai":
			$orderColumn = "workflow.purpose";
			break;
		case "shinseiShoShubetsu":
			$orderColumn = "mst_wflow.petition_name";
			break;
		case "shinseiSha":
			$orderColumn = "name";
			break;
		case "shinseiNichiji":
		default:
			$orderColumnName = "shinseiNichiji";
			$orderColumn = "workflow.petition_time";
			break;
	}

	//	ソートの順番をデフォルト昇順。
	if (!$sortForRev)
	{
		$sortForRev = "SHOUJUN";
	}

	//-- open/closeモード
	if (strtoupper($workflowPublicLevel) == "CLOSE" && admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj) < 1)
	{
		$sqlstr = $dbSqlObj->selectWorkflowEmployeeMst_wflowClose($_SERVER["PHP_AUTH_USER"],
															$term,
															$petition_cd,
															$division,
															$emp_cd,
															$divisionOddman,
															$nowPage,
															$show_no,
															$oddman,
															$orderColumn,
															$sortForRev);
	}
	else
	{
		$sqlstr = $dbSqlObj->selectWorkflowEmployeeMst_wflow($term,
															$petition_cd,
															$division,
															$emp_cd,
															$divisionOddman,
															$nowPage,
															$show_no,
															$oddman,
															$orderColumn,
															$sortForRev);
	}
	// 昇順降順を逆にする
	if ($sortForRev == "KOUJUN")
	{
		$reverseSortForRev = "SHOUJUN";
	}
	else
	{
		$reverseSortForRev = "KOUJUN";
	}

	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result)
	{
		showError("データベースに異常：承認済み申請書が取得できません。");
		exit;
	}
?>

<table width="760" border="0" cellspacing="0" cellpadding="0"><tr><td valign="top" class="gray"> 
<table width="760" border="0" cellspacing="1" cellpadding="3">
  <tr>
<?php
	if ($orderColumnName == "shinseiNichiji")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
    <td valign="middle" class="orange"> 
      <table width="195" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle">
            <div align="center">
              <span class="fWhite10100">
                <a class="usually" href="workflow.php?sub=<?php echo rawurlencode("検索"); ?>&term=<?php echo $term?>&petition_cd=<?php echo $petition_cd?>&division=<?php echo $division?>&divisionOddman=<?php echo $divisionOddman ?>&show_no=<?php echo $show_no?>&oddman=<?php echo $oddman?>&orderColumnName=shinseiNichiji&sortForRev=<?php echo $orderAscDesc ?>">
                  申請日時
<?php
	if ($orderColumnName == "shinseiNichiji")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
                <img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
                <img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
                </a>
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
<?php
	if ($orderColumnName == "shinseiSha")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
    <td valign="middle" class="orange"> 
      <table width="94" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center">
              <span class="fWhite10100">
                <a class="usually" href="workflow.php?sub=<?php echo rawurlencode("検索");?>&term=<?php echo $term?>&petition_cd=<?php echo $petition_cd?>&division=<?php echo $division?>&divisionOddman=<?php echo $divisionOddman?>&show_no=<?php echo $show_no?>&oddman=<?php echo $oddman?>&orderColumnName=shinseiSha&sortForRev=<?php echo $orderAscDesc ?>">
                  申請者
<?php
	if ($orderColumnName == "shinseiSha")
	{
		if($sortForRev == "SHOUJUN")
		{
?>
                  <img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
                  <img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
                </a>
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
<?php
	if ($orderColumnName == "shinseiShoShubetsu")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
    <td valign="middle" class="orange"> 
      <table width="185" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center">
              <span class="fWhite10100">
                <a class="usually" href="workflow.php?sub=<?php echo rawurlencode("検索");?>&term=<?php echo $term?>&petition_cd=<?php echo $petition_cd?>&division=<?php echo $division?>&divisionOddman=<?php echo $divisionOddman?>&show_no=<?php echo $show_no?>&oddman=<?php echo $oddman?>&orderColumnName=shinseiShoShubetsu&sortForRev=<?php echo $orderAscDesc ?>">
                  申請書種別
<?php
	if ($orderColumnName == "shinseiShoShubetsu")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
                  <img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
                  <img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
                </a>
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
<?php
	if ($orderColumnName == "shousai")
	{
		$orderAscDesc = $reverseSortForRev;
	}
	else
	{
		$orderAscDesc = $sortForRev;
	}
?>
    <td valign="middle" class="orange"> 
      <table width="185" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center">
              <span class="fWhite10100">
                <a class="usually" href="workflow.php?sub=<?php echo rawurlencode("検索");?>&term=<?php echo $term?>&petition_cd=<?php echo $petition_cd?>&division=<?php echo $division?>&divisionOddman=<?php echo $divisionOddman?>&show_no=<?php echo $show_no?>&oddman=<?php echo $oddman?>&orderColumnName=shousai&sortForRev=<?php echo $orderAscDesc ?>">
                  詳細
<?php
	if ($orderColumnName == "shousai")
	{
		if ($sortForRev == "SHOUJUN")
		{
?>
                  <img src="./images/triangle_b.gif" border="0" alt="昇順" hspace="10">
<?php
		}
		else
		{
?>
                  <img src="./images/triangle_a.gif" border="0" alt="降順" hspace="10">
<?php
		}
	}
?>
                </a>
              </span>
            </div>
          </td>
        </tr>
      </table>
    </td>
    <td valign="middle" class="orange"> 
      <table width="65" border="0" cellspacing="0" cellpadding="3">
        <tr> 
          <td valign="middle"> 
            <div align="center"><span class="fWhite10100">操作</span></div>
          </td>
        </tr>
      </table>
    </td>
  </tr>
<?php
 	$count = $dbExecObj->getNumRows($result);
	for ($i = 0; $i < $count; $i++)
	{
		if ($i % 2 == 0)
		{
			$bcolor = "crame";
		}
		else
		{
			$bcolor = "white";
		}
		$petition_time_str = $dbExecObj->getResult($result, $i, "petition_time");
?>
  <tr>
    <td class="<?php echo $bcolor ?>" valign="middle">
      <span class="fBlack10100">
        <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?sub=view&end=1&petition_time=<?php echo rawurlencode($petition_time_str) ?>&emp_cd=<?php echo $dbExecObj->getResult($result, $i, "emp_cd") ?>">
          <?php echo ereg_replace("-", "/", $petition_time_str) ?>
        </a>
      </span>
    </td>
    <td class="<?php echo $bcolor?>" valign="middle">
      <span class="fBlack10100">
        <?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "name")) ?>
      </span>
    </td>
    <td class="<?php echo $bcolor?>" valign="middle">
      <span class="fBlack10100">
        <?php echo htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")) ?>
      </span>
    </td>
    <td class="<?php echo $bcolor?>" valign="middle">
      <span class="fBlack10100">
        <?php echo htmlSpecialEscape(mb_substr($dbExecObj->getResult($result, $i, "purpose"), 0, 60)) ?>
      </span>
    </td>
    <td class="<?php echo $bcolor?>" valign="middle">
      <div align="center">
        <span class="fBlack10100">
<?php
		if (0 < admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj))
		{
?>
          <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?sub=delete&petition_time=<?php echo rawurlencode($petition_time_str) ?>&emp_cd_del=<?php echo $dbExecObj->getResult($result, $i, "emp_cd") ?>&trans_id=<?php echo createTransID() ?>" onClick="return confirm('本当に削除しますか？')">削除</a>
<?php
		}
		else
		{
?>
        &nbsp;
<?php
		}
?>
        </span>
      </div>
    </td>
  </tr>
<?php
	}
?>
</table>
</td></tr></table>





<br>

<table border="0" cellspacing="0" cellpadding="0" width="760"><tr><td>
<table border="0" cellspacing="0" cellpadding="0" width="270" align="right">
  <tr>
<?php
	// 前にページがある場合
	if ($nowPage > 1)
	{
?>
    <td> 
      <div align="right">
        <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?petition_cd=<?php echo $petition_cd?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd?>&divisionOddman=<?php echo $divisionOddman ?>&oddman=<?php echo $oddman?>&term=<?php echo $term?>&show_no=<?php echo $show_no?>&allPage=<?php echo $allPage?>&nowPage=<?php echo $nowPage?>&previous_next=1&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $sortForRev ?>">
          <img src="images/triangle_l_s.gif" width="24" height="24" border="0" alt="前のページ">
        </a>
      </div>
    </td>
    <td> 
      <div align="left">
        <span class="fBlack10100">
          <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?petition_cd=<?php echo $petition_cd?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd?>&divisionOddman=<?php echo $divisionOddman ?>&oddman=<?php echo $oddman?>&term=<?php echo $term?>&show_no=<?php echo $show_no?>&allPage=<?php echo $allPage?>&nowPage=<?php echo $nowPage?>&previous_next=1&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $sortForRev ?>">
            前のページ
          </a>
        </span>
      </div>
    </td>
<?php
	}
?>
    <td></td>
<?php
	// 次にページがある場合
	if ($nowPage < $allPage)
	{
?>
    <td> 
      <div align="right">
        <span class="fBlack10100">
          <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?petition_cd=<?php echo $petition_cd?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd?>&divisionOddman=<?php echo $divisionOddman ?>&oddman=<?php echo $oddman?>&term=<?php echo $term?>&show_no=<?php echo $show_no?>&allPage=<?php echo $allPage?>&nowPage=<?php echo $nowPage?>&previous_next=2&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $sortForRev ?>">次のページ</a>
        </span>
      </div>
    </td>
    <td> 
      <div align="left">
        <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?petition_cd=<?php echo $petition_cd?>&division=<?php echo $division ?>&emp_cd=<?php echo $emp_cd?>&divisionOddman=<?php echo $divisionOddman ?>&oddman=<?php echo $oddman?>&term=<?php echo $term?>&show_no=<?php echo $show_no?>&allPage=<?php echo $allPage?>&nowPage=<?php echo $nowPage?>&previous_next=2&orderColumnName=<?php echo $orderColumnName ?>&sortForRev=<?php echo $sortForRev ?>">
          <img src="images/triangle_r_s.gif" width="24" height="24" alt="次のページ" border="0">
        </a>
      </div>
    </td>
<?php
	}
?>
    <td> 
      <div align="left">
        <span class="fBlack10100">
<?php
	if (!$allPage)
	{
		$nowPage = 0;
	}
?>
      <?php echo $nowPage ?>/<?php echo $allPage ?>
        </span>
      </div>
    </td>
    <td>
    </td>
  </tr>
</table>
</td></tr></table>
<?php
}

if ($sub == "新規申請書の提出")
{
?>
<br>
<table  border="0" cellspacing="0" cellpadding="3">
  <tr> 
    <td class="pink"> 
      <div align="center"><span class="fRed12100"><font color="red">必要事項を選択して次へボタンをクリックしてください。</font></span></div>
    </td>
  </tr>
</table>
<br>
<table cellpadding="5">
  <form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="post">
  <tr>
    <td><span class="fBlack10100"><b>申請書の種類</b></span></td>
    <td><span class="fBlack10100"><b>決裁者ルート</b></span></td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td VALIGN="top">
      <select name="petition_cd" size="1">
<?php
	$sqlstr = $dbSqlObj->selectMst_wflow();
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result) 
	{
		showError("データベースに異常：申請書の種類が取得できません。");
		exit;
	}
	
 	$count = $dbExecObj->getNumRows($result);
 	for ($i = 0; $i < $count; $i++)
	{
		print("<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_cd")) . "\">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")) . "</option>\n");
	}
?>
      </select>
    </td>
    <td>
      <span class="fBlack10100">
        <input type="radio" name="root" value="0" checked>デフォルト<BR>
<?php
	// unifyの存在確認
	$strSql = $dbSqlObj->selectEmployeeNameWithUnify();
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result)
	{
		showError("データベースに異常：業務統括情報の取得に失敗しました。");
		exit;
	}

	$isUnifyExist = True;
	if ($dbExecObj->getNumRows($result) <= 0)
	{
		$isUnifyExist = False;
	}

	if ($isUnifyExist)
	{
?>
        <input type="radio" name="root" value="1">ダイレクト<BR>
<?php
	}
?>
        <input type="radio" name="root" value="2">オリジナル<BR>
      </span>
    </td>
    <td VALIGN="bottom">
      <input type="submit" name="sub" value="次へ">
    </td>
  </tr>
  <input type="hidden" name="petition_time_temp" value="<?php echo date("Y-m-d H:i:s"); ?>">
  </form>
</table>

<span class="fBlack12100">■ 決裁者ルート一覧</span>

<table border="0" cellspacing="0" cellpadding="0"><tr><td class="gray">
<table cellpadding="3" border="0" cellspacing="1">
  <tr>
    <td valign="middle" width="94" class="yellow"><div align="center"><span class="fBlack10100">決裁者ルート</span></div></td>
<?php
	$oddmansArray = GetOddmansArray($conn, $dbSqlObj, $dbExecObj);
	$oddmansDefault = "<tr><td valign=\"middle\" class=\"crame\"><span class=\"fBlack10100\"><b>デフォルト</b></span></td>\n";

	if ($isUnifyExist)
	{
		$oddmansDirect = "<tr><td valign=\"middle\" class=\"crame\"><span class=\"fBlack10100\"><b>ダイレクト</b></span></td>\n";
		$oddmansDirectName = GetOddmansArrayDirect($conn, $dbSqlObj, $dbExecObj);
	}

	if (count($oddmansArray) <= 0)
	{
		if ($isUnifyExist)
		{
			print("<td valign=\"middle\" width=\"94\" class=\"yellow\"><div align=\"center\">1次決裁者</div></td>\n");
			$oddmansDefault .= "<td valign=\"middle\" class=\"white\">&nbsp;</td>\n";
			$oddmansDirect .= "<td valign=\"middle\" class=\"white\">" . htmlSpecialEscape($oddmansDirectName) . "</td>";
		}
	}

	for ($i = 0; $i < count($oddmansArray); $i++)
	{
		print("<td valign=\"middle\" width=\"94\" class=\"yellow\"><div align=\"center\">" . (string)($i + 1) . "次決裁者</div></td>\n");
		$oddmansDefault .= "<td valign=\"middle\" class=\"white\">" . htmlSpecialEscape($oddmansArray[$i]) . "</td>\n";

		if ($isUnifyExist)
		{
			if ($i < 1)
			{
				$oddmansDirect .= "<td valign=\"middle\" class=\"white\">" . htmlSpecialEscape($oddmansDirectName) . "</td>";
			}
			else
			{
				$oddmansDirect .= "<td valign=\"middle\" class=\"white\">&nbsp;</td>";
			}
		}
	}

	$oddmansDefault .= "</tr>\n";

	if ($isUnifyExist)
	{
		$oddmansDirect .= "</tr>\n";
	}

	print("</tr>\n");
	print($oddmansDefault);

	if ($isUnifyExist)
	{
		print($oddmansDirect);
	}
?>
</table>
</td></tr></table>
<?php
}

if ($sub == "申請書の状況確認" || $sub == "申請取り下げ" || $sub == "確認" || $sub2 == "検索")
{
	if ($sub == "申請取り下げ") 
	{
		$petition_time = rawurldecode($petition_time);
		$strSql = $dbSqlObj->sqlBeginTrans();
		$dbExecObj->exeSql($conn, $strSql);
		$sqlstr = $dbSqlObj->selectEmployeeNextoddWorkflowMst_wflow(TrimGMT($petition_time));
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result) 
		{
			showError(htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報を取得できませんでした。");
			exit;
		} 
		if (0 < $dbExecObj->getNumRows($result))
		{
			$email = $dbExecObj->getResult($result, 0, "email");
		}
		else
		{
			$email = "";
		}
		if ($email != "")
		{
			$mailstr = "■Message from WIZ\r\n\r\n";
			$mailstr .= $dbExecObj->getResult($result, 0, "petition_name") . "が取り下げられました。\r\n\r\n";
			$mailstr .= "申請者：" . GetEmpName($conn, $dbExecObj->getResult($result, 0, "emp_cd"), $dbSqlObj, $dbExecObj) . "\r\n";
			$mailstr .= "提出日時：" . TrimGMT($petition_time) . "\r\n";
			$mailstr .= $matter[$dbExecObj->getResult($result, 0, "petition_type") - 1] . "：" . $dbExecObj->getResult($result, 0, "purpose") . "\r\n\r\n";
			$mailstr .= $_ROOT_URL_ . "\r\n";
			$mailstr .= $_ROOT_URL_ . "index.php\r\n\r\n";
			$mailstr .= "※本メールに返信は不要です。\r\n";
			// 半角対応
			$mailstr = mb_convert_kana($mailstr);
			// Fromを管理者のメールアドレスにする
			$fromMailStr = $admin;
		}

		// 取り下げメールを送信するかどうか取得
		$send_withdrawal_mail = $dbExecObj->getResult($result, 0, "send_withdrawal_mail");
		$strSql = $dbSqlObj->selectWorkflowFilename($petition_time);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result) 
		{
			showError("データベースに異常：申請書の取り下げに失敗しました。");
			$strSql = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $strSql);
			exit;
		}

		if (0 < $dbExecObj->getNumRows($result))
		{
			$filename = $dbExecObj->getResult($result, 0, "filename");
		}
		else
		{
			$filename = "";
		}

		$sqlstr = $dbSqlObj->deleteNextodd($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);

		if (!$result) 
		{
			showError("データベースに異常：申請書の取り下げに失敗しました。");
			$sqlstr = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $sqlstr);
			exit;
		}

		$sqlstr = $dbSqlObj->deleteWorkflow($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);

		if (!$result) 
		{
			showError("データベースに異常：申請書の取り下げに失敗しました。");
			$sqlstr = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $sqlstr);
			exit;
		}

		$sqlstr = $dbSqlObj->deleteOddmans($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result) 
		{
			showError("データベースに異常：申請書の取り下げに失敗しました。");
			$sqlstr = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $sqlstr);
			exit;
		}
		$sqlstr = $dbSqlObj->sqlCommitTrans();
		$dbExecObj->exeSql($conn, $sqlstr);
		if (strcmp($filename, "") != 0)
		{
			$petition_time_filename = ereg_replace("[:\+ \-]", "", $petition_time);
			$deleteFileName = $petition_time_filename . "_" . $filename;

			//linかwinで。
			switch ($os_type)
			{
				case "Linux":
//					$deleteFileName = mb_convert_encoding($deleteFileName, "EUC");
					break;
				case "Windows":
					$deleteFileName = mb_convert_encoding($deleteFileName, "SJIS", "EUC");
					break;
				default:
					break;
			}

			fileDelete($savefile_path . "workflow/" . $petition_cd . "/" . $deleteFileName);
		}
		// アドレスが存在している場合かつ、取り下げメールを送信する設定になっている場合、送信する
		if ($email != "" && $send_withdrawal_mail != "f")
		{
			// カレントの言語を設定
			mb_language("Japanese");

			// ヘッダを指定
//			$MailHeaders  = "Mime-Version: 1.0\r\n";
//			$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//			$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//			$MailHeaders .= "From:$fromMailStr\r\n";

			// メール送信
//			mb_send_mail($email, "[WIZ]ワークフロー 取り下げ", $mailstr, "From: $fromMailStr");
			mb_send_mail($email, "[WIZ] ワークフロー 取り下げ", $mailstr, "From: $fromMailStr");
//			mail($email,
//				("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ]ワークフロー 取り下げ","JIS","EUC")) . "?="),
//				i18n_convert($mailstr,"JIS","EUC"), $MailHeaders);
		}

		writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
	}
	elseif ($sub == "確認") 
	{
		$petition_time = rawurldecode($petition_time_c);
		$strSql = $dbSqlObj->updateWorkflowEndflg($petition_time);
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result) 
		{
			showError("データベースに異常：承認済み申請書の確認に失敗しました。");
			exit;
		}
	}

	if (!$division)
	{
		$division = "all";
	}

	if (!$emp_cd) 
	{
		$emp_cd = $_SERVER["PHP_AUTH_USER"];
	}

	$javaScriptSelect_DivEmp = new JavaScriptSelect_DivEmp();
	$javaScriptSelect_DivEmp->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$javaScriptSelect_DivEmp->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$javaScriptSelect_DivEmp->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$javaScriptSelect_DivEmp->setSubElementCodeColumnName("emp_cd");		// サブ要素のコードカラム名
	$javaScriptSelect_DivEmp->setMainIncludeAll("True");					// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubIncludeAll("True");						// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_DivEmp->setMainAllSubIncludeAll("True");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp->setMainFormSelectName("division");			// メイン要素の<select>の名前
	$javaScriptSelect_DivEmp->setSubFormSelectName("emp_cd");				// サブ要素の<select>の名前
	$javaScriptSelect_DivEmp->setInitSelectFunctionName("initSelect");		// initSelect()の名前
	$javaScriptSelect_DivEmp->setChangeSelectFunctionName("changeSelect");	// changeSelect()の名前
	$javaScriptSelect_DivEmp->setDisableJavaScriptShowMain("False");		// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$javaScriptSelect_DivEmp->setMainElementCodeFromHttp($division);		// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp->setSubElementCodeFromHttp($emp_cd);			// HTTP経由で受け取ったサブ要素のコード
	$javaScriptSelect_DivEmp->setElement($conn, $dbSqlObj, $dbExecObj);

	$javaScriptSelect_DivEmp_Oddman = new JavaScriptSelect_DivEmp();
	$javaScriptSelect_DivEmp_Oddman->setMainElementNameColumnName("div_name");		// メイン要素の名前カラム名
	$javaScriptSelect_DivEmp_Oddman->setMainElementCodeColumnName("division");		// メイン要素のコードカラム名
	$javaScriptSelect_DivEmp_Oddman->setSubElementNameColumnName("name");			// サブ要素の名前カラム名
	$javaScriptSelect_DivEmp_Oddman->setSubElementCodeColumnName("emp_cd");			// サブ要素のコードカラム名
	$javaScriptSelect_DivEmp_Oddman->setMainIncludeAll("True");						// メイン要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp_Oddman->setSubIncludeAll("False");						// サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp_Oddman->setSubAllOnly("False");						// メイン要素が"全て"の場合、サブ要素が"全て"のみかどうか
	$javaScriptSelect_DivEmp_Oddman->setMainAllSubIncludeAll("True");				// メイン要素が"全て"の場合、サブ要素が"全て"を含むかどうか
	$javaScriptSelect_DivEmp_Oddman->setMainFormSelectName("divisionOddman");		// メイン要素の<select>の名前
	$javaScriptSelect_DivEmp_Oddman->setSubFormSelectName("oddman");				// サブ要素の<select>の名前
	$javaScriptSelect_DivEmp_Oddman->setInitSelectFunctionName("initSelect2");		// initSelect()の名前
	$javaScriptSelect_DivEmp_Oddman->setChangeSelectFunctionName("changeSelect2");	// changeSelect()の名前
	$javaScriptSelect_DivEmp_Oddman->setDisableJavaScriptShowMain("False");			// JavaScriptが無効の際、メイン要素を表示させるかどうか
	$javaScriptSelect_DivEmp_Oddman->setMainElementCodeFromHttp($divisionOddman);	// HTTP経由で受け取ったメイン要素のコード
	$javaScriptSelect_DivEmp_Oddman->setSubElementCodeFromHttp($oddman);			// HTTP経由で受け取ったサブ要素のコード
	$javaScriptSelect_DivEmp_Oddman->setElement($conn, $dbSqlObj, $dbExecObj);

	$strSql = $dbSqlObj->selectWorkflowPetition_timeWithEndflg($division, $emp_cd);
	$result = $dbExecObj->exeSql($conn, $strSql);
	if (!$result) 
	{
		showError("データベースに異常：決裁者の人数がカウントできません。");
		exit;
	}

	$count = $dbExecObj->getNumRows($result);
	$oddmaxcount = 0;		// 一覧中で最も決済者が多い申請書の決済者数
	for ($i = 0; $i < $count; $i++)
	{
		$strSql = $dbSqlObj->selectOddmansSeqMax($dbExecObj->getResult($result, $i, "petition_time"));
		$resultMax = $dbExecObj->exeSql($conn, $strSql);
		if (!$resultMax) 
		{
			showError("データベースに異常：決裁者の人数がカウントできません。");
			exit;
		}

		if ($oddmaxcount < $dbExecObj->getResult($resultMax, 0, "max_of_field"))
		{
			$oddmaxcount = $dbExecObj->getResult($resultMax, 0, "max_of_field");
		}
	}
?>
<SCRIPT LANGUAGE="JavaScript">
<!--
<?php
	$javaScriptSelect_DivEmp->printInitSelectFunction();
	$javaScriptSelect_DivEmp->printChangeSelectFunction();
	$javaScriptSelect_DivEmp_Oddman->printInitSelectFunction();
	$javaScriptSelect_DivEmp_Oddman->printChangeSelectFunction();
?>
//-->
</SCRIPT>

<form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST" name="searchForm">
  <table cellpadding="5">
    <tr>
      <td colspan="3"><span class="fBlack12100">■ 検索条件</span></td>
    </tr>
    <tr>
      <td><div class="fBlack10100"><b>申請書類別</b></div></td>
      <td><div class="fBlack10100"><b>申請者</b></div></td>
      <td><div class="fBlack10100"><b>決済者</b></div></td>
    </tr>
    <tr ALIGN="left" valign="top">
      <td>
        <select name="petition_cd" size="1">
          <option value="all" <?php if ($petition_cd == "all" || !$petition_cd) { echo "SELECTED"; } ?>>全て</option>
	<?php
		$strSql = $dbSqlObj->selectMst_wflow();
		$result = $dbExecObj->exeSql($conn, $strSql);
		if (!$result) 
		{
			showError("データベースに異常：申請書の種類が取得できません。");
			exit;
		}
		
	 	$count = $dbExecObj->getNumRows($result);
	 	for ($i = 0; $i < $count; $i++)
		{
			print("<option value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_cd")) . "\"");
			if ($petition_cd == $dbExecObj->getResult($result, $i, "petition_cd")) 
			{
				print(" selected");
			}
			print(">" . htmlSpecialEscape($dbExecObj->getResult($result, $i, "petition_name")) . "</option>\n");
		}
	?>
        </select>
      </td>
      <td nowrap>
        <div align="left">
        <span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：</span><select name="division" onChange="changeSelect(searchForm)">
<?php
	$javaScriptSelect_DivEmp->printDefaultMainOption();
?>
        </select>
        </div>
        <div align="left">
        <span class="fBlack10100">個人名：</span><select name="emp_cd">
<?php
	$javaScriptSelect_DivEmp->printDefaultSubOption();
?>
        </select>
        </div>
      </td>
      <td nowrap>
        <div align="left">
        <span class="fBlack10100"><?php echo htmlSpecialEscape($varPhraseSet["strSection"]) ?>名：</span><select name="divisionOddman" onChange="changeSelect2(searchForm)">
<?php
	$javaScriptSelect_DivEmp_Oddman->printDefaultMainOption();
?>
        </select>
        </div>
        <div align="left">
        <span class="fBlack10100">個人名：</span><select name="oddman">
<?php
	$javaScriptSelect_DivEmp_Oddman->printDefaultSubOption();
?>
        </select>
        </div>
      </td>
    </tr>
    <tr>
      <td colspan="3">
        <input type="submit" name="sub2" value="検索">
      </td>
    </tr>
  </table>
</form>
<?php
	//-- open/closeモード
	if (strtoupper($workflowPublicLevel) == "CLOSE" && admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj) < 1)
	{
		$sqlstr = $dbSqlObj->selectWorkflowEmployeeMst_wflowWithEmp_cdPetition_cdEndflgClose($_SERVER["PHP_AUTH_USER"],
																							$petition_cd,
																							$division,
																							$emp_cd,
																							$divisionOddman,
																							$oddman);
	}
	else
	{
		$sqlstr = $dbSqlObj->selectWorkflowEmployeeMst_wflowWithEmp_cdPetition_cdEndflg($petition_cd,
																						$division,
																						$emp_cd,
																						$divisionOddman,
																						$oddman);
	}
echo "<!--" . $sqlstr . "-->";
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result)
	{
		showError("データベースに障害：指定された申請書が検索できませんでした。");
		exit;
	}

	$count = $dbExecObj->getNumRows($result);
?>
<table border="0" cellspacing="0" cellpadding="0"><tr><td  class="gray">
<table border="0" cellspacing="1" cellpadding="3">
<?php
	for ($k = 0; $k < $count; $k++)
	{
		$petition_time_str = $dbExecObj->getResult($result, $k, "petition_time");
?>
  <tr>
    <td rowspan="2" class="crame" valign="middle">
      <div align="center"><span class="fBlack10100">
        <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"])?>?sub=view&petition_time=<?php echo rawurlencode($petition_time_str)?>&emp_cd=<?php echo $dbExecObj->getResult($result, $k, "emp_cd")?>">
          <?php echo ereg_replace("-", "/", $dbExecObj->getResult($result, $k, "petition_time"))?>
          <BR>
          <?php echo htmlSpecialEscape($dbExecObj->getResult($result, $k, "petition_name"))?>
        </a></span>
      </div>
    </td>
    <td class="orange">
      <div align="center"><span class="fWhite10100">申請者</span></div>
    </td>
<?php
		$od = $dbExecObj->getResult($result, $k, "oddtime");
		$od = ereg_replace("[{}]", "", $od);
		$tok = strtok($od, ",");
		for ($i = 0; $tok; $i++) 
		{
			$odtok[$i] = $tok;
			$tok = strtok(",");
		}
		$odtokcount = $i;
		$petition_cd = $dbExecObj->getResult($result, $k, "petition_cd");
		$petition_time = $dbExecObj->getResult($result, $k, "petition_time");
		$sqlstr = $dbSqlObj->selectOddmansEmployeeWherePetition_cdPetition_timeEmp_cdOrderSeq($petition_cd, $petition_time);
		$resultb = $dbExecObj->exeSql($conn, $sqlstr);
		$rowoddcount = $dbExecObj->getNumRows($resultb);
		
		for ($i = 0; $i < $oddmaxcount; $i++)
		{
			if ($i >= $rowoddcount) 
			{
?>
    <td class="emerald">
      <div align="center"><span class="fWhite10100">&nbsp;</span></div>
    </td>
<?php
			} 
			else 
			{
?>
    <td class="emerald">
      <div align="center"><span class="fWhite10100"><?php echo htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "last_name_j"))?></span></div>
    </td>
<?php
			}
		}
?>
    <td class="sky">
      <div align="center"><span class="fWhite10100">備考</span></div>
    </td>
  </tr>
  <tr>
    <td class="white" valign="middle">
      <div align="center"><span class="fBlack10100"><?php echo htmlSpecialEscape($dbExecObj->getResult($result,$k,"name"))?></span></div>
    </td>
<?php
		$i = 0;
		while ($i < $oddmaxcount) 
		{
			while ($i < $odtokcount)
			{
				$j = $i + 1;
				$sqlstr = $dbSqlObj->selectOddmansEmployeeWherePetition_cdPetition_timeSeqEmp_cd($petition_cd, $petition_time, $j);
				$resultc = $dbExecObj->exeSql($conn, $sqlstr);
?>
    <td class="white" valign="middle">
      <div align="center">
        <span class="fBlack10100"><?php echo htmlSpecialEscape($dbExecObj->getResult($resultc, 0, "last_name_j"))?></span>
      <BR>
        <span class="fBlack10100"><?php echo htmlSpecialEscape(ereg_replace("-", "/", mb_substr($odtok[$i], 0, 10)))?></span>
      </div>
    </td>
<?php
				$i++;
			}
			if ($i < $oddmaxcount) 
			{
?>
    <td class="white" valign="middle"><span class="fBlack10100">&nbsp;</span></td>
<?php
				$i++;
			}
		}
?>
    <td class="white" valign="middle" align="center">
<?php
		if ($dbExecObj->getResult($result, $k, "ngflg") == "t")
		{
?>
      <span class="fRed10100">※※差し戻されました。※※</span>
      <BR>
<?php
			if ($dbExecObj->getResult($result, $k, "emp_cd") == $_SERVER["PHP_AUTH_USER"] || 0 < admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj))
			{
?>
      <form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST">
<?php
			if ($dbExecObj->getResult($result, $k, "emp_cd") == $_SERVER["PHP_AUTH_USER"])
			{
?>
        <input type="submit" name="sub" value="申請取り下げ" onClick="return confirm('本当に取り下げますか？')">
        <br>
        <input type="submit" name="sub" value="確認と再提出">
<?php
			}
			else
			{
?>
        <input type="submit" name="sub" value="管理者権限で申請取り下げ" onClick="return confirm('本当に取り下げますか？')">
<?php
			}
?>
        <input type="hidden" name="petition_time" value="<?php echo rawurlencode($dbExecObj->getResult($result, $k, "petition_time")) ?>">
        <input type="hidden" name="petition_cd" value="<?php echo $dbExecObj->getResult($result, $k, "petition_cd") ?>">
        <input type="hidden" name="petition_type" value="<?php echo $dbExecObj->getResult($result, $k, "petition_type") ?>">
        <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd) ?>">
        <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
      </form>
<?php
			}
		}
		elseif ($dbExecObj->getResult($result, $k, "oddall") == "t")
		{
?>
      <font color="red" size="2">※※承認されました。※※</font><BR>
<?php
			if ($dbExecObj->getResult($result, $k, "emp_cd") == $_SERVER["PHP_AUTH_USER"])
			{
?>
      <form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST">
        <input type="submit" name="sub" value="確認">
        <input type="hidden" name="petition_time_c" value="<?php echo rawurlencode($dbExecObj->getResult($result, $k, "petition_time")) ?>">
      </form>
<?php
			}
		}
		elseif ($dbExecObj->getResult($result, $k, "emp_cd") == $_SERVER["PHP_AUTH_USER"] || 0 < admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj))
		{
?>
      <form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST">
<?php
			if ($dbExecObj->getResult($result, $k, "emp_cd") == $_SERVER["PHP_AUTH_USER"])
			{
?>
        <input type="submit" name="sub" value="申請取り下げ" onClick="return confirm('本当に取り下げますか？')">
<?php
			}
			else
			{
?>
        <input type="submit" name="sub" value="管理者権限で申請取り下げ" onClick="return confirm('本当に取り下げますか？')">
<?php
			}
?>
        <input type="hidden" name="petition_time" value="<?php echo rawurlencode($dbExecObj->getResult($result, $k, "petition_time")) ?>">
        <input type="hidden" name="petition_cd" value="<?php echo $dbExecObj->getResult($result, $k, "petition_cd") ?>">
        <input type="hidden" name="petition_type" value="<?php echo $dbExecObj->getResult($result, $k, "petition_type") ?>">
        <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd)?>">
        <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
      </form>
<?php
		}
		else
		{
			echo "&nbsp;";
		}
?>
    </td>
  </tr>
<?php
	}
?>
</table>
</td></tr></table>
<SCRIPT Language="JavaScript">
<!--
initSelect(document.searchForm);
initSelect2(document.searchForm);
//-->
</SCRIPT>
<?php
}
if (($sub == "次へ" && $root == "2" && $rootflg == "") || ($sub == "決裁者に追加") || ($sub == "決裁者を変更") || ($sub == "決裁者クリア"))
{
	include ("include/originalroot.conf");
}
elseif ($sub == "次へ" || $sub == "確認と再提出")
{
	// オリジナルルートの場合、決裁者が未設定の場合がある為
	if ($rootflg == "1")
	{
		$sqlstr = $dbSqlObj->selectOddmansCountWherePetition_cdPetition_time($petition_cd, $petition_time_temp);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			showError("データベースに異常：検索できません。");
			exit;
		}

		if ($dbExecObj->getResult($result, 0, "count_of_records") <= 0)
		{
			showError("決裁者が設定されていません。");
			exit;
		}
	}

	if ($root == "0")
	{
		// 決裁者がいない場合はエラー
		$oddmansArray = GetOddmansArray($conn, $dbSqlObj, $dbExecObj);

		if (count($oddmansArray) <= 0)
		{
			showError("決裁者が設定されていません。<br>チーフ設定をしてください。");
			exit;
		}
	}

	if ($sub == "確認と再提出")
	{
		$sw1 = 0;
		$petition_time = rawurldecode($petition_time);
		$sqlstr = $dbSqlObj->selectWorkflowCasusMst_wflowEmployeeWherePetition_timePetition_cdEmp_cd($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			showError("データベースに異常：検索できません。");
			exit;
		}
	}
	else
	{
		$sw1 = 1;
		$sqlstr = $dbSqlObj->selectMst_wflowWherePetition_cd($petition_cd);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			showError("データベースに異常：申請書のタイプが取得できません。");
			exit;
		}
	}

	$petition_type = $dbExecObj->getResult($result, 0, "petition_type");
	switch ($petition_type)
	{
		case CIRCULAR_FLOW:
?>
<form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST">
  <span class="fBlack12100">■ <?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "petition_name"))?></span>
  <table border="0" cellspacing="2" cellpadding="3">
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>件名：</b></span></td>
      <td>
        <input type="text" name="purpose" size="70" MAXLENGTH="70" <?php if ($sw1 == 0) { echo " value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, 0, "purpose")) . "\""; } ?>>
      </td>
    </tr>
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>提案理由：</b></span></td>
      <td>
        <textarea name="detail" ROWS="5" COLS="70" WRAP="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "detail")); }?></textarea>
      </td>
    </tr>
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>効果（現状比較）：</b></span></td>
      <td>
        <textarea name="etc" ROWS="5" COLS="70" WRAP="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "etc")); }?></textarea>
      </td>
    </tr>
    <tr> 
      <td valign="top"><span class="fBlack10100"><b>予算：</b></span></td>
      <td>
        <input type="text" name="ammount" MAXLENGTH="20" size="10" <?php if ($sw1 == 0) { echo "value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, 0, "ammount")) . "\""; } ?>>円
      </td>
    </tr>
  
<?php
			if ($petition_time) 
			{
?>
    <tr> 
      <td valign="top"><span class="fBlack10100"><b>差戻事由：</b></span></td>
      <td>
        <font color=red><?php echo nl2br(htmlSpecialEscape($dbExecObj->getResult($result, 0, "casus")))?>(<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "name"))?>)</font>
      </td>
    </tr>
    <input type="hidden" name="petition_time" value="<?php echo rawurlencode($petition_time)?>">
<?php
			}
?>
    <tr>
      <td>
        <input type="submit" name="sub" value="提出">
        <input type="reset" name="sub" value="クリア">
      </td>
    </tr>
    <input type="hidden" name="petition_type" value="<?php echo htmlSpecialEscape($petition_type) ?>">
    <input type="hidden" name="petition_cd" value="<?php echo $petition_cd ?>">
    <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd)?>">
    <input type="hidden" name="root" value="<?php echo htmlSpecialEscape($root) ?>">
    <input type="hidden" name="petition_time_temp" value="<?php echo htmlSpecialEscape($petition_time_temp) ?>">
    <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
  </table>
</form>
<?php
			break;
		case HOLIDAY_FLOW:
?>
<form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST">
  <span class="fBlack12100">■ <?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "petition_name")) ?></span>
  <table border="0" cellspacing="2" cellpadding="3">
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>区分：</b></span></td>
      <td>
        <select name="ammount">
          <option value="none"><?php echo "選択してください" ?></option>
          <option value="0"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 0) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[0]) ?></option>
          <option value="1"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 1) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[1]) ?></option>
          <option value="2"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 2) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[2]) ?></option>
          <option value="3"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 3) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[3]) ?></option>
          <option value="4"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 4) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[4]) ?></option>
          <option value="5"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 5) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[5]) ?></option>
          <option value="6"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 6) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[6]) ?></option>
          <option value="7"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 7) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[7]) ?></option>
          <option value="8"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 8) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[8]) ?></option>
          <option value="9"<?php if ($sw1 == 0) { if ($dbExecObj->getResult($result, 0, "ammount") == 9) { echo " SELECTED"; } } ?>><?php echo htmlSpecialEscape($classify[9]) ?></option>
        </select>
      </td>
    </tr>
<?php
			if ($sw1 == 0)
			{
				$byear = $dbExecObj->getResult($result, 0, "byear");
				$bmonth = $dbExecObj->getResult($result, 0, "bmonth");
				$bday = $dbExecObj->getResult($result, 0, "bday");
				$bhour = $dbExecObj->getResult($result, 0, "bhour");
				$bmin = $dbExecObj->getResult($result, 0, "bmin");
				$eyear = $dbExecObj->getResult($result, 0, "eyear");
				$emonth = $dbExecObj->getResult($result, 0, "emonth");
				$eday = $dbExecObj->getResult($result, 0, "eday");
				$ehour = $dbExecObj->getResult($result, 0, "ehour");
				$emin = $dbExecObj->getResult($result, 0, "emin");
			}
			else
			{
				$byear = date(Y);
				$bmonth = date(n);
				$bday = date(j);
				$bhour = 0;
				$bmin = 0;
				$eyear = date(Y);
				$emonth = date(n);
				$eday = date(j);
				$ehour = 0;
				$emin = 0;
			}
?>
    <tr>
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>取得日時：</b></span></td>
      <td>
        <input type="text" name="byear" size="4" MAXLENGTH="4" value="<?php echo $byear ?>">年
        <select name="bmonth">
			<?php
			for ($i = 1; $i <= 12; $i++)
			{
			?>
          <option <?php if ($bmonth == $i) { echo " selected"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>月
        <select name="bday">
			<?php
			for ($i = 1; $i <= 31; $i++)
			{
			?>
          <option <?php if ($bday == $i) { echo " selected"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>日
        <select name="bhour">
			<?php
			for ($i = 0; $i <= 23; $i++)
			{
			?>
          <option <?php if ($bhour == $i) { echo " SELECTED"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>時
        <select name="bmin">
			<?php
			for ($i = 0; $i <= 5; $i++)
			{
			?>
          <option <?php if ($bmin == ($i * 10)) { echo " SELECTED";} ?>><?php echo $i * 10 ?></option>
			<?php
			}
			?>
        </select>分から
        <BR>
        <input type="text" name="eyear" size="4" MAXLENGTH="4" value="<?php echo $eyear ?>">年
        <select name="emonth">
			<?php
			for ($i = 1; $i <= 12; $i++)
			{
			?>
          <option <?php if ($emonth == $i) { echo " selected"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>月
        <select name="eday">
			<?php
			for ($i = 1; $i <= 31; $i++)
			{
			?>
          <option <?php if ($eday == $i) { echo " selected"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>日
        <select name="ehour">
			<?php
			for ($i = 0; $i <= 23; $i++)
			{
			?>
          <option <?php if ($ehour == $i) { echo " selected";} ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>時 
        <select name="emin">
			<?php
			for ($i = 0; $i <= 5; $i++)
			{
			?>
          <option <?php if ($emin == ($i * 10)) { echo " selected"; } ?>><?php echo $i * 10 ?></option>
			<?php
			}
			?>
        </select>分まで
      </td>
    </tr>
    <tr>
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>事由：</b></span></td>
      <td>
        <textarea name="purpose" rows="5" cols="70" wrap="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "purpose")); } ?></textarea>
      </td>
    </tr>
    <tr>
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>連絡先：</b></span></td>
      <td>
        <textarea name="detail" rows="5" cols="70" wrap="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "detail")); } ?></textarea>
      </td>
    </tr>
    <tr>
      <td valign="top"><span class="fBlack10100"><b>備考：</b></span></td>
      <td>
        <textarea name="etc" ROWS="5" COLS="70" WRAP="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "etc")); }?></textarea><P>
      </td>
    </tr>
<?php
			if ($petition_time)
			{
?>
    <tr> 
      <td valign="top"><span class="fBlack10100"><b>差戻事由：</b></span></td>
      <td>
        <font color=red><?php echo nl2br(htmlSpecialEscape($dbExecObj->getResult($result, 0, "casus")))?>(<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "name"))?>)</font>
      </td>
    </tr>
    <input type="hidden" name="petition_time" value="<?php echo rawurlencode($petition_time)?>">
<?php
			}
?>
    <tr>
      <td>
        <input type="submit" name="sub" value="提出">
        <input type="reset" name="sub" value="クリア">
        <input type="hidden" name="petition_type" value="<?php echo htmlSpecialEscape($petition_type) ?>">
        <input type="hidden" name="petition_cd" value="<?php echo $petition_cd ?>">
        <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd)?>">
        <input type="hidden" name="root" value="<?php echo htmlSpecialEscape($root) ?>">
        <input type="hidden" name="petition_time_temp" value="<?php echo htmlSpecialEscape($petition_time_temp) ?>">
        <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
      </td>
    </tr>
  </table>
</form>
<?php
			break;
		// 在宅勤務報告書
		case TELECOMMUTING_FLOW:
			if ($sw1 == 0)
			{
				$byear = $dbExecObj->getResult($result, 0, "byear");
				$bmonth = $dbExecObj->getResult($result, 0, "bmonth");
				$bday = $dbExecObj->getResult($result, 0, "bday");
				$bhour = $dbExecObj->getResult($result, 0, "bhour");
				$bmin = $dbExecObj->getResult($result, 0, "bmin");
				$eyear = $dbExecObj->getResult($result, 0, "eyear");
				$emonth = $dbExecObj->getResult($result, 0, "emonth");
				$eday = $dbExecObj->getResult($result, 0, "eday");
				$ehour = $dbExecObj->getResult($result, 0, "ehour");
				$emin = $dbExecObj->getResult($result, 0, "emin");
			}
			else
			{
				$byear = date(Y);
				$bmonth = date(n);
				$bday = date(j);
				$bhour = 0;
				$bmin = 0;
				$eyear = date(Y);
				$emonth = date(n);
				$eday = date(j);
				$ehour = 0;
				$emin = 0;
			}
?>
<form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="POST">
  <span class="fBlack12100">■ <?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "petition_name")) ?></span>
  <table border="0" cellspacing="2" cellpadding="3">
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>在宅勤務日時：</b></span></td>
      <td>
        <input type="text" name="byear" size="4" MAXLENGTH="4" value="<?php echo $byear ?>">年
        <select name="bmonth">
			<?php
			for ($i = 1; $i <= 12; $i++)
			{
			?>
          <option <?php if ($bmonth == $i) { echo " SELECTED"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>月
        <select name="bday">
			<?php
			for ($i = 1; $i <= 31; $i++)
			{
			?>
          <option <?php if ($bday == $i) { echo " SELECTED"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>日
        <select name="bhour">
			<?php
			for ($i = 0; $i <= 23; $i++)
			{
			?>
          <option <?php if ($bhour == $i) { echo " SELECTED"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>時
        <select name="bmin">
			<?php
			for ($i = 0; $i <= 5; $i++)
			{
			?>
          <option <?php if ($bmin == ($i * 10)) { echo " SELECTED";} ?>><?php echo $i * 10 ?></option>
			<?php
			}
			?>
        </select>分から
        <BR>
        <input type="text" name="eyear" size="4" MAXLENGTH="4" value="<?php echo $eyear ?>">年
        <select name="emonth">
			<?php
			for ($i = 1; $i <= 12; $i++)
			{
			?>
          <option <?php if ($emonth == $i) { echo " SELECTED"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>月
        <select name="eday">
			<?php
			for ($i = 1; $i <= 31; $i++)
			{
			?>
          <option <?php if ($eday == $i) { echo " SELECTED"; } ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>日
        <select name="ehour">
			<?php
			for ($i = 0; $i <= 23; $i++)
			{
			?>
          <option <?php if ($ehour == $i) { echo " SELECTED";} ?>><?php echo $i ?></option>
			<?php
			}
			?>
        </select>時 
        <select name="emin">
			<?php
			for ($i = 0; $i <= 5; $i++)
			{
			?>
          <option <?php if ($emin == ($i * 10)) { echo " SELECTED"; } ?>><?php echo $i * 10 ?></option>
			<?php
			}
			?>
        </select>分まで
      </td>
    </tr>
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>在宅理由：</b></span></td>
      <td>
        <textarea name="purpose" rows="5" cols="70" wrap="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "purpose")); } ?></textarea>
      </td>
    </tr>
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>プロジェクト名：</b></span></td>
      <td>
        <input type="text" name="detail" size="70" MAXLENGTH="70"<?php if ($sw1 == 0) { echo " value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, 0, "detail")) . "\""; } ?>><P>
      </td>
    </tr>
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>作業内容：</b></span></td>
      <td>
        <textarea name="etc" ROWS="5" COLS="70" WRAP="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "etc")); }?></textarea><P>
      </td>
    </tr>
<?php
			if ($petition_time)
			{
				print("<b>差戻事由：</b><br><table border BGCOLOR=\"fff8dc\"><td>");
				print("<font color=\"red\">" . nl2br(htmlSpecialEscape($dbExecObj->getResult($result, 0, "casus"))));
				print("<small>(" . htmlSpecialEscape($dbExecObj->getResult($result, 0, "name")) . ")</small></font></td></table><P>\n");
				print("<input type=\"hidden\" name=\"petition_time\" value=\"" . rawurlencode($petition_time) . "\">");
			}
?>
    <tr>
      <td>
        <input type="submit" name="sub" value="提出">
        <input type="reset" name="sub" value="クリア">
        <input type="hidden" name="petition_type" value="<?php echo htmlSpecialEscape($petition_type) ?>">
        <input type="hidden" name="petition_cd" value="<?php echo $petition_cd ?>">
        <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd)?>">
        <input type="hidden" name="root" value="<?php echo htmlSpecialEscape($root) ?>">
        <input type="hidden" name="petition_time_temp" value="<?php echo htmlSpecialEscape($petition_time_temp) ?>">
        <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
      </td>
    </tr>
  </table>
</form>
<?php
			break;
		case FILE_FLOW:
?>
<form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="post" ENCTYPE="multipart/form-data">
  <span class="fBlack12100">■ <?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "petition_name"))?></span>
  <table border="0" cellspacing="2" cellpadding="3">
    <tr> 
      <td valign="top"><font color="red">*</font><span class="fBlack10100"><b>件名：</b></span></td>
      <td>
        <input type="text" name="purpose" size="70" MAXLENGTH="70"<?php if ($sw1 == 0) { echo " value=\"" . htmlSpecialEscape($dbExecObj->getResult($result, 0, "purpose")) . "\""; } ?>>
      </td>
    </tr>
    <tr> 
      <td valign="top"><span class="fBlack10100"><b>備考：</b></span></td>
      <td>
        <textarea name="detail" ROWS="5" COLS="70" WRAP="soft"><?php if ($sw1 == 0) { echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "detail")); }?></textarea>
      </td>
    </tr>
    <tr> 
      <td valign="top">
        <font color="red">*</font>
        <span class="fBlack10100"><b>提出ファイル：</b></span><br>
        <span class="fRed10100"><b>（<?php echo (round($maxfilesize/1024/1024)) ?>MBまで）</b></span>
      </td>
      <td>
        <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $maxfilesize ?>">
        <input type="file" name="userfile" size="60">
      </td>
    </tr>
<?php
			if ($petition_time)
			{			
				$filename = $dbExecObj->getResult($result, 0, "filename");
				$petition_time_filename = ereg_replace("[:\+ \-]", "", $petition_time);
?>
    <tr> 
      <td valign="top"><span class="fBlack10100"><b>前回提出ファイル：</b></span></td>
      <td>
        <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?sub=download&petition_cd=<?php echo $dbExecObj->getResult($result, 0, "petition_cd") ?>&filenametemp=<?php echo rawurlencode($petition_time_filename . "_" . $filename) ?>&filename=<?php echo rawurlencode($filename) ?>" target="_blank"><?php echo htmlSpecialEscape($filename) ?></a>
      </td>
    </tr>
<?php
			}
			if ($petition_time)
			{
?>
    <tr> 
      <td valign="top"><span class="fBlack10100"><b>差戻事由：</b></span></td>
      <td>
        <font color=red><?php echo nl2br(htmlSpecialEscape($dbExecObj->getResult($result, 0, "casus")))?>(<?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "name"))?>)</font>
      </td>
    </tr>
    <input type="hidden" name="petition_time" value="<?php echo rawurlencode($petition_time)?>">
    <input type="hidden" name="filename" value="<?php echo rawurlencode($filename)?>">
<?php
			}
?>
    <tr>
      <td>
        <input type="submit" name="sub" value="提出">
        <input type="reset" name="sub" value="クリア">
        <input type="hidden" name="petition_type" value="<?php echo htmlSpecialEscape($petition_type) ?>">
        <input type="hidden" name="petition_cd" value="<?php echo $petition_cd ?>">
        <input type="hidden" name="emp_cd" value="<?php echo htmlSpecialEscape($emp_cd)?>">
        <input type="hidden" name="root" value="<?php echo htmlSpecialEscape($root) ?>">
        <input type="hidden" name="petition_time_temp" value="<?php echo htmlSpecialEscape($petition_time_temp) ?>">
        <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
      </td>
    </tr>
  </table>
</form>
<?php
			break;
	}
?>
<?php
}

if ($sub == "提出") 
{
	// 入力のチェック
	if ($byear && $bmonth && $bday)
	{
		if (!checkdate($bmonth, $bday, $byear))
		{
			showError("日付が正しくありません。");
			exit;
		}
		$time_begin = mktime($bhour, $bmin, 0, $bmonth, $bday, $byear);
	}
	if ($eyear && $emonth && $eday)
	{
		if (!checkdate($emonth, $eday, $eyear))
		{
			showError("日付が正しくありません。");
			exit;
		}

		$time_end = mktime($ehour, $emin, 0, $emonth, $eday, $eyear);
	}

	if ($time_begin && $time_end)
	{
		if ($time_begin > $time_end)
		{
			showError("期間に指定された日付の順序が正しくありません。");
			exit;
		}
	}

	$sqlstr = $dbSqlObj->selectMst_wflowWithPetition_cd($petition_cd);
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result)
	{
		showError("データベースに異常：申請書の種類が取得できません。");
		exit;
	}

	$petition_name = $dbExecObj->getResult($result, 0, "petition_name");
	$petition_type_tmp = $dbExecObj->getResult($result, 0, "petition_type");
	if ($petition_type_tmp == HOLIDAY_FLOW)
	{
		if (!$purpose || !$detail)
		{
			$error_flg = true;
		}
	}
	elseif ($petition_type_tmp == FILE_FLOW)
	{
		if (!$purpose)
		{
			$error_flg = true;
		}
	}
	else
	{
		if (!$purpose || !$detail || !$etc)
		{
			$error_flg = true;
		}
	}

	if ($error_flg)
	{
		showError("必須項目を入力してください。");
		exit;
	}

	$purpose = mb_convert_kana($purpose);
	$detail = mb_convert_kana($detail);

	if ($ammount && $ammount != "0")
	{
		if ($ammount == "none")
		{
				showError("区分を選択してください。");
				exit;
		}
		else
		{
			if (intval($ammount) == 0)
			{
				showError("数字で入力してください。");
				exit;
			} 
			else 
			{
				$ammount = intval(ereg_replace(",", "", $ammount));
			}
		}
	} 
	else
	{
		$ammount = 0;
	}
	if ($petition_type_tmp == FILE_FLOW)
	{
		// 提出ファイルの存在チェック
		if (!$_FILES['userfile']['name'])
		{
			showError("提出ファイルを指定してください。");
			exit;
		}

		if (!$_FILES['userfile']['size'])
		{
			showError(htmlSpecialEscape($_FILES['userfile']['name']) . " が見付かりません。");
			exit;
		}

		$userfile_name2 = str_replace(" ", "", basename($_FILES['userfile']['name']));
	}

	// EUCに文字コード変換。
	$userfile_name2 = mb_convert_encoding($userfile_name2, "EUC", "auto");

	// 全てのチェックを通過  SQL文字列を生成
	$dbExecObj->exeSql($conn, $dbSqlObj->sqlBeginTrans());
	$purpose = ($purpose);
	$detail = ($detail);
	$etc = htmlSpecialEscape($etc);

	// 再提出
	if ($petition_time)
	{
		$petition_time = rawurldecode($petition_time);
		$filename = rawurldecode($filename);
		$sqlstr = $dbSqlObj->deleteCasusWherePetition_time($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
			showError("データベースに異常：申請書を提出できません。<");
			exit;
		}

		$sqlstr = $dbSqlObj->updateWorkflowWherePetition_time($purpose, $time_begin, $time_end, $petition_type_tmp, $userfile_name2, $detail, $etc, $ammount, $petition_time, $petition_type_tmp);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result) 
		{
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
			showError("データベースに異常：申請書を提出できません。");
			exit;
		}

		$emailSql = $dbSqlObj->selectEmployeeNextoddEmailWherePetition_timeEmp_cd($petition_time);
		$sqlstr = $dbSqlObj->sqlCommitTrans();
		$dbExecObj->exeSql($conn, $sqlstr);
		$petition_time_filename = ereg_replace("[:\+ \-]", "", $petition_time);
		if ($petition_type_tmp == FILE_FLOW) {
			//ファイルフロー系だった場合は、前のものを削除する。
			$deleteFileName = $petition_time_filename . "_" . $filename;

			//linかwinで。
			switch ($os_type)
			{
				case "Linux":
//					$deleteFileName = mb_convert_encoding($deleteFileName, "EUC");
					break;
				case "Windows":
					$deleteFileName = mb_convert_encoding($deleteFileName, "SJIS", "EUC");
					break;
				default:
					break;
			}

			fileDelete($savefile_path . "workflow/" . $petition_cd . "/" . $deleteFileName);
		}
	} 
	else 
	{
		// 新規提出
		// 秒数まで重なる場合がある為、その回避
		$nowUnixTime = time();
		$petition_time = date("Y-m-d H:i:s", $nowUnixTime);
		$petition_time_filename = date("YmdHis", $nowUnixTime);
		$sqlstr = $dbSqlObj->selectWorkflowCountWherePetition_time($petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			$sqlstr = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $sqlstr);
			showError("データベースに異常：申請書情報を取得できません。");
			exit;
		}

		if (0 < $dbExecObj->getResult($result, 0, "count_of_records"))
		{
			$sqlstr = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $sqlstr);
			showError("もう一度申請をやり直して下さい。");
			exit;
		}

		// 決裁者の設定
		if ($root == "0")
		{
			MakeOddmans($petition_time, $petition_cd, $conn, $dbSqlObj, $dbExecObj);
		}
		elseif ($root == "1")
		{
			MakeOddmansDirect($petition_time, $petition_cd, $conn, $dbSqlObj, $dbExecObj);
		}
		elseif ($root == "2")
		{
			MakeOddmansOriginal($petition_time, $petition_cd, $conn, $petition_time_temp, $dbSqlObj, $dbExecObj);
		}
		else
		{
		}

		$sqlstrInsertWorkflow = $dbSqlObj->insertWorkflow($petition_time, $_SERVER["PHP_AUTH_USER"], $petition_cd, $conn, $petition_time_temp, $time_begin, $time_end, $purpose, $detail, $etc, $ammount, $userfile_name2, $petition_type_tmp);
		
		$sqlstr = $dbSqlObj->selectOddmansEmp_cdWherePetition_cdPetition_timeSeq($petition_cd, $petition_time);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			$sqlstr = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $sqlstr);
			showError("データベースに異常：申請書を提出できません。");
			exit;
		}

		$firstodd = $dbExecObj->getResult($result, 0, "emp_cd");
		$result = $dbExecObj->exeSql($conn, $sqlstrInsertWorkflow);
		if (!$result) 
		{
			$sqlstr = $dbSqlObj->sqlRollBackTrans();
			$dbExecObj->exeSql($conn, $sqlstr);
			showError("データベースに異常：申請書を提出できません。");
			exit;
		}

		$sqlstr = $dbSqlObj->insertNextodd($petition_time, $firstodd);
		$result = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$result)
		{
			$dbExecObj->exeSql($conn, $dbSqlObj->sqlRollBackTrans());
			showError("データベースに異常：申請書を提出できません。");
			exit;
		}

		$emailSql = $dbSqlObj->selectEmployeeEmailWhereEmp_cd($firstodd);
		$sqlstr = $dbSqlObj->sqlCommitTrans();
		$dbExecObj->exeSql($conn, $sqlstr);
	}

	if ($petition_type_tmp == FILE_FLOW)
	{
		// Tempファイルの移動
		// LinuxだったらEUC,WindowsだったらSJISで。
		switch ($os_type)
		{
			case "Linux":
//				$userfile_name2 = mb_convert_encoding($userfile_name2, "EUC");
				break;
			case "Windows":
				$userfile_name2 = mb_convert_encoding($userfile_name2, "SJIS", "EUC");
			default:
				break;
		}

		fileMove($_FILES['userfile']['tmp_name'], $savefile_path . "workflow/" . $petition_cd . "/" . $petition_time_filename . "_" . $userfile_name2);
	}

	// 決裁通知メール送信するかどうか取得
	$sqlstr = $dbSqlObj->selectMst_wflowSend_sanction_mailWithPetition_cd($petition_cd);
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	$send_sanction_mail = $dbExecObj->getResult($result, 0, "send_sanction_mail");
	if ($send_sanction_mail != "f")
	{
		// 最初は未決裁の状態なので、申請時に最初のメール配信を行う。
		$result = $dbExecObj->exeSql($conn, $emailSql);
		if (!$result) 
		{
			showError("データベースに異常：" . htmlSpecialEscape($varPhraseSet["strPerson"]) . "情報が取得できません。");
			exit;
		}

		$toMailStr = $dbExecObj->getResult($result, 0, "email");
		
		if ($toMailStr != "")
		{
			$emp_name = GetEmpName($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj);
			$mailstr = "■Message from WIZ\r\n\r\n";
			$mailstr .= $petition_name . "が提出されています。\r\n\r\n";
			$mailstr .= "WIZ上で確認・決裁をお願いします。\r\n\r\n";
			$mailstr .= "申請者：" . $emp_name . "\r\n";
			$mailstr .= "提出日時：" . TrimGMT($petition_time) . "\r\n";
			$mailstr .= $matter[$petition_type_tmp - 1] . "：" . $purpose . "\r\n\r\n";
			$mailstr .= $_ROOT_URL_ . "\r\n";
			$mailstr .= $_ROOT_URL_ . "index.php\r\n\r\n";
			$mailstr .= "※本メールに返信は不要です。\r\n";
			$mailstr = mb_convert_kana($mailstr);
			// Fromを管理者のメールアドレスにする
			$fromMailStr = $admin;
			// カレントの言語を設定
			mb_language("Japanese");

			// ヘッダを指定
//			$MailHeaders  = "Mime-Version: 1.0\r\n";
//			$MailHeaders .= "Content-Type: text/plain; charset=ISO-2022-JP\r\n";
//			$MailHeaders .= "Content-Transfer-Encoding: 7bit\r\n";
//			$MailHeaders .= "From:$fromMailStr\r\n";

			// メール送信
//			mb_send_mail($toMailStr, "[WIZ]ワークフロー 決裁", $mailstr, "From: $fromMailStr");
			mb_send_mail($toMailStr, "[WIZ] ワークフロー 決裁", $mailstr, "From: $fromMailStr");
//			mail($toMailStr,
//				("=?ISO-2022-JP?B?" . base64_encode(i18n_convert("[WIZ]ワークフロー 決裁","JIS","EUC")) . "?="),
//				i18n_convert($mailstr,"JIS","EUC"), $MailHeaders);
		}
	}

	writeTransID($trans_id, $conn, $dbSqlObj, $dbExecObj);
?>
	<font color="red"><b>申請書を提出しました。全ての決裁がおり次第、メールとメニューで通知します。</b></font><BR>
    <a class="usually" href="workflow.php" target="_self">ワークフローの最初に戻る</a><br>
    <a class="usually" href="workflow.php?sub=<?php echo rawurlencode("新規申請書の提出") ?>" target="_self">続けて新規申請する</a><br>
<?php
}

if ($sub == "更新")
{
	// 提出ファイルの存在チェック
	if (!$_FILES['userfile']['name'])
	{
		showError("提出ファイルを指定してください。");
		exit;
	}

	if (!$_FILES['userfile']['size'])
	{
		showError(htmlSpecialEscape($_FILES['userfile']['name']) . " が見付かりません。");
		exit;
	}

	$userfile_name2 = str_replace(" ", "", basename($_FILES['userfile']['name']));
	// EUCに文字コード変換。
	$userfile_name2 = mb_convert_encoding($userfile_name2, "EUC", "auto");

	$filename = rawurldecode($filename);
	if ($filename != $userfile_name2)
	{
		showError("ファイル名が異なります。");
		exit;
	}

	$petition_time_filename = rawurldecode($petition_time_filename);
	fileMove($_FILES['userfile']['tmp_name'], $savefile_path . "workflow/" . $petition_cd . "/" . $petition_time_filename . "_" . $userfile_name2);
	writeTransID($trans_id, $conn, $dbSqlObj,$dbExecObj);
	echo "<font color=\"red\"><b>ファイルを更新しました。</b></font><BR>\n";
}

if ($sub == "view")
{
	$sqlstr = $dbSqlObj->selectWorkflowEmployeeMst_wflowWherePetition_timeEmp_cdPetition_cd($petition_time, $emp_cd);
	$result = $dbExecObj->exeSql($conn, $sqlstr);
	if (!$result)
	{
		showError("データベースに障害：指定された申請書が検索できませんでした。");
		exit;
	}

	$purpose = ereg_replace("\r\n", "<BR>", htmlSpecialEscape($dbExecObj->getResult($result, 0, "purpose")));
	if ($purpose == "") 
	{
		$purpose = "&nbsp;";
	}

	$detail = ereg_replace("\r\n", "<BR>", htmlSpecialEscape($dbExecObj->getResult($result, 0, "detail")));
	if ($detail == "") 
	{
		$detail = "&nbsp;";
	}

	$etc = ereg_replace("\r\n", "<BR>", htmlSpecialEscape($dbExecObj->getResult($result, 0, "etc")));
	if ($etc == "") 
	{
		$etc = "&nbsp;";
	}

	$ammount = $dbExecObj->getResult($result, 0, "ammount");
	if ($ammount == "") 
	{
		$etc = "&nbsp;";
	}
	
	$time_begin = htmlSpecialEscape($dbExecObj->getResult($result, 0, "time_begin"));
	if ($time_begin == "")
	{
		$time_begin = "&nbsp;";
	} 
	else 
	{
		$time_begin = ereg_replace("-", "/", $time_begin);
	}

	$time_end = htmlSpecialEscape($dbExecObj->getResult($result, 0, "time_end"));
	if ($time_end == "")
	{
		$time_end = "&nbsp;";
	} 
	else 
	{
		$time_end = ereg_replace("-", "/", $time_end);
	}

	$petition_time = $dbExecObj->getResult($result, 0, "petition_time");
	if ($dbExecObj->getResult($result, 0, "ngflg") == "t")
	{
?>
<table  border="0" cellspacing="0" cellpadding="3">
  <tr> 
    <td class="pink"> 
      <div align="center"><span class="fRed12100"><font color="red">　差し戻し申請書です。　</font></span></div>
    </td>
  </tr>
</table>
<?php
	}
?>
<form action="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>" method="post" ENCTYPE="multipart/form-data">
<table width="760" border="0" cellspacing="0" cellpadding="0"><tr><td class="gray" valign="top">
  <table width="760" border="0" cellspacing="1" cellpadding="3">
    <tr>
      <td class="sky"> 
        <table width="295" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td valign="middle"> 
              <div align="center"><span class="fWhite10100">申請者氏名</span></div>
            </td>
          </tr>
        </table>
      </td>
      <td class="white"> 
        <table width="450" border="0" cellspacing="0" cellpadding="0">
          <tr> 
            <td valign="middle"><span class="fBlack10100"><?php echo htmlSpecialEscape($dbExecObj->getResult($result, 0, "name")) ?></span></td>
          </tr>
        </table>
      </td>
    </tr>
    <tr>
      <td class="sky"> 
        <div align="center"><span class="fWhite10100">申請日時</span></div>
      </td>
      <td class="white"> 
        <div align="left"><span class="fBlack10100"><?php echo ereg_replace("-", "/", $petition_time) ?></span></div>
      </td>
    </tr>
<?php
	switch ($dbExecObj->getResult($result, 0, "petition_type")) 
	{
		case CIRCULAR_FLOW:
?>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">件名</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $purpose ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">提案理由</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $detail ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">効果</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $etc ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">予算</span></div>
      </td>
      <td class="white"><span class="fBlack10100">\<?php echo number_format($ammount) ?></span></td>
    </tr>
<?php
			break;
		case HOLIDAY_FLOW:
			$byear = sprintf("%04d", $dbExecObj->getResult($result, 0, "byear"));
			$bmonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmonth"));
			$bday = sprintf("%02d", $dbExecObj->getResult($result, 0, "bday"));
			$bhour = sprintf("%02d", $dbExecObj->getResult($result, 0, "bhour"));
			$bmin = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmin"));
			$eyear = sprintf("%04d", $dbExecObj->getResult($result, 0, "eyear"));
			$emonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "emonth"));
			$eday = sprintf("%02d", $dbExecObj->getResult($result, 0, "eday"));
			$ehour = sprintf("%02d", $dbExecObj->getResult($result, 0, "ehour"));
			$emin = sprintf("%02d", $dbExecObj->getResult($result, 0, "emin"));
?>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">区分</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $classify[$ammount] ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">取得日時</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $byear . "/" . $bmonth . "/" . $bday . " " . $bhour . ":" . $bmin . " 〜 " . $eyear . "/" . $emonth . "/" . $eday . " " . $ehour . ":" . $emin ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">事由</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $purpose ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">連絡先</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $detail ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">備考</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $etc ?></span></td>
    </tr>
<?php
			break;
		case TELECOMMUTING_FLOW:
			$byear = sprintf("%04d", $dbExecObj->getResult($result, 0, "byear"));
			$bmonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmonth"));
			$bday = sprintf("%02d", $dbExecObj->getResult($result, 0, "bday"));
			$bhour = sprintf("%02d", $dbExecObj->getResult($result, 0, "bhour"));
			$bmin = sprintf("%02d", $dbExecObj->getResult($result, 0, "bmin"));
			$eyear = sprintf("%04d", $dbExecObj->getResult($result, 0, "eyear"));
			$emonth = sprintf("%02d", $dbExecObj->getResult($result, 0, "emonth"));
			$eday = sprintf("%02d", $dbExecObj->getResult($result, 0, "eday"));
			$ehour = sprintf("%02d", $dbExecObj->getResult($result, 0, "ehour"));
			$emin = sprintf("%02d", $dbExecObj->getResult($result, 0, "emin"));
?>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">在宅勤務日時</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $byear . "/" . $bmonth . "/" . $bday . " " . $bhour . ":" . $bmin . " 〜 " . $eyear . "/" . $emonth . "/" . $eday . " " . $ehour . ":" . $emin ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">在宅理由</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $purpose ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">プロジェクト名</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $detail ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">作業内容</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $etc ?></span></td>
    </tr>
<?php
			break;
		case FILE_FLOW:
			$filename = $dbExecObj->getResult($result, 0, "filename");
			$petition_time_filename = ereg_replace("[:\+ \-]", "", $petition_time);
			$petition_cd = $dbExecObj->getResult($result, 0, "petition_cd");
?>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">件名</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $purpose ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">備考</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $detail ?></span></td>
    </tr>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">提出ファイル</span></div>
      </td>
      <td class="white"><span class="fBlack10100">
        <a class="usually" href="<?php echo htmlSpecialEscape($_SERVER["PHP_SELF"]) ?>?sub=download&petition_cd=<?php echo $petition_cd ?>&filenametemp=<?php echo rawurlencode($petition_time_filename . "_" . $filename) ?>&filename=<?php echo rawurlencode($filename) ?>" target="_blank">
          <?php echo htmlSpecialEscape($filename) ?>
        </a>
      </span></td>
    </tr>

<?php
			if ($end == 1 && (admchk($conn, $_SERVER["PHP_AUTH_USER"], $dbSqlObj, $dbExecObj) || getLastOddman($conn, $petition_time, $dbSqlObj, $dbExecObj) == $_SERVER["PHP_AUTH_USER"]))
			{
?>
    <tr>
      <td class="sky" valign="middle"> 
        <div align="center"><span class="fWhite10100">提出ファイルの更新</span><span class="fRed10100">（<?php echo (round($maxfilesize/1024/1024)) ?>MBまで）</span></div>
      </td>
      <td class="white">
        <input type="hidden" name="MAX_FILE_SIZE" value="<?php echo $maxfilesize ?>">
        <input type="file" name="userfile" size="60">&nbsp;&nbsp;
        <input type="submit" name="sub" value="更新">
        <input type="hidden" name="petition_cd" value="<?php echo $petition_cd ?>">
        <input type="hidden" name="petition_time_filename" value="<?php echo rawurlencode($petition_time_filename) ?>">
        <input type="hidden" name="filename" value="<?php echo rawurlencode($filename) ?>">
        <input type="hidden" name="trans_id" value="<?php echo createTransID(); ?>">
    </tr>

<?php
			}
			break;
	}
	if ($dbExecObj->getResult($result, 0, "ngflg") == "t")
	{
		$sqlstr = $dbSqlObj->selectCasusWherePetition_time($petition_time);
		$resultCasus = $dbExecObj->exeSql($conn, $sqlstr);
		if (!$resultCasus)
		{
			showError("データベースに障害：差戻情報が検索できませんでした。");
			exit;
		}
		if (0 < $dbExecObj->getNumRows($resultCasus))
		{
			$casus = ereg_replace("\r\n", "<BR>", htmlSpecialEscape($dbExecObj->getResult($resultCasus, 0, "casus")));
			if ($casus == "")
			{
				$casus = "&nbsp;";
			}
?>
    <tr> 
      <td class="sundaybrown" valign="middle"> 
        <div align="center"><span class="fWhite10100">差戻理由</span></div>
      </td>
      <td class="white"><span class="fBlack10100"><?php echo $casus ?></span></td>
    </tr>
<?php
		}
	}
?>
  </table>
</td></tr></table>
</form>
<table border="0" cellspacing="0" cellpadding="0"><tr><td class="gray">
  <table cellpadding="0" border="0" cellspacing="1">
	<?php
		$od = $dbExecObj->getResult($result, 0, "oddtime");
		$od = ereg_replace("[{}]", "", $od);
		$i = 0;
		$tok = strtok($od, ",");
		while ($tok)
		{
			$odtok[$i] = $tok;
			$tok = strtok(",");
			$i++;
		}

		$cm = ereg_replace("\r\n", "<BR>", $dbExecObj->getResult($result, 0, "remark"));
		$cm = ereg_replace("[{}]", "", $cm);
		$j = 0;
		$tok_cm = strtok($cm, ",");

		while ($tok_cm)
		{
			$arr_comment[$j] = ereg_replace("\"", "", $tok_cm);
			$tok_cm = strtok(",");
			$j++;
		}

		$odtokcount = $i;
		$petition_cd = $dbExecObj->getResult($result, 0, 2);
		$sqlstr = $dbSqlObj->selectOddmansEmployeeWherePetition_cdPetition_timeEmp_cdOrderSeq($petition_cd, $petition_time);
		$resultb = $dbExecObj->exeSql($conn, $sqlstr);
		$oddmaxcount = $dbExecObj->getNumRows($resultb);
?>
    <tr align="center">
<?php
		for ($i = 0; $i < $oddmaxcount; $i++)
		{
?>
      <th class="orange"> 
        <table width="94" border="0" cellspacing="0" cellpadding="3">
          <tr>
            <td valign="middle">
              <div align="center"><span class="fBlack10100">
                <?php echo htmlSpecialEscape($dbExecObj->getResult($resultb, $i, "last_name_j"))?>
              </span></div>
            </td>
          </tr>
        </table>
      </th>
<?php
		}
?>
    </tr>
    <tr align="center">
<?php
		$i = 0;
		while ($i < $oddmaxcount)
		{
			while ($i < $odtokcount)
			{
				$j = $i + 1;
				$sqlstr = $dbSqlObj->selectOddmansEmployeeWherePetition_cdPetition_timeSeqEmp_cd($petition_cd, $petition_time, $j);
				$resultc = $dbExecObj->exeSql($conn, $sqlstr);
				$arr_comment[$i] = ereg_replace("<BR>", "\r\n", $arr_comment[$i]);
?>
      <td class="white" nowrap>
        <span class="fRed10100"><b>済</b></span><br>
        <span class="fBlack10100"><?php echo ereg_replace("-", "/", mb_substr($odtok[$i], 1, 10))?></span><br>
        <span class="fBlack10100"><?php echo htmlSpecialEscape($arr_comment[$i])?></span>
      </td>
<?php
				$i++;
			}

			if ($i < $oddmaxcount)
			{
				if ($i == $odtokcount)
				{
					$sqlstr = $dbSqlObj->selectNextoddWherePetition_time($petition_time);
					$result = $dbExecObj->exeSql($conn, $sqlstr);
					if (!$result)
					{
						showError("データベースに障害：次の決裁者がわかりません。");
						exit;
					}
?>
      <td class="white" nowrap><span class="fRed10100"><b>未</b></span></td>
<?php
				}
				else
				{
?>
      <td class="white" nowrap><span class="fRed10100"><b>未</b></span></td>
<?php
				}
				$i++;
			}
		}
?>
    </tr>
  </table>
</td></tr></table>
<?php
}
	$dbExecObj->freeResult($result);
	$dbConnectObj->closeConnect($conn);
	$menuShowObj->showFooter();
?>

<?php
function showError($errorStr)
{
	global $menuShowObj;

	echo "<font color=\"red\"><b>" . $errorStr . "</b></font><br>";
	echo "<a class=\"usually\" href=\"javascript:history.back()\">[BACK]</a>\n";

	$menuShowObj->showFooter();
}
?>
